2021-10-28 Philippe Doussot <douphi@free.fr>

	Release change
	* Application cannot be started with JDK 13 - AWTSecurityManager was removed : Backport of #438 by https://github.com/AdoptOpenJDK/IcedTea-Web/pull/792

2021-05-27 Philippe Doussot <douphi@free.fr>

        Release changes
	* Webstarted application tries to load resources from server incorrectly : Backport of https://github.com/AdoptOpenJDK/IcedTea-Web/pull/467 fix https://github.com/AdoptOpenJDK/IcedTea-Web/issues/89

2021-02-23  George Adams <gadams@microsoft.com>

    Release changes
	* Fix missing mslinks in Windows build

2021-02-22  Hendrik Ebbers <hendrik.ebbers@web.de>

        Release changes
	* Change so that it can also be built under freebsd
	* fix for cargo test sometimes fails when make runs with several simultaneous jobs
	* JARs downloaded with URI-escaped characters don't get loaded
	* Reduced number of threads spawned for downloading of resources
	* handle broken XML in jnlp
	* Migrated to GitHub Action release support

2020-06-03  Hendrik Ebbers <hendrik.ebbers@web.de>

        Release changes
        * configure.ac: (AC_INIT) bumped to 1.8.4
        * Release 1.8.4 contains backport of https://github.com/AdoptOpenJDK/IcedTea-Web/pull/389
        * Release 1.8.4 contains backport of https://github.com/AdoptOpenJDK/IcedTea-Web/pull/384
        * Release 1.8.4 contains backport of https://github.com/AdoptOpenJDK/IcedTea-Web/pull/340
        * Release 1.8.4 contains https://github.com/AdoptOpenJDK/IcedTea-Web/pull/576
        * Release 1.8.4 contains https://github.com/AdoptOpenJDK/IcedTea-Web/pull/577


2019-08-02  George Adams <george@jclarity.com>

        Release changes
        * configure.ac: (AC_INIT) bumped to 1.8.3

2019-06-26  Jiri Vanek <jvanek@redhat.com>

	All files, except signatures files, are now  checked for signatures - CVE-2019-10181
	* netx/net/sourceforge/jnlp/tools/JarCertVerifier.java: (isMetaInfFile) fixed bug, when anything in META-INF was not
	checked for signature. Now only signature files are skipped
	* tests/netx/unit/net/sourceforge/jnlp/tools/JarCertVerifierTest.java: added tests for check if file should be skipped from
	signature check

2019-06-26  Jiri Vanek <jvanek@redhat.com>

	Nested jar, if by relative path point up, is stored as hashed - CVE-2019-10185
	* tests/netx/unit/net/sourceforge/jnlp/runtime/jar03_dotdotN1.jar: crafted jar with hacked zip entries to be named like ".."
	* tests/netx/unit/net/sourceforge/jnlp/runtime/jar_03_dotdot_jarN1.jnlp: jnlp to call jar03_dotdotN1.jar
	* netx/net/sourceforge/jnlp/cache/CacheUtil.jsava: (hex) made public to be reused in JNLPClassLoader
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: if nested jar contains .. in path, is extracted as hashed

2019-06-26  Jiri Vanek <jvanek@redhat.com>

	Fixed bug when relative path (..) could leak up (even out of cache) - CVE-2019-10182
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: if path or query contains .. is saved to cache via its hash
	* netx/net/sourceforge/jnlp/util/FileUtils.java: added warning about different behavior on win/linux
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheUtilTest.java: added tests for hashing
	* tests/netx/unit/net/sourceforge/jnlp/runtime/JNLPClassLoaderTest.java:  added test for .. in path. Added test
	that verifies encoded .. (%2E%2E) do not leak from cahce
	* tests/netx/unit/net/sourceforge/jnlp/runtime/up.jnlp: example jnlp with .. full url

2019-07-15  Andrew Leonard <andrew_m_leonard@uk.ibm.com>

        Release changes
        * configure.ac: (AC_INIT) bumped to 1.8.2

2019-05-21  George Adams <george@jclarity.com>

	Post-release changes
	* configure.ac: (AC_INIT) bumped to 1.8.1

2019-03-14  Jiri Vanek <jvanek@redhat.com>

	Post-release changes
	* NEWS: added 1.8.1 section
	* configure.ac: (AC_INIT) bumped to 1.8.1pre

2019-03-12  Lars Herschke <lhersch@dssgmbh.de>

	Hidden console on Windows
	* rust-launcher/src/dirs_paths_helper.rs: factory for windows os now supply third parameter
	* rust-launcher/src/main.rs: (get_os) on windows now have three params. Call to get os if-windows cfged out
	(main) parent process is now checking ATTACH_PARENT_PROCESS before get_os on windows
	* rust-launcher/src/os_access.rs: oon windows, without console, no window is enforced. Trait got win-only  inside_console method
	windows impl of os_access. Win module made public to expose AttachConsole function.
	* rust-launcher/src/utils.rs: test logger got windows-only inside_console

2019-03-12  Jiri Vanek <jvanek@redhat.com>

	Pre-release tuning
	* Makefile.am: (netx-html-gen.stamp) set number of changests to 140 (since 1.7)
	* NEWS: date of 1.8 set
	* configure.ac: (AC_INIT) set to use 1.8

2019-03-07  Lars Herschke <lhersch@dssgmbh.de>

	Native launchers now iterate through various keys of jre/jdk in registry
	* rust-launcher/src/os_access.rs: introduced RegQueryInfoKeyW and RegEnumKeyExW to enable registry query
	jdk_registry_path renamed to java_registry_path. jdk_registry_path now iterates over several keys
	* rust-launcher/src/utils.rs: adapted, and if jdk is found, its jre is used.

2019-03-06  Jiri Vanek <jvanek@redhat.com>
            Lars Herschke <lhersch@dssgmbh.de>

	On windows, use dunce to canonicalize paths
	* rust-launcher/Cargo.toml: added dunce crate for windows target
	* rust-launcher/src/dirs_paths_helper.rs: declared canonicalize methods, one for windows, second for not-windows.
	The windows one is using dunce, other is on PathBuf.
	* rust-launcher/src/utils.rs:used above method insted PathBuf::canonicalize

2019-03-05  Jiri Vanek <jvanek@redhat.com>
            Lars Herschke <lhersch@dssgmbh.de>

	Fixed path to jfxrt.jar from lib/jfxrt.jar to ext/lib
	* rust-launcher/src/jars_helper.rs: in (get_cp_members)
	* shell-launcher/launchers.bat.in: in both CP and CUSTOM_JRE
	* shell-launcher/launchers.sh.in: in both CP and CUSTOM_JRE

2019-03-05  Lars Herschke <lhersch@dssgmbh.de>

	* acinclude.m4: Moved windows specific check for JDK on the begging of  SYSTEM_JDK part of IT_CHECK_FOR_JDK macro
	to fix search on windows

2019-03-05  Lars Herschke <lhersch@dssgmbh.de>

	* Makefile.am: removed dual slash between destdir and modularjdk, included CPPUNIT_FRAMEWORK_CLEAN_IMPL with
	clean-unittest++-impl/plaeholder to avoid fail of unknown target when native plugin is gone. Cleaning up rust_test_tmp

2019-02-28  Jiri Vanek <jvanek@redhat.com>
            Michal Vala <mvala@redhat.com>

	* Makefile.am: using proper classpath separator variable instead of hardcoded one

2019-02-27  Jiri Vanek <jvanek@redhat.com>
            Alexandr Kolouch  <skolnag@gmail.com>

	Added Czech translation for 1.8
	* netx/net/sourceforge/jnlp/resources/Messages_cs.properties: adapted

2019-02-27  Jiri Vanek <jvanek@redhat.com>

	keytool command used to create test keystores is called windows friendly
	* Makefile.am: path to keystore or PUBLIC_KEYSTORE is preprocessed via cygapth on windows

2019-02-27  Jiri Vanek <jvanek@redhat.com>

	jar command used to pack reproducers is called windows friendly
	* Makefile.am: (stamps/netx-dist-tests-prepare-reproducers.stamp) TMP_MANIFEST is now exported so it can reach
	subshell of cygpath. If cygpath is in on PATH, TMP_MANIFEST path is cygpathed

2019-02-27  Jiri Vanek <jvanek@redhat.com>

	shell launcher got support for JAVA_HOME
	* shell-launcher/launchers.sh.in: if JAVA_HOME is detected, is used as most preferred

2019-02-25  Olesya Gerasimenko <gammaray@basealt.ru>

	Updated Russian translation
	* netx/net/sourceforge/jnlp/resources/Messages_ru.properties: adapted to current state

2019-02-20  Jiri Vanek <jvanek@redhat.com>

	Implemented way how to modify cp/bootcp in native launchers
	* netx/net/sourceforge/jnlp/config/BasicValueValidators.java: added (RustCpValidator) as provider for help for new
	properties
	* netx/net/sourceforge/jnlp/config/Defaults.java: declared for properties to control native lanchers cp/bootcp
	deployment.launcher.rust.{cp,bootcp}.{add,remove}
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added help message for new properties
	* rust-launcher/src/jars_helper.rs: (get_{bootcp,cp}_members) method nw filter items in and from based on properties
	added and tested new methods (filter_in_val) to add string to vector, and (filter_out_val) to remove matching items from vector
	* rust-launcher/src/property_from_files_resolver.rs: added try_direct_key_from_properties to get raw property without validation
	and without option.
	* rust-launcher/src/utils.rs: test logger return none rather then panic for providing of properties files

2019-02-18  Jiri Vanek <jvanek@redhat.com>

	Implemented forgotten support for mslinks.jar library in rust launchers
	* Makefile.am: MSLINKS_JAR are now eported in rust launchers build
	* rust-launcher/src/hardcoded_paths.rs: MSLINKS_JAR is being captured here and exported as optional
	* rust-launcher/src/jars_helper.rs: (get_bootcp_members) now append_if_exists also get_mslinks

2019-02-18  Jiri Vanek <jvanek@redhat.com>

	* rust-launcher/src/log_helper.rs: deployment.log.stdstreams is now honored

2019-02-18  Jiri Vanek <jvanek@redhat.com>

	For linux, implemented and used system logging
	* rust-launcher/src/hardcoded_paths.rs: call to info moved to important
	* rust-launcher/src/jars_helper.rs: same
	* rust-launcher/src/log_helper.rs: if log_to_system is true(defoult) log_impl logs important messages also to system log
	* rust-launcher/src/os_access.rs: added trait methods of important and system_log. Implemented for Linux
	* rust-launcher/src/utils.rs:call to info moved to important. TestLogger got implemented and important and system_log
	declared as panicking

2019-02-17  Jiri Vanek <jvanek@redhat.com>

	Implemented proper file logging
	* rust-launcher/src/dirs_paths_helper.rs: AdvancedLogging moved to log_helper;
	Linux::new(false) redeclared new to Linux::new(false, false);
	* rust-launcher/src/log_helper.rs: now harbor AdvancedLogging as it should since beggining
	log_impl now logs to fille only if log_to_file is true, logs to correct file,
	format time-stamp a bit better, creates a parent directory
	* rust-launcher/src/main.rs: get_os functions redeclared to (debug: bool, al: bool) and now calls new(debug, al)
	main no longer creates AdvancedLogging but calls proper get_os
	* rust-launcher/src/os_access.rs: added trait method of (advanced_logging), implementations
	now keep AdvancedLogging variable - dummy or loaded from properties as requested during creation
	* rust-launcher/src/property_from_files_resolver.rs: adapted to log_to_file -> log_to_file refactoring
	* rust-launcher/src/utils.rs: try_custom_logdir_from_properties renamed to
	try_logtarget_from_properties and now returns final log file. New method of
	(logfile_name) whic compses itw-like name for new log file. TestLogger
	implements (unimplemented) advanced_logging function

2019-02-16  Jiri Vanek <jvanek@redhat.com>

	Implemented basic stub for file logging
	* rust-launcher/src/log_helper.rs: extracted log_impl from os.
	Implemented (always on for now) call to log to file
	* rust-launcher/src/main.rs: made aware of new log_hlper module
	* rust-launcher/src/os_access.rs: adapted to log_helper. Added forgotten is_verbose
	to windows os impl.


2019-02-16  Jiri Vanek <jvanek@redhat.com>

	* rust-launcher/src/os_access.rs: removed duplicated code from windows launchers
	* rust-launcher/src/utils.rs: implemented is_verbose for testing os impl

2019-02-16  Jiri Vanek <jvanek@redhat.com>

	Native launchers got loading (unused for now) of advanced logging properties
	* rust-launcher/src/dirs_paths_helper.rs: added struct AdvancedLogging which holds setup of extended logging
	* rust-launcher/src/main.rs: now load advanced settings from properties. Debug output of jre from properties moved to utils.rs
	* rust-launcher/src/property_from_file.rs: declared keys for advanced logging properties. Added simple string validator.
	* rust-launcher/src/property_from_files_resolver.rs:  now provides reading methods  with validation for new logging keys
	* rust-launcher/src/utils.rs: got that logging message from main.

2019-02-16  Jiri Vanek <jvanek@redhat.com>

	* Makefile.am: fixed issue with MODULARJDK_ARGS_FILE being installded as executable

2019-02-15  Jiri Vanek <jvanek@redhat.com>

	Native launchers got support for modular jdk  (via @MODULARJDK_ARGS_LOCATION file)
	* rust-launcher/src/hardcoded_paths.rs: introduced MODULARJDK_ARGS_LOCATION recognition
	* rust-launcher/src/jars_helper.rs: now are able search in bin, and this reads MODULARJDK_ARGS_LOCATION
	* rust-launcher/src/main.rs: now reads java -version, and if modular, put MODULARJDK_ARGS_LOCATION to args
	* rust-launcher/src/os_access.rs: removed duplicated code form windows in java spawn, extracted args creation
	so it could be reused for java version recognition
	* rust-launcher/src/property.rs: added note about Unicode failure in case properties (thus jre location) contains \u values

2019-02-13  Alex Kashchenko <akashche@redhat.com>

	Os trait implemented for windows
	* rust-launcher/src/dirs_paths_helper.rs: added (get_os) os dependent factory method to provide os impl with debug off.
	(check_config_files_paths_global) split to os independent (check_config_files_paths) and rest linux only
	* rust-launcher/src/jars_helper.rs:  (get_bootclasspath) fixed issue with hardcoded cp delimiter in xbootclasspath
	* rust-launcher/src/main.rs:  added (get_os) os dependent factory method to provide os impl with debug parameter
	* rust-launcher/src/os_access.rs: implemented os trait for windows
	* rust-launcher/src/utils.rs: better recognition of rop_dir and parent dir in (try_jre_exists_on_path)

2019-02-13  Jiri Vanek <jvanek@redhat.com>

	Propagating unimplemented DownloadService2. Added tests for it
	* netx/net/sourceforge/jnlp/services/ServiceUtil.java: added static getter for DownloadService2
	* netx/net/sourceforge/jnlp/services/XDownloadService2.java: unimplemented stub for future DownloadService2
	* netx/net/sourceforge/jnlp/services/XServiceManagerStub.java: listed  javax.jnlp.DownloadService2 providing  XDownloadService2
	* tests/reproducers/simple/DownloadService2/resources/DownloadService.jnlp: jnlp to call DownloadService
	* tests/reproducers/simple/DownloadService2/resources/DownloadService2.jnlp:jnlp to call DownloadService2
	* tests/reproducers/simple/DownloadService2/srcs/DownloadService.java: app to call DownloadService
	* tests/reproducers/simple/DownloadService2/srcs/DownloadService2.java: app to call DownloadService2
	* tests/reproducers/simple/DownloadService2/testcases/DownloadService2Test.java: test to laounch DownloadService2
	and DownloadService

2019-02-12  Jim Douglas <jimdouglas@mac.com>

	Fixed typo in DownloadService2
	* netx/javax/jnlp/DownloadService2.java: getUpdateAvailableResources repalced incorrect getUpdateAvaiableReosurces

2019-02-11  Laurent Bourgès <bourges.laurent@gmail.com>
            Jiri Vanek <jvanek@redhat.com>

	Rewritten bat launcher and introduced file to keep modular JDK swithces
	* .Makefile: introduced MODULARJDK_ARGS_FILE=itw-modularjdk.args; built to launcher-build, handled as separate file.
	MODULARJDK_ARGS_LOCATION is sedded into shell scripts. bat files are now cleaned to windows line-endings.
	* acinclude.m4: Introduced new switch to allow to set switch file target location
	* configure.ac: IT_CHECK_MODULARJDK_ARGS called; fixed few typos (mostly lunch->launch)
	* itw-modularjdk.args: new file, containing jisgsaw argument to allow ITW to run on jdk9 and up
	* shell-launcher/launchers.bat.in: rewritten from scratch; to be more like linux shell launcher
	* shell-launcher/launchers.sh.in: JAVA no longer sed. USed JRE/bin/java instead. Adapted for itw-modularjdk.args file;
	few additional cosmetic changes

2019-02-07  Jiri Vanek <jvanek@redhat.com>

	Allowed cross-build of bat launchers on linux systems
	* .Makefile: some if WINDOWS changed to if WINDOWS_OR_INCLUDE_BATS
	* configure.ac: introduced --enable-bats-on-linux which (or if host is windows) set WINDOWS_OR_INCLUDE_BATS to true

2019-02-07  Jiri Vanek <jvanek@redhat.com>

	Added protection against to small applets. Enhanced understanding of properties like width/height
	* netx/net/sourceforge/jnlp/AppletDesc.java: (getWidth) and (getHeight) now query proeprties for new keys
	and resize acodringly to them and/
	* netx/net/sourceforge/jnlp/config/Defaults.java: new keys made validated by integer. Treshold must be positive
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: added keys of deployment.small.size.treshold to allow
	value since which applet is to small (default 10), deployment.small.size.override.{width,height} to set new size
	negative values to enforce it, positive to be used as fallback, if no width/heigh (lower/upper/cammel) parameter found
	default is set to search for width/height param and enforce 800x600 if not present

2019-02-07  Jiri Vanek <jvanek@redhat.com>

	Desktop sortcuts name is now based on title. And only if missing, then on file
	* netx/net/sourceforge/jnlp/JNLPFile.java: new method of createNameForDesktopFile, which
	returns title if it is present, jnlp file name otherwise.
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: getGeneratedJnlpFileName and getDesktopIconName now uses
	* NEWS: mentioned

2019-02-06  Jiri Vanek <jvanek@redhat.com>

	Delete-by app dialogue split keys to two groups instead of mixing them
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: clearCache(String) changed to (String,bool,bool) to allow by-key access.
	(listCacheIds) - same. (getCacheIds) - same plus used those two booleasn to select what keys to include in filtering
	* netx/net/sourceforge/jnlp/controlpanel/CacheAppViewer.java: the deleteByApp dialog enhanced by TabView. Each tab holds
	one family of keys.
	* netx/net/sourceforge/jnlp/runtime/Boot.java: adapted to new signature of (CacheUtil.listCacheIds)

2019-02-04  Jiri Vanek <jvanek@redhat.com>

	Native launchers got splash support
	* rust-launcher/src/main.rs: made parsing of variables and arguments testable; added handling of splash
	Fixed issue with wrongly parsed -switch from commandline; splash is now added to java command if not forbidden or headless
	added tests for all above

2019-01-15  Jiri Vanek <jvanek@redhat.com>

	Relaxed vendor and title to be no longer mandatory - based on oracle javaws behavior
	* netx/net/sourceforge/jnlp/JNLPFile.java: getVendor/Title refactored to work without values. In strict mode,
	they keep throwing MisisngElement exception/
	* netx/net/sourceforge/jnlp/Parser.java: delegating logic to check title/vendor to JNLPfile. Jsut calling it with possibility of fail.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added PMissingMandatoryWarning and PMissingMandatorySubstitution
	to inform about missing title/vendor
	* tests/netx/unit/net/sourceforge/jnlp/ParserTest.java: adapted to new behavior

2019-01-15  Jiri Vanek <jvanek@redhat.com>

	Made Linux launchers portable
	* shell-launcher/launchers.bat.in: made aware of the variables substituted from
	* shell-launcher/launchers.sh.in: included snippet for current directory resolving. If NEXT_JAR is not found on
	its location, compose new (boot)classpath, based on current directory.

2018-01-07  Joel Tesdall <jtesdall@mapcon.com>
            Jiri Vanek <jvanek@redhat.com>

	Added optional windows desktop integration
	* AUTHORS: added Joel
	* Makefile: Excluded (WindowsDesktopEntry.java) if mslinks are not included, added mslinks to UNIFIED_CLASSPATH_SEGMENTS
	included mslinks to windows and linux runtime libs, added MSLINKS_JAR to other composeclasspath calls
	* NEWS: mentioned windows desktop support, mentioned listing of cache and operations via id.
	* acinclude.m4: added check (IT_CHECK_FOR_MSLINKS) for optional mslinks.jar, strong warning printed if build is on windows
	* configure.ac: call (IT_CHECK_FOR_MSLINKS)
	* netx/net/sourceforge/jnlp/Launcher.java: new variable of (KEY_JAVAWS_LOCATION) to replace hardcoded icedtea-web.bin.location over netx.
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java:  re-declared clear cache to take none or one argument.
	Added Xcacheids switch for listing the cache (works with verbose)
	* netx/net/sourceforge/jnlp/cache/CacheDirectory.java: refactored hardcoded ".info" to constant.
	* netx/net/sourceforge/jnlp/cache/CacheEntry.java: introduced KEY_JNLP_PATH and used to set jnlp-path attribute
	* netx/net/sourceforge/jnlp/cache/CacheLRUWrapper.java: hide private constructor, declared and provided (windowsShortcutList)
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: extracted and used (checkToClearCache). Added second method clearCache
	with arg to clear only specific part of cache. Clear cache also alerts windows desktop files now via new removeWindowsShortcuts.
	Added methods to lists ids and details from cache listCacheIds and getCacheIds. Included new inner class CacheId to encapsualte
	various types of id - CacheJnlpId and CacheDomainId now.
	* netx/net/sourceforge/jnlp/cache/DirectoryNode.java: only adapted to .info refactoring
	* netx/net/sourceforge/jnlp/cache/ResourceDownloader.java: Save main argument, or jnlp argument or html argument to
	jnlp-path .info entry if found.
	* netx/net/sourceforge/jnlp/controlpanel/CacheAppViewer.java: gui to itweb-settings cache pane to allow comfortable
	listing of ids and deleting via those grouping.	New file.
	* netx/net/sourceforge/jnlp/controlpanel/CachePane.java: added logic to show .info details for each file shown by cache viewer.
	(generateData) made jnlp-path aware, made public and reused several times
	* netx/net/sourceforge/jnlp/controlpanel/TemporaryInternetFilesPanel.java: added button to show dilog which is deleting by id
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added BXclearcache BXSingleCacheCleared BXSingleCacheClearNotFound
	BXSingleCacheMoreThenOneId BXSingleCacheFileCount BXcacheids NOAnonorone WinDesktopError. Modified BXclearcache. Improved
	EXAWdesktopWants EXAWdesktopDontWants EXAWsubmenu EXAWmenuWants EXAWmenuDontWants EXAWrememberByApp EXAWrememberByPage
	EXAWrememberByAppTooltip EXAWbrowsersTolltip SDesktopShortcut
	* netx/net/sourceforge/jnlp/runtime/ApplicationInstance.java: added if isWindows reflective calls to  WindowsDesktopEntry
	and original XdesktopEntry work moved to else part.
	* netx/net/sourceforge/jnlp/runtime/Boot.java: now offer getter for optionParser (so it van be reused in ResourceDownloader)
	Added understanding to Xcacheids. Understanding to Xclearcache adapted to its new optional argument
	* netx/net/sourceforge/jnlp/util/GenericDesktopEntry.java: interface for (future) WindowsDesktopEntry and XDesktopEntry unification
	* netx/net/sourceforge/jnlp/util/WindowsDesktopEntry.java: new file, implementation fo windos desktop integration
	via lnk files generated by mslinks.jar. Unlike XDesktop integration, it swarms also uninstall shortcuts.
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: Mostly adapted to refactorings. Extracted extraction of favicon to method,
	reused, and improved to try more locations on server.
	* netx/net/sourceforge/jnlp/util/optionparser/OptionParser.java: adapted to refactorings
	* shell-launcher/launchers.bat.in: mslinks included in bootclasspath
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheUtilTest.java: addd tests for CacheId
	* tests/netx/unit/net/sourceforge/jnlp/util/XDesktopEntryTest.java: Added tests for favicon extraction

2019-01-14  Jiri Vanek <jvanek@redhat.com>

	Refactored arranging of arguments and finding jre on path to be testable
	* rust-launcher/src/main.rs: introduced compose_arguments, include_not_dashJs,
	include_dashJs_values; used, tested
	* rust-launcher/src/utils.rs: introduced get_jdk_from_path_conditionally_testable and
	get_jdk_from_given_path_testable; used, tested

2019-01-14  Jiri Vanek <jvanek@redhat.com>

	Added detection of JDK from PATH
	* rust-launcher/src/hardcoded_paths.rs: minor fix of Err to err
	* rust-launcher/src/jars_helper.rs: removed redundant declaration of i
	* rust-launcher/src/main.rs:resolving of jre moved to utils
	* rust-launcher/src/os_access.rs: declared new method, get_exec_suffixes to obtain java's executable suffix
	implemented for linux as ""
	* rust-launcher/src/utils.rs: new method find_jre, extracted form main, enhanced for call to get_jdk_from_path_conditionally
	new method get_jdk_from_path, for bundled build and both, searching fo jre on path. Based on java executable on path, resolves
	jre

2019-01-14  Jiri Vanek <jvanek@redhat.com>

	Added support for -J options
	* rust-launcher/src/main.rs: arguments are now copied to sub-process in two steps
	First those with -J prefix are having it stripped and are given to JVM. Those withou J are
	suffixed to the itw itself

2019-01-14  Jiri Vanek <jvanek@redhat.com>

	Added code-coverage for rust launchers
	* .Makefile.am: declared target counting code coverage on rust launchers based on kcov
	* acinclude.m4: declared checkfor kcov directory
	* configure.ac: added optional check for kcov

2019-01-09  Jiri Vanek <jvanek@redhat.com>

	Made rust launchers to resovle jars, compose classpath and this run itw
	* Makefile: renamed netx.jar to javaws.jar; properly ued variabels for NETX_JAR and SPLASH_PNG and all other .jar and.png resources
	* configure.a: added check for --with-itw-libs which determines wheter build is for distribution, self or portable usage
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: adapted netx->javaws renaming
	* netx/net/sourceforge/jnlp/controlpanel/ClassFinder.java:  adapted netx->javaws renaming
	* netx/net/sourceforge/jnlp/resources/Messages.properties:  adapted netx->javaws renaming
	* netx/net/sourceforge/jnlp/resources/Messages_cs.properties:  adapted netx->javaws renaming
	* netx/net/sourceforge/jnlp/resources/Messages_de.properties:  adapted netx->javaws renaming
	* netx/net/sourceforge/jnlp/resources/Messages_pl.properties:  adapted netx->javaws renaming
	* netx/net/sourceforge/jnlp/resources/Messages_ru.properties:  adapted netx->javaws renaming
	* netx/net/sourceforge/jnlp/runtime/Translator.java:  adapted netx->javaws renaming
	* rust-launcher/src/dirs_paths_helper.rs: added utility methods of path_to_string, current_program, current_program_parent, current_program_name
	check_config_files_paths split to check_config_files_paths and check_legacy_config_files_paths. Both win only. First one temporarily.
	* rust-launcher/src/hardcoded_paths.rs: made aware of SPLASH_PNG, TAGSOUP_JAR, RHINO_JAR, ITW_LIBS
	added enum for ITW_LIBS - BOTH, BUNDLED and DISTRIBUTION
	* rust-launcher/src/main.rs: by using jars_helper, compose classpath, put it to java args together with main, and so is making launchers work
	* rust-launcher/src/jars_helper.rs: new class, responsible composing classpath by resolving which jars to use
	* rust-launcher/src/os_access.rs: Added trait method get_classpath_separator
	* rust-launcher/src/property_from_files_resolver.rs: TestLogger moved to utils
	* rust-launcher/src/utils.rs: got TestLogger and provided factory method for it.

2018-12-10  Jiri Vanek <jvanek@redhat.com>
            jtesdall <jtesdall@mapcon.com>

	Replaced hardcoded BOM character with utf representation (PR3671)
	* netx/net/sourceforge/nanoxml/XMLElement.java: (scanLeadingWhitespace) resolved PR3671, relaced ' ' by \\ufeff

2018-12-10  Jiri Vanek <jvanek@redhat.com>

	Made get_home os dependent.
	* rust-launcher/src/dirs_paths_helper.rs: removed get_home; used os.get_home where appropriate.
	Introduced is_dir, and moved is_file here and theirs tests.
	* rust-launcher/src/os_access.rs: prescribed get_home and implemeted for Linux, solemnly on HOME variable
	* rust-launcher/src/property_from_file.rs: adapted to new location of is_file
	* rust-launcher/src/property_from_files_resolver.rs: implemented get_home doing nothing for testing stub

2018-11-30  Jiri Vanek <jvanek@redhat.com>

	verbose also from deployment.properties
	* rust-launcher/src/main.rs: now reading verbose also from deployment.properties
	* rust-launcher/src/property_from_file.rs: added wrapping functions to load deployment.log boolean
	* rust-launcher/src/property_from_files_resolver.rs: refactored to use new validators

2018-11-30  Jiri Vanek <jvanek@redhat.com>

	Rust properties parser generalized to be reusable
	* rust-launcher/src/dirs_paths_helper.rs: new file, including get_xdg_config_dir, deployment.properties and similar
	originally from jvm_from_properties.rs
	* rust-launcher/src/main.rs: adapted to re-factored state
	* rust-launcher/src/os_access.rs: added and for Linux implemented get_system_config_javadir, get_user_config_dir
	* rust-launcher/src/property_from_file.rs: renamed from jvm_from_properties_file and generalized
	* rust-launcher/src/property_from_files_resolver.rs: renamed from jvm_from_files_resolver and generalized
	* rust-launcher/src/utils.rs: adapted to renamed JRE_PROPERTY_NAME from PROPERTY_NAME

2018-11-28  Jiri Vanek <jvanek@redhat.com>

	deployment.config now support generic url instead just file
	* netx/net/sourceforge/jnlp/config/Defaults.java: added option KEY_SYSTEM_CONFIG as url and KEY_SYSTEM_CONFIG_MANDATORY as boolean,
	thus documented
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: refactored to work with general url rather then with file only
	* netx/net/sourceforge/jnlp/config/InfrastructureFileDescriptor.java: added (getUrl) as shortcut to  getFile().toURI().toURL()
	* netx/net/sourceforge/jnlp/controlpanel/CommandLine.java: (CommandLine) made aware of MalformedURLException
	* tests/netx/unit/net/sourceforge/jnlp/config/DeploymentConfigurationTest.java: added tests for new DeploymentConfiguration.checkUrl
	covering ok/not ok file, ok/not ok http
	* NEWS: mentioned

2018-11-27  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/OptionsDefinitions.java: (main) moved from ifelse to switch

2018-11-27  Jiri Vanek <jvanek@redhat.com>

	* tests/netx/unit/net/sourceforge/jnlp/runtime/JNLPProxySelectorTest.java: fixed tests in (testConvertingProxyAutoConfigResultToProxyObject)

2018-11-27  Jiri Vanek <jvanek@redhat.com>

	https is preffered only on default port
	* netx/net/sourceforge/jnlp/cache/ResourceUrlCreator.java: (getUrls) when http protocol-ed  url have set port
	its https clone is not put to the list of possible urls

2018-11-27  Jiri Vanek <jvanek@redhat.com>

	PR3645, second part - following windows system paths correctly
	* netx/net/sourceforge/jnlp/config/PathsAndFiles.java: following
	https://docs.oracle.com/javase/7/docs/technotes/guides/jweb/jcp/properties.html
	(SystemCofigFileDescriptor) now honor WINDIR on windows

2018-11-27  Jiri Vanek <jvanek@redhat.com>
            Lars Herschke <lhersch@dssgmbh.de>

	Fixed PR3637 - making cache work with jdk9+ #runtime jar url anchor
	* netx/net/sourceforge/jnlp/runtime/CachedJarFileCallback.java: (retrieve) if jar is not found in cache, ale url without anchor is attempted
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: usinf localFile.toURI().toURL() instead of direct localFile.toURL()

2018-11-23  Lars Herschke <lhersch@dssgmbh.de>
            Jiri Vanek <jvanek@redhat.com>

	Fixed LockedFile for readonly on windows
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: made isUnix deprecated
	* netx/net/sourceforge/jnlp/util/lockingfile/LockedFile.java: creating file (for windows) only if not readonly
	* tests/netx/unit/net/sourceforge/jnlp/util/lockingfile/NonWindowsLockedFile.java: tests for os set to no windows
	* tests/netx/unit/net/sourceforge/jnlp/util/lockingfile/WindowsLockedFileTest.java: tests for os set to windows


2018-11-23  Lars Herschke <lhersch@dssgmbh.de>

	Fix for java.lang.NoClassDefFoundError: Could not initialize class net.sourceforge.jnlp.runtime.JNLPRuntime$DeploymentConfigurationHolder
	* NEWS: mentioned PR3644
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: removed useless logging of headless - initiation of logging - on windows
	* AUTHORS: added Lars

2018-11-07  Olesya Gerasimenko <gammaray@basealt.ru>

	Added Russian translation
	* netx/net/sourceforge/jnlp/resources/Messages_ru.propertie: new file with Russian strings
	* tests/netx/unit/net/sourceforge/jnlp/resources/MessagesPropertiesTest.java: added RU to iterated sets.
	* AUTHORS: added Olesya

2018-10-18  Jiri Vanek <jvanek@redhat.com>

	Removed gcc if native plugin is not build
	* acinclude.m4: AC_PROG_CC and AC_PROG_CXX moved behind enable_native_plugin condition
	* configure.ac: AC_PROG_CC and AC_PROG_CXX moved behind enable_native_plugin condition, Faked fastDepC variables
	otherwise configure always fell
	* Makefile.am: plugin native tests made passing without plugin

2018-10-17  Jiri Vanek <jvanek@redhat.com>
            Alex Kashchenko <akashche@redhat.com>

	* netx/net/sourceforge/jnlp/util/lockingfile/LockedFile.java: caching enabled, or at least semi-enabled on windows

2018-10-17  Laurent Bourgès <bourges.laurent@gmail.com>

	* netx/net/sourceforge/jnlp/controlpanel/CachePane.java: using SwingUtils.invokeLater instead of
	* netx/net/sourceforge/jnlp/controlpanel/CommandLine.java: same + calling SwingUtils.setup
	* netx/net/sourceforge/jnlp/controlpanel/DesktopShortcutPanel.java: same
	* netx/net/sourceforge/jnlp/controlpanel/PolicyPanel.java: same
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletsTrustingListPanel.java: same
	* netx/net/sourceforge/jnlp/controlpanel/desktopintegrationeditor/Blinker.java: same
	* netx/net/sourceforge/jnlp/controlpanel/desktopintegrationeditor/FreeDesktopIntegrationEditorFrame.java: same
	* netx/net/sourceforge/jnlp/runtime/Boot.java: same + calling SwingUtils.setup
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/ExtendedAppletSecurityHelp.java: same
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java: same + calling SwingUtils.setup
	* netx/net/sourceforge/jnlp/splashscreen/parts/BasicComponentErrorSplashScreen.java: same
	* netx/net/sourceforge/jnlp/splashscreen/parts/JEditorPaneBasedExceptionDialog.java: same
	* netx/net/sourceforge/jnlp/util/logging/ConsoleOutputPane.java: same
	* netx/net/sourceforge/jnlp/util/ImageResources.java: added check for null in stream
	* netx/net/sourceforge/swing/SwingUtils.java: added setup-able. removed EDT_DAEMON_THREAD_POOL (thus currently not
	working properly in jdk11+, but fix for JDK itself is on the way)


2018-10-12  Jiri Vanek <jvanek@redhat.com>

	reworked showDocument logic
	* netx/net/sourceforge/jnlp/config/BasicValueValidators.java: added special validator for browser
	* netx/net/sourceforge/jnlp/config/Defaults.java: used this validator
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: declared browser's constants and environment variable
	* netx/net/sourceforge/jnlp/resources/Messages.properties: removed invalid lines, added new lines
	* netx/net/sourceforge/jnlp/resources/Messages_cs.properties: removed invalid lines,
	* netx/net/sourceforge/jnlp/resources/Messages_de.properties: removed invalid lines,
	* netx/net/sourceforge/jnlp/resources/Messages_pl.properties: removed invalid lines,
	* netx/net/sourceforge/jnlp/runtime/AppletEnvironment.java: showDocument now works
	* netx/net/sourceforge/jnlp/runtime/Translator.java: added shortcut method to call call VVPossibleBrowserValues
	* netx/net/sourceforge/jnlp/runtime/html/browser/LinkingBrowser.java: split creation from stand alone launch
	* netx/net/sourceforge/jnlp/services/XBasicService.java: fully reworked  showDocument. Focus on standard desktop api and customization
	* tests/reproducers/signed/ShowDocument/resources/ShowDocumentApplet.jnlp: test jnlp for applet's context.showDocument
	* tests/reproducers/signed/ShowDocument/resources/ShowDocumentMain.jnlp: test jnlp for application's  basicService.showDocument
	* tests/reproducers/signed/ShowDocument/resources/document.txt: document to be shown in test
	* tests/reproducers/signed/ShowDocument/srcs/ShowDocument.java: body of applet/jnlp-app
	* tests/reproducers/signed/ShowDocument/testcases/ShowDocumentTest.java: two testcases - one for applet, second for app. Both running on headless.

2018-10-10  Jiri Vanek <jvanek@redhat.com>

	Rust launchers now spawn jvm
	* rust-launcher/src/jvm_from_properties_resolver.rs: implemented new trait method (spawn_java_process). Stub only. Will panic
	* rust-launcher/src/main.rs: java from found java_dir is launched. Process is awaited, its return returned.
	* rust-launcher/src/os_access.rs: trait method of (spawn_java_process) add and implemented for linux.

2018-10-01  Jiri Vanek <jvanek@redhat.com>

    * rust-launcher/src/main.rs: new method of (is_debug_on) based on cmd line determining verbosity. (main) return of is_debug_on used for  os_access::Linux::new call.

2018-09-26  Jiri Vanek <jvanek@redhat.com>

	Allowed itw-settings to be opened from viewer
	* netx/net/sourceforge/jnlp/controlpanel/ControlPanel.java: used exit instead of dispose
	* netx/net/sourceforge/jnlp/resources/Messages.properties: new string with key of ButLunchFullItwSettings
	* netx/net/sourceforge/jnlp/runtime/Boot.java: get rid of exit, and only return from main method
	* netx/net/sourceforge/jnlp/security/SecurityDialog.java: call too showSingleCertInfoDialog changed to Window
	* netx/net/sourceforge/jnlp/security/viewer/CertificatePane.java: added new button to launch ControlPanel main class
	* netx/net/sourceforge/jnlp/security/viewer/CertificateViewer.java: used exit instead of dispose
	* netx/net/sourceforge/swing/SwingUtils.java: (info) now accepts Window instead of JDialog

2018-10-01  Laurent Bourgès <bourges.laurent@gmail.com>

	Fixed EDT hanging
	* AUTHORS: added Laurent
	* netx/net/sourceforge/jnlp/GuiLaunchHandler.java: invokeLater and invokeAndWait moved from SwingUtilities to the local wrapper SwingUtils.
	Simplified splashscreen loading
	* netx/net/sourceforge/jnlp/JNLPSplashScreen.java: called super and added name to the dialog
	* netx/net/sourceforge/jnlp/Launcher.java: added log entry for main class loading. Highlighted usage of SwingUtilities on top SwingUtils
	for this particular space
	* netx/net/sourceforge/jnlp/about/AboutDialog.java: added name. InvokeLater and invokeAndWait moved from SwingUtilities to the
	local wrapper SwingUtils.
	* netx/net/sourceforge/jnlp/cache/DefaultDownloadIndicator.java: reworked to work in SwingUtils.invokeAndWait. Added name.
	* netx/net/sourceforge/jnlp/controlpanel/AdvancedProxySettingsDialog.java: added name
	* netx/net/sourceforge/jnlp/controlpanel/CacheViewer.java: added name
	* netx/net/sourceforge/jnlp/controlpanel/ControlPanel.java: added top level setup for enabling SwingUtils debugging abilities
	added log entry for main class loading. Highlighted usage of SwingUtilities on top SwingUtils for this particular space
	* netx/net/sourceforge/jnlp/runtime/AppletEnvironment.java: instead of invokeAndWait, used SwingUtils.callOnAppContext
	* netx/net/sourceforge/jnlp/runtime/Boot.java: added top level setup for enabling SwingUtils debugging abilities
	CertificateViwer moved to invokeAndWait. added log entry for main class loading. Highlighted usage of SwingUtilities instead
	of SwingUtils for this particular case
	* netx/net/sourceforge/jnlp/runtime/HtmlBoot.java: invokeLater and invokeAndWait moved from SwingUtilities to the local wrapper SwingUtils.
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: removed import of import javax.swing.JWindow
	* netx/net/sourceforge/jnlp/runtime/JNLPSecurityManager.java: direct call to JWindow().getOwner(), moved to  SwingUtils.getOrCreateWindowOwner.
	Its existence doubtful
	* netx/net/sourceforge/jnlp/security/SecurityDialog.java: installPanel moved to invokeAndWait
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java: used SwingUtils instead of SwingUtilities, added name
	* netx/net/sourceforge/jnlp/security/dialogs/ViwableDialog.java: swing ops moved to invokeAndWait
	* netx/net/sourceforge/jnlp/security/viewer/CertificateViewer.java: calling Swingutils.setup, still all the same
	* netx/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/BasePainter.java: still the same
	* netx/net/sourceforge/jnlp/util/BasicExceptionDialog.java: same - name, SwingUtils x SwingUtilities, and proper usage of invokes
	* netx/net/sourceforge/jnlp/util/FileUtils.java: SwingUtils x SwingUtilities
	* netx/net/sourceforge/jnlp/util/logging/JavaConsole.java: observable.notifyObservers moved to invokeLater and
	and invoked only if observable.hasChanged
	* netx/net/sourceforge/swing/SwingUtils.java: new class. Wrapper around most commonly used SwingUtilities calls. Add debugging bridge
	property of icedtea-web.edt.debug set to true, can enable it on runtime.
	* netx/net/sourceforge/swing/ThreadCheckingRepaintManager.java: Based on http://weblogs.java.net/blog/alexfromsun/archive/2006/02/debugging_swing.html
	debugging repaint manager

2018-10-01  Fridrich Strba  <fridrich.strba@suse.com>

	Added eternal java version detection
	* acinclude.m4: used sophisticated head-cut to determine single number major java version
	* plugin/icedteanp/IcedTeaNPPlugin.cc: similar
	* shell-launcher/launchers.sh.in: same

2018-09-05  Jiri Vanek <jvanek@redhat.com>

	* shell-launcher/launchers.sh.in: inverted logic to detect modular jdk.
	If it is jdk8, then it is not modular JDK, otherwise it is.

2018-09-05  Jiri Vanek <jvanek@redhat.com>

	Implemented JVM recognition in rust launchers
	* .hgignore: added rust-launcher/.idea
	* .Makefile: (launcher.build) adapted to tmp handling - exporting rust_tests_tmp and creating it
	* rust-launcher/src/hardcoded_paths.rs: not-using returns consistently
	* rust-launcher/src/jvm_from_properties.rs: logic to parse properties file, and to read JDK value from here
	* rust-launcher/src/jvm_from_properties_resolver.rs: logic to waterfall all usable properties files and try
	locate JDK here.
	* rust-launcher/src/main.rs: now trying various JDKS: proeprties->JAVA_HOME->registry->default (from build)
	* rust-launcher/src/os_access.rs: set of classes serving to bridge few details where win and Linux may differ
	* rust-launcher/src/property.rs: class to read generic properties file
	* rust-launcher/src/utils.rs: class for various utility methods. Including testing subclass


2018-09-04 Alex Kashchenko <akashche@redhat.com>

	Fix cargo detection in autoconf
	* autoconf.ac: add missed check whether cargo was found in PATH

2018-08-13  Jiri Vanek <jvanek@redhat.com>

	* LICENSE: new file. Added explicit license with details

2018-06-20  Jiri Vanek <jvanek@redhat.com>

	Enhanced itw-settngs' certificate viewer to show what file is backing showed certificate store.
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: adapted to refactoring of KeyStores
	* netx/net/sourceforge/jnlp/security/KeyStores.java: getKeyStore now returns wrapper with path alongside with ks itself
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: adapted to refactoring of KeyStores
	* netx/net/sourceforge/jnlp/security/viewer/CertificatePane.java: now shows read-only path to shown ks

2018-06-20  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/security/dialogs/CertsInfoPane.java: fixed hex output of certificate signature
	for jdk8

2018-06-20  Jiri Vanek <jvanek@redhat.com>

	Added semi support for recognition jdk10 and up
	* netx/net/sourceforge/jnlp/controlpanel/JVMPanel.java: replaced hardcoded 9 by cycle from 9 to 99
	* netx/net/sourceforge/jnlp/resources/Messages.properties: replaced jdk9 by jdk9 and up.

2018-05-28  Jiri Vanek <jvanek@redhat.com>

	added deployment property to enforce headfull execution
	* netx/net/sourceforge/jnlp/config/Defaults.java: IGNORE_HEADLESS_CHECK set to false
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: deployment.headless.ignore
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: if deployment.headless.ignore is true, then headless state is not checked
	and environment is always considered as headfull

2018-05-24  Jiri Vanek <jvanek@redhat.com>

	Made headless detection softer
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: JWindow().getOwner() repalced by GraphicsEnvironment.isHeadless()
	JWindow().getOwner() was failing on headfull systems after headless check itself, on NPE.

2018-05-14  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/runtime/AppletEnvironment.java: getDocumentBase now returns codeBase as fallback when
	documentBase is null. Oracle Applications R12, Oracle Forms Java Webstart application is requesting getDocumentBase
	where it shouldn't, however they refuse to modify their code and add ITW to supported platforms

2018-02-15  Jiri Vanek <jvanek at redhat.com>

	Build of rust lunchers moved to cargo
	* configure.ac: added check for cargo
	* .hgignore: added target and Cargo.lock
	* .Makefile.am: dropped all launcher.in/libhardoced_paths_*.rs targets and rustc targets.
	(launcher.build/$(javaws) launcher.build/$(itweb_settings) launcher.build/$(policyeditor))
	adapted to use cargo. Variables handled in switch. (clean) now cleans all launcher.in*
	* rust-launcher/Cargo.toml: primitive declaration of package
	* rust-launcher/src/hardcoded_paths.rs: copied from rust-launcher/hardoced_paths.rs.in
	adapted to get substitution via cargo rather then by sed.  Added test and wrapping getters
	* rust-launcher/src/main.rs: copied from rust-launcher/launchers.rs. Adapted imports to new
	infrastructure,s till just reprinting hardcoded stuff

2018-02-06  Jiri Vanek <jvanek@redhat.com>

	Added test for javafx-desc
	* tests/reproducers/custom/JavaFx/resources/JavaFx.jar
	* tests/reproducers/custom/JavaFx/resources/JavaFx.jnlp
	* tests/reproducers/custom/JavaFx/srcs/Controller.class
	* tests/reproducers/custom/JavaFx/srcs/Controller.java
	* tests/reproducers/custom/JavaFx/srcs/Main.class
	* tests/reproducers/custom/JavaFx/srcs/Main.java
	* tests/reproducers/custom/JavaFx/srcs/Makefile
	* tests/reproducers/custom/JavaFx/srcs/helloworld.fxml
	* tests/reproducers/custom/JavaFx/testcases/JavaFxTest.java

2018-02-05  Jiri Vanek <jvanek@redhat.com>

	Fixed news for latest changes
	* NEWS: mentioned javafx-desc, -nosecurity enhancement and j2se/java resources

2018-02-05  Jiri Vanek <jvanek@redhat.com>

	Added basic support for javafx desc
	* netx/net/sourceforge/jnlp/ApplicationDesc.java: added flag fx to rember what was initiator
	* netx/net/sourceforge/jnlp/Node.java: Added abstraction ElementName over string of element name to hold namespace
	and separate it for name if present
	* netx/net/sourceforge/jnlp/Parser.java: for javafx-desc ApplicationDesc is instantiated. Adapted to ElementName
	* tests/netx/unit/net/sourceforge/jnlp/ParserCornerCases.java: ElementName
	* tests/netx/unit/net/sourceforge/jnlp/ParserTest.java: ElementName

2018-02-03  Jiri Vanek <jvanek@redhat.com>

	nosecurity switch made extendable also for certificate issues
	* netx/net/sourceforge/jnlp/config/Defaults.java: set deployment.security.itw.ignorecertissues
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: added deployment.security.itw.ignorecertissues
	* netx/net/sourceforge/jnlp/resources/Messages.properties: BONosecurity is now tailed by rumor about deployment.security.itw.ignorecertissues
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: when ITW was about to throw certificate-caused launch exception,
	it i snow consulted with nosecurity and deployment.security.itw.ignorecertissues. If both are here, exception is only printed

2018-02-03  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: autoformatted

2018-02-03  Jiri Vanek <jvanek@redhat.com>

	Made ITW to load resources from j2se/java tag too
	* netx/net/sourceforge/jnlp/Parser.java: constructors/methods made public to help unittests
	* netx/net/sourceforge/jnlp/ShortcutDesc.java: same
	* netx/net/sourceforge/jnlp/ResourcesDesc.java: getJars made to iterate recursively over content of j2se
	* tests/netx/unit/net/sourceforge/jnlp/ParserBasic.java: added testcase
	* tests/netx/unit/net/sourceforge/jnlp/jarsInJreDesc.jnlp: testfile copied form omegat which have this strange resources

2018-02-03  Jiri Vanek <jvanek@redhat.com>
	* netx/net/sourceforge/jnlp/Parser.java: auto-formatted

2017-12-11  Jiri Vanek <jvanek at redhat.com>

	* Makefile.am: preprocessing hardoced_paths.rs.in for each binary and creating libs
	* rust-launcher/launchers.rs: now uses new, future lib
	* rust-launcher/hardoced_paths.rs.in: source for all hardcoded libs we currently use

2017-12-08  Jiri Vanek <jvanek at redhat.com>

	Added possibility to turn off https preference via deployment properties
	* netx/net/sourceforge/jnlp/cache/ResourceUrlCreator.java:
	if deployment.https.noenforce is true, then https variants are not smuggled into urlslist
	* netx/net/sourceforge/jnlp/config/Defaults.java:
	deployment.https.noenforce declared as false by default
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java:
	added field of KEY_HTTPS_DONT_ENFORCE = "deployment.https.noenforce"

2017-11-02  Jiri Vanek <jvanek@redhat.com>

	Added linux binary dist target
	* Makefile.am: (uninstall-linux-only) fixed suffixes of removed lunchers
	added new target (linux-bin-dist) creating binary javaws static distribute-able image

2017-11-09  Jiri Vanek <jvanek@redhat.com>

	Fixed XDGspecificationTests to survive with shell scripts of .sh suffix
	* tests/reproducers/simple/simpletest1/testcases/XDGspecificationTests.java: now using system getItwebSettingsFile call
	* tests/test-extensions/net/sourceforge/jnlp/ServerAccess.java: added getItwebSettingsFile  and getIPolicyEditorFile methods
	to guess those binaries from javaws, as those can be now .sh or none suffix

2017-11-08 Alex Kashchenko <akashche@redhat.com>

	Support creating cache files with restricted access on windows
	* netx/net/sourceforge/jnlp/util/FileUtils.java: set proper ACLs for cache files and directories
	* tests/netx/unit/net/sourceforge/jnlp/util/FileUtilsTest.java: added testCreateRestrictedFile test that checks ACLs for cache file

2017-11-02  Jiri Vanek <jvanek@redhat.com>

	Deprecated shell launchers, added skeleton for future rust launcher
	* Makefile.am: launchers and desktop files gathered to variable, filled according to configure
	iffed out deprecated shell launchers, added build stubs for rustc calls
	* configure.ac: added switch --enable-shell-launchers to enable build of legacy shell launchers.
	note, that when installed, those launchers will have .sh suffix
	added check for rustc - Mandatory without shell launchers, only optional with.
	* rust-launcher/launchers.rs: new, stub for native launchers
	* shell-launcher/launchers.bat.in: renamed from launcher/launchers.bat.in
	* shell-launcher/launchers.sh.in: renamed from launcher/launchers.in


2017-09-25  Jiri Vanek <jvanek@redhat.com>
            Tomáš Votava <tomcacolca@gmail.com>

	Authors made as links in html docs
	* netx/net/sourceforge/jnlp/util/docprovider/TextsProvider.java: isntanceof replaced by correct interface method
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/Formatter.java: added getAdressLink and replaceLtGtCharacters methods
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/HtmlFormatter.java: implemented newmethods. Added dummy antispam protection
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/ReplacingTextFormatter.java: dummy impl of new methods
	* tests/netx/unit/net/sourceforge/jnlp/util/docprovider/ReadAutorsTest.java: adapted

2017-09-14  Jiri Vanek <jvanek@redhat.com>
            Tomáš Votava <tomcacolca@gmail.com>

	PR3426 - ITW Docs do not have correct 'AUTHOR' field
	* AUTHORS: removed invalid space after one lt mark
	* Makefile: (generate-docs.stamp) added and used (where appropriate)
	path to src AUTHORS file.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added message for
	case, when no authors file specified on input.
	* netx/net/sourceforge/jnlp/util/docprovider/TextsProvider.java: implemented
	possibility to include authors file to documentation.
	* tests/netx/unit/net/sourceforge/jnlp/util/docprovider/ReadAutorsTest.java:
	tests for generator

2017-09-12  Fridrich Strba  <fridrich.strba@suse.com>

	Set source language version for javadoc generation for jdk9
	* Makefile.am: (JAVADOC_OPTS) if HAVE_JAVA9 then -source is appended with
	correct IT_LANGUAGE_SOURCE_VERSION number

2017-09-12  Fridrich Strba  <fridrich.strba@suse.com>

	Get rid of X509Factory class usage
	* netx/net/sourceforge/jnlp/security/CertificateUtils.java: removed import and usage of
	X509Factory (replaced by hardcoded string). Still better then reflection.
	* configure.ac: removed check for sun.security.provider.X509Factory

2017-09-12  Fridrich Strba  <fridrich.strba@suse.com>

	Plugin made work again with jdk9
	* launcher/launchers.in: added exports for sun.applet
	* plugin/icedteanp/IcedTeaNPPlugin.cc: same

2017-07-20  Jiri Vanek <jvanek@redhat.com>

	Post-release changes
	* NEWS: added 1.8 section
	* configure.ac: (AC_INIT) bumped to 1.8pre


2017-07-20  Jiri Vanek <jvanek@redhat.com>

	* javaws.desktop.in: value type changed from %f (file) to %u (url)
	this helps jnlp protocol a lot, and should not harm older normal_file_path behavior

2017-07-19  Jiri Vanek <jvanek@redhat.com>

	Pre-release tuning
	* Makefile.am: (netx-html-gen.stamp) set number of changests to 236 (since 1.6)
	* NEWS: date of 1.7 set
	* configure.ac: (AC_INIT) set to use 1.7

2017-07-19  Jiri Vanek <jvanek@redhat.com>

	made usable with jdk9  again
	* acinclude.m4: IT_CHECK_FOR_CLASS removed no longer valid -Xmodule usage
	* launcher/launchers.in: made immune to missing plugin jar
	* netx/net/sourceforge/jnlp/jdk89acesses/SunMiscLauncher.java: moved to reflection, made javaws buildable under jdk9


2017-07-18  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/security/dialogs/CertsInfoPane.java: HexEncoder loaded by reflection
	to allow smooth jdk8 x 9 transition.

2017-07-18  Jiri Vanek <jvanek@redhat.com>

	* launcher/launchers.in: added exports for javax.jnlp to hook jdk9 one more times

2017-07-13  Jiri Vanek <jvanek@redhat.com>

	Fixed issue, when some resources were not used, because of OS was reporting full name. Eg. "Windows 7" where just "windows" was expected
	* netx/net/sourceforge/jnlp/JNLPFile.java: (stringMatches) now compares only parts before first space
	(getResources) added brackets behind ifs
	* tests/netx/unit/net/sourceforge/jnlp/JNLPFileTest.java: added test

2017-07-12  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/security/dialogs/TemporaryPermissions.java: escaped windows path slash

2017-07-11  Jiri Vanek <jvanek@redhat.com>
            Alexandr Kolouch  <skolnag@gmail.com>

	Added Czech translation for 1.7.
	* netx/net/sourceforge/jnlp/resources/Messages_cs.propertie: added missing
	properties, adapted changed ones.
	* tests/netx/unit/net/sourceforge/jnlp/resources/MessagesPropertiesTest.java: added shift f2
	to blacklisted items

2017-07-07  Jiri Vanek <jvanek@redhat.com>

	Fixed pr3417
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: nested jars go into subdirectory instead alongside parent
	* tests/netx/unit/net/sourceforge/jnlp/runtime/JNLPClassLoaderTest.java: test for the issue
	* tests/netx/unit/net/sourceforge/jnlp/runtime/pf.jar-orig: jar with nested name clash

2017-06-28  Jiri Vanek <jvanek@redhat.com>
            Tereza Hlavackova <hlavackova.tereza@gmail.com>

	* javaws.png: adapted to new color schema (still work planned)
	* win-installer/greetings_banner.bmp: fixed small glitches
	* win-installer/icon.ico: made multisize

2017-16-15  Jiri Vanek <jvanek@redhat.com>

	Splash screen aligned with current graphic
	* netx/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/SplinesDefs.java: leading points of main leaves regenerated
	from current graphics. Pushed generating algorithm. Cubic splines are no longer used, instead the exact polygon is filled.
	* netx/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/BasePainter.java: adapted splinesDefs
	* plugin/icedteanp/java/sun/applet/PluginAppletViewer.java: iffed out NPE in midori
	* tests/netx/unit/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/BasePainterTest.java: aligned
	* tests/netx/unit/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/SplinesDefsTest.java: aligned

2017-06-15  Jiri Vanek <jvanek@redhat.com>
            Tereza Hlavackova <hlavackova.tereza@gmail.com>

	More tuning of itw graphics. Now new splashscreen have to be done
	* netx/javaws_splash.png: adapted to new leaves
	* netx/net/sourceforge/jnlp/resources/itw_logo.png: same
	* netx/net/sourceforge/jnlp/resources/netx-icon.png: added frozen lines around to
	be less environment-settings vulnereable
	* win-installer/greetings_banner.bmp: aligned to more blue color schema
	* win-installer/icon.ico: adapted to frozen leaves
	* win-installer/top_banner.bmp: added a bit of ice



2017-06-08  Jiri Vanek <jvanek@redhat.com>

	Small alignment of icon usage
	* netx/net/sourceforge/jnlp/controlpanel/ControlPanel.java: removed custom loading
	of netx.icon and replaced by standard call.
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java: added usage of netx.icon

2017-06-07  Jiri Vanek <jvanek@redhat.com>
            Tereza Hlavackova <hlavackova.tereza@gmail.com>

	Updated installer graphic, aligned first set of icons
	* AUTHORS: added Tereza
	* win-installer/icon.ico: designed new frontend ico
	* netx/net/sourceforge/jnlp/resources/netx-icon.png: aligned with ico.ico
	* win-installer/greetings_banner.bmp: redrawn (in style with ico.ico)
	* win-installer/top_banner.bmp: redrawn (in style with ico.ico)

2017-05-22  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/resources/Messages.properties: TAGSOUPnotUsed got fixed key/value delimiter

2017-05-22  Juergen Hoffmann <juhoffma@redhat.com>
            Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/resources/Messages.properties: fixed grammar in
	JREContinueDialogSentence2 and ALACAMatchingMainTitle keys

2017-05-22  Jiri Vanek <jvanek@redhat.com>

	Windows desktop path attempted to be handled correctly
	* netx/net/sourceforge/jnlp/runtime/ApplicationInstance.java: adapted to new name
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: added windows desktop locating
	* tests/netx/unit/net/sourceforge/jnlp/util/XDesktopEntryTest.java: on windows excluded xdg tests. Added test
	for windows desktop


2017-05-22  Jiri Vanek <jvanek@redhat.com>
            Tomáš Votava <tomcacolca@gmail.com>

	Splash-screen text renderers adapted to different fonts on windows. It is miracle splash screen is working on windows...
	* AUTHORS: added Tom
	* netx/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/TextOutlineRenderer.java: cutTo now returns rectangle in vain attempt to find center
	* netx/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/TextWithWaterLevel.java: same
	* tests/netx/unit/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/MovingTextTest.java:
	where possible, used relative measurements. hardcoded if values otherwise
	* tests/netx/unit/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/TextOutlineRendererTest.java: same
	* tests/netx/unit/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/TextWithWaterLevelTest.java: same


2017-05-22  Jiri Vanek <jvanek@redhat.com>
            Tomáš Votava <tomcacolca@gmail.com>

	* tests/netx/unit/net/sourceforge/jnlp/util/replacements/BASE64DecoderTest.java: enhanced for windows new lines
	* tests/netx/unit/net/sourceforge/jnlp/util/replacements/BASE64EncoderTest.java: same


2017-05-19  Jiri Vanek <jvanek@redhat.com>
            Alex Kashchenko <akashche@redhat.com>

	added support for reading java home from regsitry
	* launcher/launchers.bat.in: registry support(Alex),
	fixed issue with ITW_WIN_SPECIALS, fixed issue with returnvlaue,
	user-in-file java path proffered over all.

2017-12-19  Alex Kashchenko <akashche@redhat.com>

	Aligned msi and netx icons
	* netx/net/sourceforge/jnlp/resources/netx-icon.png: redrawn
	* win-installer/icon.ico: redrawn

2017-05-18  Jiri Vanek <jvanek@redhat.com>
            Tomáš Votava <tomcacolca@gmail.com>

	* tests/netx/unit/net/sourceforge/jnlp/splashscreen/impls/defaultsplashscreen2012/TextWithWaterLevelTest.java:
	cutToTest get rid of hardcoded siezes, ad follows relative placement of testing points
	(used font is different on windows)

2017-05-18  Jiri Vanek <jvanek@redhat.com>
            Tomáš Votava <tomcacolca@gmail.com>

	* tests/netx/unit/net/sourceforge/jnlp/util/logging/TeeOutputStreamTest.java: testPrint and testWriteByteArrayString
	made dual for linux and windows. Those tests are charset specific. testWriteByteArrayString2 is new test, showing
	strange issue when strange characters are going into and from byte array. On windows, this test fails, showing, that somewhere
	in the stack, there is bad encoding or bad offset/lenght used.

2017-05-18  Jiri Vanek <jvanek@redhat.com>
            Tomáš Votava <tomcacolca@gmail.com>

	* tests/netx/unit/net/sourceforge/jnlp/util/docprovider/formatters/formatters/FormatterTest.java:
	regular expression of testXNewLinesPlain adapted to match both win and linux line endings

2017-05-15  Jiri Vanek <jvanek@redhat.com>

	Installer graphic made a bit more ITWized
	* win-installer/greetings_banner.bmp: added semi-transparent logo
	* win-installer/top_banner.bmp: same

2017-12-10  Jiri Vanek <jvanek@redhat.com>

	* Makefile.am: installer renamed to itw-installer.msi, relative paths
	in json.in sedded to absolute ones to allow build in different build dir.

2017-12-10  Alex Kashchenko <akashche@redhat.com>
            Jiri Vanek <jvanek@redhat.com>

	* launcher/launchers.bat.in: added pause to the end of the script to allow
	reading of messages if launched out of prompt.


2017-12-10  Alex Kashchenko <akashche@redhat.com>

	Made jnlp protocol work in msi
	* win-installer/installer.json.in: "name": "TODO_DEFAULT", replaced by "name": "".
	Needs wixgen 1.3 https://github.com/akashche/wixgen/releases/tag/1.3

2017-12-10  Alex Kashchenko <akashche@redhat.com>
            Jiri Vanek <jvanek@redhat.com>

	Used absolute dirs, win installer work done in special folder, better WiX detection, win installer clean
	* Makefile.am: introduced WIN_INSTALLER_DIR putting win-installer.build to abs build dir
	introduced WIN_INSTALLER_SRC_DIR to put win-installer to abs src dir. clean-win-installer, new target,
	cleaning  installer. installer.json and win-installer targets now using correct path macros. All work done
	done in special dir
	* acinclude.m4: WIX_TOOLSET_DIR is now striped only once, so it wrks well for both bin(msi) and no  bin(zip)
	WiX isntallations
	* configure.ac: wixgen.jar added more defaults to try
	* win-installer/installer.json.in: adapted to work in different subdirectory (hot candidate for sed)


2017-12-10  Alex Kashchenko <akashche@redhat.com>
            Jiri Vanek <jvanek@redhat.com>
            Michal Vala <mvala@redhat.com>

	Added support for MSI generation
	* AUTHORS: added Michal and Alex
	* Makefile.am: added win-installer target. For now missing clean
	* acinclude.m4: all search macros enhanced for cygpath on windows, java read from path
	(if available, windows only), added IT_CHECK_FOR_WIX macro
	* configure.ac:  added checks for wixgen.jar and WiX tools
	* win-installer/LICENSE.rtf: new file, license for  MSI to display. generated from COPYING
	* win-installer/greetings_banner.bmp: new file, main banner for MSI
	* win-installer/icon.ico: new file, icon for MSI
	* win-installer/top_banner.bmp: new file, banner for MSI
	* win-installer/installer.json.in: MSI descriptor, hart beat of whole MSI archive generator.
	Needs a lot of sedding


2017-12-10  Jiri Vanek <jvanek@redhat.com>

	* Makefile.am: (install-exec-local) completion files installed last

2017-05-11  Jiri Vanek <jvanek@redhat.com>

	* launcher/launchers.bat.in: hardcoded Xnofork, as it is necessary anyway

2017-05-11  Jiri Vanek <jvanek@redhat.com>

	fixed windows headless detection problems
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: as (mostly) first initialized class
	on windows, enforced headless check and initialized logging. This is WORKAROUND and shoudl get FIXED.
	There is strange behavior in AWT windows impelmentation, which is causing awt queue to get corrupted
	when called from "bad" thread.  This hack is enforcing to be called from "correct" thread. This is
	likely bug in JDK and have to be investigated. Btw see patch from 2017.04.10 about awt hooks. That is
	same issue.

2017-05-11  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/runtime/Boot.java: processing of -about adapted to correct headless check

2017-05-11  Jiri Vanek <jvanek@redhat.com>

	* Makefile: (clean-launchers) added removal of win launchers (if windows)

2017-05-11  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/util/logging/FileLog.java: on windows, name of logs do not contain colons, path is printed to console

2017-05-10  Jiri Vanek <jvanek@redhat.com>

	Added support for pure windows image and distribute-able windows-bin-dist archive
	* NEWS: mentioned windows support, jdk9 support limited for linux
	* Makefile.am: (install-exec-local) make of win-deps dirs made -p, to allow re-installing
	without error. (uninstall-linux-only) new target. Cleans linux-specific stuff.
	(uninstall-local) now depends on, uninstall-linux-only. Removed code which moved to  it.
	(remove-empty-linux-only-dirs) target to remove various empty directories in dist folder
	(win-only-image) windows only target. by calling remove-empty-linux-only-dirs and
	copying bit more stuff, creating clean windows-only image. (win-bin-dist) last new
	target, compressing pure windows image to redistributable zip.
	Note that this patch was not tested in windows, but was designed to not harm linux parts.
	Fixes expected.

2017-05-10  Jiri Vanek <jvanek@redhat.com>

	* AUTHORS: added Ville Skyttä

2017-05-10  Jiri Vanek <jvanek@redhat.com>
            Ville Skyttä <ville.skytta@iki.fi>

	PR3366 - Split bash completion to (three) files per binary (4./4)
	* NEWS: mentioned configure-ability and split to three
	* icedteaweb-completion.in: removed (split to three following files)
	* completion/itweb-settings.bash.in: new file, extracted from icedteaweb-completion.in
	individual @@ replace identifiers replaced by OPTIONS
	* completion/javaws.bash.in: same
	* completion/policyeditor.bash.in: same
	* Makefile: EXTRA_DIST now lists completion dir instead of icedteaweb-completion.in file
	(install-exec-local) installs three new files instead of old one.
	(uninstall-local) same with removal.  (TOP_BUILD_DIR/completion/itweb-settings.bash)
	split to three targets accordingly. (clean-icedteaweb-completion) as uninstall.

2017-05-10  Jiri Vanek <jvanek@redhat.com>
            Ville Skyttä <ville.skytta@iki.fi>

	PR3366 - Install bash completion to configured dynamic load location (3/4)
	* Makefile.am: BASH_CMPL_DEST_DIR subsituted from bashcompdir
	* configure.ac: added PKG_CHECK_VAR on bashcompdir and bash-completion

2017-05-04  Jiri Vanek <jvanek@redhat.com>

	* Makefile: (stamps/run-netx-unit-tests.stamp) variable CLASSPATH's content
	and its usage on with Xbootclasspath put to quotes, to run junits in cygwin.
	Note, that this issue is spread on all usages of raw call to joinsegments and its
	results. Will be fixed on demand.

2017-05-04  Jiri Vanek <jvanek@redhat.com>

	* Makefile: (install-data-local) when copying to WIN_RUN_DEPS, the name of
	resource is stripped to be versionless

2017-05-04  Jiri Vanek <jvanek@redhat.com>
            Adam Buchta  <adbuch7@gmail.com>

	sanitizing of paths made windows friendly
	* netx/net/sourceforge/jnlp/util/FileUtils.java: (INVALID_CHARS) replaced by INVALID_PATH
	for filtering paths, and INVALID_NAME, based on INVALID_PATH with slashes, for filtering
	chars form name. (sanitizePath) and (sanitizeFileName) rewrote to use adequate list, and get
	rid of unreliable separator - windows can have both.  In addition. (sanitizePath) enhanced
	to deal with absolute X:\ windows path and keep filtering any other colons.
	* tests/netx/unit/net/sourceforge/jnlp/util/FileUtilsTest.java: test
	adapted to new logic. Added tests for new cases,added tests for some
	cornercases

2017-05-03  Jiri Vanek <jvanek@redhat.com>

	* javaws.desktop.in: added x-scheme-handler/jnlp;x-scheme-handler/jnlps

2017-05-02  Adam Buchta  <adbuch7@gmail.com>
            Jiri Vanek <jvanek@redhat.com>

	* AUTHORS: added Adam Buchta to authors
	* netx/net/sourceforge/jnlp/browser/FirefoxPreferencesFinder.java
	(find) for windows, using different path firefox profile

2017-05-02  Jiri Vanek <jvanek@redhat.com>

	* launcher/launchers.bat.in: added 	INST_ITW_HOME=%~dp0/../ as default location for windows CP search

2017-04-28  Jiri Vanek <jvanek@redhat.com>

	Added and installed windows.bat launchers
	* Makefile.am: added set of target, if windows, creating and installing .bat launchers from bat.in
	* launcher/launchers.bat.in: new file, bat launcher skeleton

2017-04-28  Jiri Vanek <jvanek@redhat.com>

	* Makefile.am: removed quoting about UNIFIED_BOOTCLASSPATH in LAUNCHER_BOOTCLASSPATH
	to get more freedom. Intentionallynot added quoting about LAUNCHER_BOOTCLASSPATH
	in run-reproducers-test-code-coverage-jacoco.stamp, as imho their sed was error
	passing just by luck
	* launcher/launchers.in: in consequence, added quotes about @LAUNCHER_BOOTCLASSPATH@

2017-04-28  Jiri Vanek <jvanek@redhat.com>

	Hopefully fixed codecoverage, which failed with 8u131 update
	* Makefile.am: JACOCO_ADVANCED_EXCLUDE added javax.swing.*

2017-04-27  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/runtime/JNLPPolicy.java: all win-slashes replaced by
	linux-slashes before uri is created

2017-04-27  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: .old properties
	file removed before original is renamed. On windows, rewriting was not working

2017-04-26  Jiri Vanek <jvanek@redhat.com>

	* Makefile.am: (composeclasspath) is now quoting its result. Needed
	for some cygwin build and praying not destroying everything.

2017-04-26  Jiri Vanek <jvanek@redhat.com>

	jars used during windows build are now saved to distribution image
	* Makefile.am: (printvars) new target to print out all used variables
	(printvarsfile) new target to save all variables to file. Those is only way
	I found to extract jars from configure in without manual enumeration.
	(uninstall-local) on windows, removes copied dependence. (install-data-local)
	on windows, copy all used jars. Some selected jars are duplicated in runtime
	dependeces

2017-04-26  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/runtime/Boot.java: added support for jnlp:other_protocol:// handlig
	* tests/netx/unit/net/sourceforge/jnlp/runtime/BootTest.java: added unitt tests for various jnlp protocol cases

2017-04-25  Jiri Vanek <jvanek@redhat.com>

	* tests/reproducers/signed/AppletTestSigned/testcases/AppletTestSignedTests.java: added tests for jnlp protocol
	* tests/reproducers/simple/simpletest1/testcases/SimpleTest1Test.java:  added tests for jnlp protocol

2017-04-25  Jiri Vanek <jvanek@redhat.com>

	* Makefile.am: cp -a got extracted -a switch to variable, disabled on win,
	which may fail on certain combinations ow wndows x cygwin.

2017-04-25  Jiri Vanek <jvanek@redhat.com>

	* html-gen.sh: fixed case for some cygwin versions, when changelog
	html generation could end in endless loop.

2017-04-24  Jiri Vanek <jvanek@redhat.com>

	javaws made to understand jnlp "network protokol"
	* NEWS: mentioned jnlp protocol
	* netx/net/sourceforge/jnlp/runtime/Boot.java: when main or jnlp argument starts with
	jnlp(s): then it is substituted by http(s)

2017-04-24  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/cache/ResourceUrlCreator.java: https preffered over http

2017-04-24  Jiri Vanek <jvanek@redhat.com>

	fixed PR3365
	* icedteaweb-completion.in: _itweb-settings renamed to _itwebsettings

2017-04-11  Michal Vala <mvala@redhat.com>
            Jiri Vanek <jvanek@redhat.com>

	* .Makefile.am: on windows, replace prefix by its cygwin path

2017-04-10  Michal Vala <mvala@redhat.com>
            Jiri Vanek  <jvanek@redhat.com>

	fixed quoting wrongly interpreted by cigwin
	* Makefile.am: LAUNCHER_BOOTCLASSPATH now using ' instead of "

2017-04-10  Jiri Vanek <jvanek@redhat.com>

	Reproduced issue PR3351
	* tests/reproducers/signed/Kemtrakpro/resources/Kemtrak_javaws.jnlp:
	jnlp file to test also javaws (next to applet) behavior
	* tests/reproducers/signed/Kemtrakpro/srcs/Kemtrak.java: added code to
	reproduce issue
	* tests/reproducers/signed/Kemtrakpro/testcases/KemtrakTests.java:
	added testcases for applet to close jar and try to load class again.
	added same testcases for javaws. Added testcase for plain java run to
	prove underlying jdk is not guilty
	* tests/reproducers/signed/jcalendar/srcs/jcalendar.java: small modification
	to add distinguish call inside.

2017-04-10  Jiri Vanek <jvanek@redhat.com>

	better handling of WEmbeddedFrame/XEmbeddedFrame
	* configure.ac: IT_CHECK_FOR_CLASS removed NonFatal support
	check for WEmbeddedFrame/XEmbeddedFrame done by windows/linux recognition
	removed checks on SUN_AWT_X11_XEMBEDDEDFRAME and SUN_AWT_WEMBEDDEDFRAME
	* Makefile.am: sed in PluginAppletViewer.java conditioned
	by WINDOWS variable isntead of SUN_AWT_WEMBEDDEDFRAME one

2017-04-10  Michal Vala <mvala@redhat.com>
            Jiri Vanek  <jvanek@redhat.com>

	made fully buildable (java) on windows
	* Makefile.am: on windows used ";" as cp separator
	on win, TOP_BUILD_DIR and expanded to win paths.
	macros TOP_BUILD_DIR and TOP_SRC_DIR used constantly over
	abs_top_builddir and abs_top_srcdir
	* configure.ac: added win/linux recognition based on
	autotools standard approaches

2017-04-10  Jiri Vanek <jvanek@redhat.com>

	On windows, shutdown hook added like we do, via lazy initiated OutputController
	(which may be swing/awt hidden call (not verified)) causes exception
	"can't add shutdown hook, shutdown already in progress"
	* netx/net/sourceforge/jnlp/util/docprovider/TextsProvider.java: (main) enforced
	headless mode, to prevent itw debug console from showing.

2017-04-06  Jiri Vanek <jvanek@redhat.com>

	Reproduce and fixed pr3350.
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java: (showMatchingALACAttributePanel)
	defensive NPE check for document base
	* netx/net/sourceforge/jnlp/util/UrlUtils.java: (setOfUrlsToHtmlList) defensive NPE check
	* tests/reproducers/signed/Kemtrakpro/resources/Kemtrak.jnlp: exact jnlp from pr3350 bug report
	* tests/reproducers/signed/Kemtrakpro/srcs/Kemtrak.java: dummy main jar
	* tests/reproducers/signed/Kemtrakpro/srcs/META-INF/MANIFEST.MF:  exact manifest from pr3350
	* tests/reproducers/signed/jcalendar/srcs/jcalendar.java:dummy dependence of Kemtrak
	* tests/reproducers/signed/Kemtrakpro/testcases/KemtrakTests.java: simple launch of jnlp. This
	test is hitting the issue. Headless dialogue used.

2017-04-06  Jiri Vanek <jvanek@redhat.com>

	* Makefile.am: for windows build, sed PluginAppletViewer's super call

2017-04-05  Jiri Vanek <jvanek@redhat.com>

	plugin.jar made buildable on windows
	* Makefile.am: (liveconnect-source-files.txt) added sed to source code to
	use WEmbeddedFrame on windows (based on SUN_AWT_WEMBEDDEDFRAME value)
	* plugin/icedteanp/java/sun/applet/PluginAppletViewer.java: added warning
	that base class name is sedded
	* acinclude.m4: IT_CHECK_FOR_CLASS got new parameter. If its value is
	NonFatal, then its absence is only warning
	* configure.ac: IT_CHECK_FOR_CLASS SUN_AWT_X11_XEMBEDDEDFRAME made NonFatal,
	added similar check for SUN_AWT_WEMBEDDEDFRAME. Added checks that exactly one of them exists,
	otherwise error

2017-04-05  Jiri Vanek <jvanek@redhat.com>

	Split ENABLE_PLUGIN to ENABLE_NATIVE_PLUGIN and ENABLE_PLUGINJAR to allow build
	of plugin.jar and jsobject.jar without native plugin. Doing so,
	javaws -html may end on plugin-less system.
	--disable-plugin replaced by --disable-native_plugin and --disable-plugin.jar
	* configure.ac: added check, that native_plugin can not be built without pluginjar
	* acinclude.m4: IT_CHECK_PLUGIN and comp. changed to IT_CHECK_NATIVE_PLUGIN and likewise.
	Added IT_CHECK_PLUGINJAR to allow user enable/disable plugin completely.
	* Makefile.am: following configure changes, ENABLE_PLUGIN renamed/split to
	ENABLE_NATIVE_PLUGIN and ENABLE_PLUGINJAR
	all testsuites keep running with --disable-native_plugin. Not so with disabled plugin completely

2017-04-05  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java:
	(AccessWarningPaneComplexReturn) fixed javadoc warning

2017-01-13  Jiri Vanek <jvanek@redhat.com>

	Basic certificate got command line saving support
	* netx/net/sourceforge/jnlp/security/SecurityDialogMessageHandler.java: if
	dialog is CertWarningPane and should be remembered, is.
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: extracted
	saving method, so it can be reused

2017-01-11  Jiri Vanek <jvanek@redhat.com>

	* icedteaweb-completion.in: improved to suggest also files in relevant cases

2017-01-04  Jiri Vanek <jvanek@redhat.com>

	Fixed bash completion generation
	* Makefile.am: (icedteaweb-completion) now depends on stamps/netx.stamp

2017-01-04  Jiri Vanek <jvanek@redhat.com>

	Added signed reproducer for nashorn and applets
	* tests/reproducers/signed/jsengineSigned/resources/jsengineAppletSigned.html:
	* tests/reproducers/signed/jsengineSigned/resources/jsengineAppletSigned.jnlp:
	* tests/reproducers/signed/jsengineSigned/srcs/jsengineAppletSigned.java:
	* tests/reproducers/signed/jsengineSigned/testcases/jsengineSignedTest.java:
	* tests/reproducers/simple/jsengine/srcs/jsengineApplet.java:

2017-01-04  Jiri Vanek <jvanek@redhat.com>

	applets got javafx and nashorn support too
	* plugin/icedteanp/IcedTeaNPPlugin.cc: added default locations of
	appletviewer_default_jfxrtjar and appletviewer_default_nashonrjar. Added methods
	get_plugin_jfx_jar and get_plugin_nashorn_jar to get dynamically resolved nashorn/javafx
	(command_line.push_back) for jdk8, on classapth added javafx,
	for jdk9 added classpath attribute with javafx (unknown behavior), for both jdks appended
	nashorn.jar to bootclassapth
	* tests/reproducers/simple/jsengine/resources/jsengineApplet.html: testcase html
	* tests/reproducers/simple/jsengine/testcases/jsengineTest.java: added test for apelt in html

2017-01-04  Jiri Vanek <jvanek@redhat.com>

	Added test for javaws-applet and nashorn
	* tests/reproducers/simple/jsengine/resources/jsengineApplet.jnlp: new file, aplet definition
	* tests/reproducers/simple/jsengine/srcs/jsengineApplet.java: new file, applet impelmentation
	* tests/reproducers/simple/jsengine/testcases/jsengineTest.java: added test calling jsengineApplet.jnlp

2017-01-04  Jiri Vanek <jvanek@redhat.com>

	Fixed reproducers code coverage after plugin+jdk9 changeset
	* Makefile.am: (COVERABLE_PLUGIN_DIR) added sets for new
	-DNETX_JAR, -DPLUGIN_JAR and -DJSOBJECT_JAR

2017-01-04  Jiri Vanek <jvanek@redhat.com>

	When system desktop integration directory do not exists, do not die.
	* netx/net/sourceforge/jnlp/controlpanel/desktopintegrationeditor/JListUtils.java:
	workarounded NPE when listFiles was invoked on non-existing dir, and so returned
	null instead of empty array.


2017-01-04  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java: "can not open" dialog
	do not show when policy file simply do not exists.

2016-12-16  Jiri Vanek <jvanek@redhat.com>

	Nashorn made accessible to javaws applications
	* NEWS: mentioned PR3263
	* launcher/launchers.in: added nashorn to BOOT_CLASSPATH
	* tests/reproducers/signed/jsengineSigned/: reproducer of behavior
	* tests/reproducers/simple/jsengine/: for completeness, added signed reproducer of behavior

2016-11-21  Jiri Vanek <jvanek@redhat.com>

	internal browser extended for trivial charset selection
	* netx/net/sourceforge/jnlp/runtime/html/browser/HtmlBrowserPanel.java:
	Added combobox with all currently known java standard charsets.
	(load) if this combobox value is selected, then given encoding is used to read
	the page. If not, then default is used as before.
	* netx/net/sourceforge/jnlp/util/UrlUtils.java:
	(loadUrlWithInvalidHeader) overloaded with optional charset argument.
	Default kept on US_ASCII
	(loadUrl) overloaded with optional charset argument
	Default kept on UTF_8
	* tests/reproducers/simple/Http511/testcases/Http511Test.java:
	(http511AuthRequired_jnlpOneFirstAuthorisedServerServerResourceAnother511Server)
	"fixed". by putting more input before final SKIP to cause delay allowing
	external logging to success.

2016-11-21  Jiri Vanek <jvanek@redhat.com>

	AbsolutePathsAndQueryStrings reproducer adapted to port in cache path
	* tests/reproducers/simple/AbsolutePathsAndQueryStrings/testcases/AbsolutePathsAndQueryStrings.java:
	(testCaching) exemplar urls now uses server's port instead of random and hardcoded 1234

2016-11-18  Jiri Vanek <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/Launcher.java: (createApplet) call to setContextClassLoaderForAllThreads
	moved to earlier stage to allow Thread.currentThread().getContextClassLoader(). call in
	early stages of constructions.
	* tests/reproducers/signed/LoadResources/resources/LoadResources1.jnlp:
	jnlp for javaws  reproducer in default package
	* tests/reproducers/signed/LoadResources/resources/LoadResources2.jnlp:
	jnlp for javaws reproducer in some.pkg package
	* tests/reproducers/signed/LoadResources/resources/LoadResourcesApplet1.jnlp:
	jnlp for applet  reproducer in default package
	* tests/reproducers/signed/LoadResources/resources/LoadResourcesApplet2.jnlp:
	jnlp for applet reproducer in some.pkg package
	* tests/reproducers/signed/LoadResources/srcs/LoadResources.java:
	reproducer in default package calling various getClassLoader
	* tests/reproducers/signed/LoadResources/srcs/LoadResourcesPackaged.java:
	reproducer in some.pkg package calling various getClassLoader
	* tests/reproducers/signed/LoadResources/srcs/some.file:
	testabel resource
	* tests/reproducers/signed/LoadResources/testcases/LoadResourcesTest.java:
	testcase of reproducer
	* NEWS: mentioned PR2968

2016-11-14  Jiri Vanek <jvanek@redhat.com>

	Fixed PR3227. When filename in cache is to long, it is saved under its hash.
	* NEWS: mentioned PR3227
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: when resulting filename is
	longer then 255, then it is saved under its name hash.
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheUtilTest.java: added tests
	for urls with filenames longer then 255 chars.

2016-11-14  Jiri Vanek <jvanek@redhat.com>

	If port is specified in URL, it is used in cache.
	* NEWS: mentioned PR1190
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: (urlToPath) por, if used,
	included in path of cached resource.
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheUtilTest.java: added test
	(testUrlToPathWithPort) to to check port.

2016-11-14  Jiri Vanek <jvanek@redhat.com>

	Exception from closing silent connection printed out only in debug mode. It was
	spamming FileNotFound exception even if the file was later found on different(valid) url
	* netx/net/sourceforge/jnlp/util/HttpUtils.java: (consumeAndCloseConnectionSilently)
	exception printed only in debug mode

2016-11-08  Jiri Vanek <jvanek@redhat.com>

	Fixed PR3198. ITW now tries direct socket connection when it met invalid http header by java impl.
	* netx/net/sourceforge/jnlp/cache/ResourceDownloader.java:
	(downloadFile) when  Invalid Http response exception is encountered,
	direct socket connection is tried before giving up
	* netx/net/sourceforge/jnlp/util/UrlUtils.java: new method of loadUrlWithInvalidHeaderBytes
	introduced. Based on loadUrlWithInvalidHeader, just slower in reading header, and returns
	header as string and body as byte[]. New method getRemainingBytes introduced
	to read remaining byte[] from originally char-processed stream.
	* NEWS: mentioned PR3198

2016-11-08  Jiri Vanek <jvanek@redhat.com>

	Fixed behavior of JarIndexAccess to better copy original JarIndex usage
	* netx/net/sourceforge/jnlp/jdk89acesses/JarIndexAccess.java:
	(JarIndexAccess)if parent is attempted to be null,  object is not created
	(JarIndexAccess) if result of method invoking is null, null is returned
	rather then JarIndexAccess with null parent.
	Note - this error successfully fixed PR2219 (see NoClassDeff reproducer) but
	still it looks as bad idea to wrap/replace ClassNotFound error/exception by
	different exception.

2016-11-04  Jiri Vanek <jvanek@redhat.com>

	Plugin made run on jdk9
	* .Makefile: ($(PLUGIN_DIR)/%.o) and (stamps/cpp-unit-tests-compile.stamp)
	got setters for -DNETX_JAR, -DPLUGIN_JAR and -DJSOBJECT_JAR
	* configure.ac: added cehck for sun.net.www.protocol.http.Handler
	* launcher/launchers.in: wrong reads for java.desktop (java.desktop)
	fixed to java.naming. Added exports for java.base/sun.net.www.protocol.http
	to ALL-UNAMED,java.desktop.
	* netx/net/sourceforge/jnlp/jdk89acesses/JarIndexAccess.java:
	fixed type of JarFile - from wrong in sourceforge, to correct in java.util.jar
	* plugin/icedteanp/IcedTeaNPPlugin.cc: added plugin_get_java_version
	which, by spawning java process determine java version it wonts to be
	launching. (plugin_start_appletviewer) based on javaVersion adds
	patch-module, add-reads, add-exports if jdk9 is detected. rt.jar is
	now added only for jdk8. (NP_Initialize) sets javaVersion by calling
	plugin_get_java_version

2016-11-03  Jiri Vanek <jvanek@redhat.com>

	javaws -html made run under jdk9 (if compiled by jdk8)
	* .Makefile: (stamps/liveconnect-dist.stamp)(install-exec-local)
	plugin jar split to plugin.jar (sun package) and jsobject.jar
	(nescape package) so each can be patched into different module
	* launcher/launchers.in: all add-exports and add-reads now adds to
	java.desktop too (next to ALL-UNNAMED). plugin.jar and netx.jar
	patched into java.desktop. jsobject.jar patched into jdk.jsobject


2016-11-01  Jiri Vanek <jvanek@redhat.com>

	javaws made run under jdk9 (if compiled by jdk8)
	* configure.ac: added check for sun.security.action.GetPropertyAction
	* launcher/launchers.in: added check for jdk9 and if jdk9 detected,
	added many modules-related access-allowing switches.
	* netx/net/sourceforge/jnlp/jdk89acesses/JarIndexAccess.java: helping
	class allowing access to JarIndex for both jdk9 and jdk8 packages locations
	* netx/net/sourceforge/jnlp/jdk89acesses/SunMiscLauncher.java:
	similar for sun.misc.Launcher. Used as used in jdk8, but in jdk9, where
	is missing is used BootClassLoader instead.
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java:
	Using JarIndexAccess instead of JarInde
	* netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPane.java:
	Using SunMiscLauncher isntead of sun.misc.Launcher
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/MoreInfoPane.java:
	same
	* netx/net/sourceforge/jnlp/util/ScreenFinder.java:
	Added catch for IllegalArgumentException - jdk9 is newly smuggling
	[0,0] size window under some conditions causing this to be thrown

2016-10-26  Jiri Vanek <jvanek@redhat.com>

	Configure made more JDK9 friendly
	* acinclude.m4: (IT_CHECK_FOR_CLASS) added support for modules,
	including support for access to private parts of module system
	removed IT_CHECK_FOR_HEXDUMPENCODER as jdk8/9 separation is done
	elsewhere anyway
	* configure.ac: IT_CHECK_FOR_HEXDUMPENCODER replaced by corresponding
	IT_CHECK_FOR_CLASS. All IT_CHECK_FOR_CLASS got corresponding module param.
	Module variables filled for jdk9, empty otherwise. Added checks for
	sun.misc.JarIndex (jdk8,9) and sun.misc.Launcher (jdk8 only, 9 have comment.. and troubles)


2016-10-25  Jiri Vanek <jvanek@redhat.com>

	JDialog removed as main keeper of information in SecurityDialog class
	* netx/net/sourceforge/jnlp/cache/DefaultDownloadIndicator.java:
	If headless, is printing downloading message to console
	* netx/net/sourceforge/jnlp/resources/Messages.properties:
	Added key HEADLESS_MISSCONFIGURED warning user that he do not have X
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java:
	checkHeadless made lazy in first call to isHeadless
	* netx/net/sourceforge/jnlp/security/SecurityDialog.java:
	no longer Extends JDialog, instead have member ViwableDialog.
	All calls to former extensions of JDialog changed to this viwableDialog
	* netx/net/sourceforge/jnlp/security/SecurityDialogMessageHandler.java:
	All calls to former JDialog changed to viwableDialog
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogresults/SetValueHandler.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPane.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/InetSecurity511Panel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/MissingALACAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/MissingPermissionsAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/MoreInfoPane.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/PasswordAuthenticationPane.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/MatchingALACAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/PartiallySignedAppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/UnsignedAppletTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberDialog.java:
	Search now contains check for itself, as input is not dialog, but security panel
	* netx/net/sourceforge/jnlp/util/logging/JavaConsole.java:
	made better accepting headless state
    * netx/net/sourceforge/jnlp/security/dialogs/ViwableDialog.java:
	New class. Instead of applying all sets to jdialog itself, those are saved,
	and applied just before cration of the dialog itself.

2016-10-17  Jiri Vanek <jvanek@redhat.com>

	Workarounded to pass configure checks on jdk9 to debug build failures themselves
	* acinclude.m4: (IT_CHECK_FOR_CLASS) changed to accept third parameter -
	package where to make check in, as not all checks needs to be doen in sun.applet.
	(IT_CHECK_FOR_HEXDUMPENCODER) test moved out of sun.applet too.
	* configure.ac: IT_CHECK_FOR_CLASS adapted to third parameter,
	various classes which are private in jdk9 moved out from configure check.
	This s not permanent solution, those classes will be deal with.


2016-10-14  Jiri Vanek <jvanek@redhat.com>

	* NEWS: mentioned rememberable dialogues editor and jdk8

2016-10-14  Jiri Vanek <jvanek@redhat.com>

	Enforced JDK8 or better for runtime and compile
	* Makefile.am: IT_LANGUAGE_SOURCE_VERSION, IT_CLASS_TARGET_VERSION) bumped to 8
	* acinclude.m4: (IT_CHECK_JAVA_VERSION) modified to accept jdk9. Simplified.
	(IT_CHECK_FOR_JDK) changed directories to search for JDK, notably adding
	alternatives-defined JDK9 locations.
	* plugin/icedteanp/IcedTeaNPPlugin.cc: added records for version=1.8
	* netx/net/sourceforge/jnlp/controlpanel/JVMPanel.java: jvm recognition made java9 aware
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added corresponding messages

2016-10-13  Jiri Vanek <jvanek@redhat.com>

	Finished implementation of editor of state of remembered dialogues
	* netx/net/sourceforge/jnlp/SecurityDesc.java: small fix - not enforcing
	array on input of method  expecting ... type
	* netx/net/sourceforge/jnlp/controlpanel/ClassFinder.java:
	do not count interfaces as valid members
	* netx/net/sourceforge/jnlp/controlpanel/RemmeberableDialogueEditor.java:
	implemented missing code for Expert edit button and for combobox selection.
	Implemented	save and close and close and cancel buttons.
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletActionTableModel.java:
	highlighted some copying whew one would expect instance
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletsTrustingListPanel.java:
	gui creation moved to separate method, implemented reactions on RemmeberableDialogueEditor
	* netx/net/sourceforge/jnlp/resources/Messages.properties:
	added EPE group for RemmeberableDialogueEditor
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageExtendedImpl.java:
	highlighted some copying whew one would expect instance
	* plugin/icedteanp/java/sun/applet/PluginMessageConsumer.java: made deamon
	* tests/netx/unit/net/sourceforge/jnlp/controlpanel/ClassFinderTest.java:
	adapted to ignorance of interface


2016-03-15  Jiri Vanek <jvanek@redhat.com>

	* NEWS: mentioned PR2855

2016-03-15  James Le Cuirot <chewi@gentoo.org>

	* README: removed libX11 and zlib-devel from requirement
	* configure.ac: removed check on zlib and on Xlibs

2016-03-08  Jiri Vanek <jvanek@redhat.com>

	Added support for http 511 authentication
	As side effect added -browser switch, which enables internal browser as standalone window
	* NEWS: mentioned PR878, mentioned -browser switch
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java: added BROWSER to represent
	-browser switch
	* netx/net/sourceforge/jnlp/cache/ResourceDownloader.java: when 511 is encountered,
	show511Dialogue is called and dialog shown
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added resource regarding
	to integrated browser and http 511 dialog messages
	* netx/net/sourceforge/jnlp/runtime/Boot.java: added reaction to -browser; refactored
	* netx/net/sourceforge/jnlp/runtime/html/browser/DocumentChangededListener.java:
	new file, used to notify LinksPannel that Browser changed
	* netx/net/sourceforge/jnlp/runtime/html/browser/HtmlBrowserPanel.java: dummy
	implementation of browser based on jeditorpane, to resolve http 511 messages and forms
	* netx/net/sourceforge/jnlp/runtime/html/browser/LinkingBrowser.java: connected
	dualpane for Browser and LinksPanel.
	* netx/net/sourceforge/jnlp/runtime/html/browser/LinksPanel.java: primarily
	for headless dialogues, extracts links from http communication and prints them out.
	In Xfull mode allows user to quickly browse out to real browser to resolve http 511
	* netx/net/sourceforge/jnlp/security/SecurityDialog.java: add http 511 invocation
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java: same and reformatted.
	* netx/net/sourceforge/jnlp/security/dialogresults/BasicDialogValue.java: added
	SKIP result.
	* netx/net/sourceforge/jnlp/security/dialogresults/YesCancel.java: constructor
	made protected to allow inheritance
	* netx/net/sourceforge/jnlp/security/dialogresults/YesCancelSkip.java: extension
	of YES CANCEL by SKIP
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: button made final
	* netx/net/sourceforge/jnlp/security/dialogs/InetSecurity511Panel.java:
	security dialog based on LinkingBrowser
	* netx/net/sourceforge/jnlp/security/dialogs/SecurityDialogPanel.java:
	removed unused import
	* netx/net/sourceforge/jnlp/util/UrlUtils.java: added loadUrl and loadUrlWithInvalidHeader
	to load content of url negotination. First for URLconection, second for Socket connection
	* tests/reproducers/simple/Http511/testcases/Http511Test.java: huge reproducer
	for various http 511 cases
	* tests/reproducers/simple/Http511/resources/Http511.html:
	* tests/reproducers/simple/Http511/resources/Http511.jnlp:
	* tests/reproducers/simple/Http511/resources/Http511_applet.jnlp:
	* tests/reproducers/simple/Http511/resources/Http511_href.html:
	* tests/reproducers/simple/Http511/srcs/Http511.java:
	* tests/test-extensions/net/sourceforge/jnlp/Authentication511Requester.java:
	interface to summary necessary methods for http 511 authentification
	* tests/test-extensions/net/sourceforge/jnlp/ClosingListener.java: assasin made
	accessible
	* tests/test-extensions/net/sourceforge/jnlp/ProcessAssasin.java: kill -9
	again enabled on demand
	* tests/test-extensions/net/sourceforge/jnlp/ServerLauncher.java: now implements
	Authentication511Requester
	* tests/test-extensions/net/sourceforge/jnlp/TinyHttpdImpl.java: can set and use
	Authentication511Requester
	* tests/test-extensions/net/sourceforge/jnlp/tools/WaitingForStringProcess.java:
	output made final


2016-02-02  Jiri Vanek <jvanek@redhat.com>

	maven artifacts version substituted to contains only major version
	* .Makefile: ($(abs_top_builddir)/metadata) version stripped by everything
	behind second number

2016-01-28  Matthias Klose  <doko@ubuntu.com>
            Jiri Vanek <jvanek@redhat.com>

	* Makefile: (stamps/generate-docs.stamp) added quotes around HTML_DOCS_INDEX

2016-01-26  Jiri Vanek <jvanek@redhat.com>

	Messages for Invalid JDK dialog improved a bit.
	* netx/net/sourceforge/jnlp/resources/Messages.properties:
	* netx/net/sourceforge/jnlp/resources/Messages_cs.properties:
	* netx/net/sourceforge/jnlp/resources/Messages_de.properties:
	* netx/net/sourceforge/jnlp/resources/Messages_pl.properties:

2016-01-26  Jiri Vanek <jvanek@redhat.com>

	Revisited some jnlp_href tests.
	* tests/reproducers/signed/ClasspathManifestTest/testcases/ClasspathManifestTest.java:
	explained why localtests on "." are passing (removed KnownToFail) and added
	(correctly failing) tests in various dirs
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntrySignedMatching.java:
	used diamond
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntrySignedNotMatching.java:
	same
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntryUnsignedMatching.java:
	same
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntryUnsignedNotMatching.java:
	same
	* tests/reproducers/simple/SingleInstanceServiceTest/testcases/SingleInstanceTest.java:
	fixed midori incompatible tests

2016-01-25  Jiri Vanek <jvanek@redhat.com>

	Fixed various cosmetic NPEs when codebase is null (+tests)
	* NEWS: mentioned PR2489
	* netx/net/sourceforge/jnlp/JNLPFile.java: added method getNotNullProbalbeCodeBase
	workaround cases when codebase is null (for various output reasons)
	* netx/net/sourceforge/jnlp/PluginBridge.java: using getNotNullProbalbeCodeBase
	when fixing codebase during generation of jnlp stub.
	* netx/net/sourceforge/jnlp/SecurityDesc.java: same for generating uri for policies
	record
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: (manageExternalJars)
	same for ref string comparsion
	* netx/net/sourceforge/jnlp/security/SecurityDialog.java: same for visible form of
	codebase
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java: same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/TemporaryPermissionsButton.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/PartiallySignedAppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/util/UrlUtils.java: (normalizeUrlAndStripParams) and
	(removeFileName) when input is null, return null.
	* tests/junit-runner/JunitLikeXmlOutputListener.java: now supports hg commits
	* tests/reproducers/signed/CodebasesAttsSigned/srcs/CodebasesAttsSigned.java:
	test printing "hardocded" id and paramet to know jar and calling jnlp/html source
	* tests/reproducers/signed/CodebasesAttsSigned/resources/CodebasesAttsSigned.html.in:
	resouirce capable of substitue id param, codebase, jar and htmlHref
	* tests/reproducers/signed/CodebasesAttsSigned/resources/CodebasesAttsSignedApp.jnlp.in:
	same
	* tests/reproducers/signed/CodebasesAttsSigned/resources/CodebasesAttsSignedApplet.jnlp.in:
	same
	* tests/reproducers/signed/CodebasesAttsSigned/resources/CodebasesAttsSignedJnlpHref.html.in:
	same
	* tests/reproducers/signed/CodebasesAttsSigned/testcases/CodebasesAttsSignedDialogsTest1.java:
	Test testing various dialogues of signed app. Including tests for corrupted signature
	* tests/reproducers/simple/CodebasesAtts/srcs/CodebasesAtts.java: same as CodebasesAttsSigned
	but not signed
	* tests/reproducers/simple/CodebasesAtts/resources/CodebasesAtts.html.in:
	same as signed ones
	* tests/reproducers/simple/CodebasesAtts/resources/CodebasesAttsApp.jnlp.in:
	same
	* tests/reproducers/simple/CodebasesAtts/resources/CodebasesAttsApplet.jnlp.in:
	same
	* tests/reproducers/simple/CodebasesAtts/resources/CodebasesAttsJnlpHref.html.in:
	same
	* tests/reproducers/simple/CodebasesAtts/testcases/CodebasesAttsDialogsTest1.java:
	same
	* tests/reproducers/simple/CodebasesAtts/testcases/CodebasesAttsNoDialogsTest1.java:
	* tests/reproducers/simple/CodebasesAtts/testcases/CodebasesAttsNoDialogsTest2.java:
	* tests/reproducers/simple/CodebasesAtts/testcases/CodebasesAttsNoDialogsTest3.java:
	Again tests for various substituted values
	* tests/test-extensions/net/sourceforge/jnlp/ServerAccess.java:
	added stubs to create independent instance upon tmp folder and execute browser
	upon url.
	* tests/test-extensions/net/sourceforge/jnlp/browsertesting/browsers/firefox/FirefoxProfilesOperator.java:
	(copyFile) moved to autocloseable
	* tests/test-extensions/net/sourceforge/jnlp/closinglisteners/AutoErrorClosingListener.java:
	fixed to not to close on rhino exception
	* tests/test-extensions/net/sourceforge/jnlp/closinglisteners/StringBasedClosingListener.java:
	condition made protected

2016-01-19  Jiri Vanek <jvanek@redhat.com>

	When tagsoup is missing, parsing errors are more informative
	* acinclude.m4: when building without tagsoup, more verbose warning is printed
	* netx/net/sourceforge/jnlp/GuiLaunchHandler.java: (launchError) is now noting
	that BasicExceptionDialog will be shown.
	* netx/net/sourceforge/jnlp/MalformedXMLParser.java: Now react on NoClassDefFoundError
	by returning original stream.
	* netx/net/sourceforge/jnlp/ParseException.java: Stores information about
	parsers loading, and add this info to ParseException message.
	* netx/net/sourceforge/jnlp/Parser.java: (getRootNode) logic retrieving parser
	class extracted to separate method getParserInstance
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added family of TAGSOUP
	for messages about its state
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: (exit) now waits for
	BasicExceptionDialog.
	* netx/net/sourceforge/jnlp/runtime/html/AppletExtractor.java: (cleanStreamIfPossible)
	now uses Parser.getParserInstance ratehr then its own.
	* netx/net/sourceforge/jnlp/util/BasicExceptionDialog.java: Is now capable of
	publishing number of shown instances.

2016-01-14  Jiri Vanek <jvanek@redhat.com>
            Fridrich Strba  <fridrich.strba@suse.com>

	Adapted to change in package of HexDumpEncoder (1.8 sun.misc.HexDumpEncoder,
	1.9 sun.security.util.HexDumpEncoder)
	* acinclude.m4: added new macro IT_CHECK_FOR_HEXDUMPENCODER, which tries both
	locations of HexDumpEncoder
	* configure.ac: now uses IT_CHECK_FOR_HEXDUMPENCODER instead of
	IT_CHECK_FOR_CLASS(SUN_MISC_HEXDUMPENCODER, [sun.misc.HexDumpEncoder])
	* netx/net/sourceforge/jnlp/security/dialogs/CertsInfoPane.java: added imports
	to both import sun.misc.*; and import sun.security.util.*;

2016-01-14  Jiri Vanek <jvanek@redhat.com>

	Added GenericName to desktop files
	* itweb-settings.desktop.in:
	* javaws.desktop.in:
	* policyeditor.desktop.in:

2016-01-14  Jiri Vanek <jvanek@redhat.com>

	Included maven artifacts and appstream metadata
	* .Makefile: (clean-local) and (.PHONY) now depends on clean-metadata.
	($(abs_top_builddir)/metadata) new target, copy metadata-in to metadata and
	replace name, vendor and version check-meatdata, new stand alone target, checks
	correctness of poms and xmls in	metadata folder. (stamps/netx-dist.stamp) now
	depends on $(abs_top_builddir)/metadata. clean-metadata, new target, removes
	built metadata folder
	* metadata.in/icedtea-web-javaws.appdata.xml: appstream metadata for javaws
	* metadata.in/icedtea-web.metainfo.xml: appstream metadata for plugin
	* metadata.in/icedtea-web-plugin.pom: pom for plugin.jar
	* metadata.in/icedtea-web.pom: pom for netx jar

2016-01-14  Jiri Vanek  <jvanek@redhat.com>

	Vendor desktop entry replaced by X-Vendor
	* ChangeLog: fixed date
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: if vendor is present in jnlp
	instead of Vendor X-Vendor entry is generated to desktop file

2016-01-14  Jiri Vanek  <jvanek@redhat.com>

	Added reprodcuer for NoClassDeffFoundError behavior
	* tests/reproducers/custom/NoClassDeff/srcs/NoClassDeff.java: small app including
	inner class, which is missing in deployed jar. Then calling this class on demand
	* tests/reproducers/custom/NoClassDeff/srcs/.Makefile: responsible for removing
	the compiled inner class before jarring
	* tests/reproducers/custom/NoClassDeff/testcases/NoClassDeffTest.java:
	testing behavior when ClassNotFound/NoClassDefFound  is thrown in various stages
	* tests/reproducers/custom/NoClassDeff/resources/NoClassDeff.html.in:
	* tests/reproducers/custom/NoClassDeff/resources/NoClassDeffApp.jnlp.in:
	* tests/reproducers/custom/NoClassDeff/resources/NoClassDeffApplet.jnlp.in:
	* tests/reproducers/custom/NoClassDeff/resources/NoClassDeffJnlpHref.html.in:
	templates to launch app with instruction when to call LostClass and how to deal with it

2016-01-07  David Cantrell <david.l.cantrell@gmail.com>
            Jiri Vanek  <jvanek@redhat.com>
            Andrew John Hughes  <ahughes@redhat.com>

	Remove bash-specifics from top level Makefile.a
	* Makefile.am: (generate-docs.stamp) double == in test function replaced by single =
	(stamps/netx-html-gen.stamp) call to plain bash replaced by ${SHELL}
	* NEWS: mentioned PR2669

2016-01-07  Tiago Stürmer Daitx <tdaitx@gmail.com>
            Jiri Vanek  <jvanek@redhat.com>

	Resolves an issue where, if IcedTea's call to NPN_GetValueForURL fails,
	IcedTea-Web attempts to send uninitialized memory garbage across a pipe, which
	(usually) results in an error. At this point, IcedTea gives up, but does not
	inform Firefox that it has done so, and unless dom.ipc.plugins.asyncInit is
	true, this causes Firefox's UI to lock up in addition to the Java component failing to load.
	* plugin/icedteanp/IcedTeaNPPlugin.cc: (onsume_plugin_message) initialize len
	and proxy_info. (get_proxy_info) returns correct message if
	browser_functions.getvalueforurl returns error
	* NEWS: mentioned PR2714

2016-01-07  Jiri Vanek  <jvanek@redhat.com>

	Codebase resolution of jnlp-href is now aligned with oracle plugin
	* netx/net/sourceforge/jnlp/PluginBridge.java: When jnlp href is used, codebase
	is forced to become codebase of jnlp
	* netx/net/sourceforge/jnlp/SecurityDesc.java: When file.getCodeBase() is null
	then instead of NPE, codebase of file.fileLocation is used
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
	stripFile and ensureSlashTail moved to UrlUtils
	* netx/net/sourceforge/jnlp/util/UrlUtils.java: 	stripFile and ensureSlashTail
	moved from UnsignedAppletTrustConfirmation
	* tests/netx/unit/net/sourceforge/jnlp/PluginBridgeTest.java: removed empty lines
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmationTest.java:
	adapted to moved methods
	* tests/netx/unit/net/sourceforge/jnlp/util/UrlUtilsTest.java: added more tests
	to removeFileName and enabled accidentlay disabled  getHostAndPortTest and
	getPortTest
	* tests/netx/unit/net/sourceforge/jnlp/runtime/CodeBaseClassLoaderTest.java:
	ensured manifest attributes are off for this test
	* tests/netx/unit/net/sourceforge/jnlp/ParserMalformedXml.java: fixed bom tests
	to use proper classloader

2016-01-07  Jiri Vanek  <jvanek@redhat.com>

	BOM character now dont cause error
	* netx/net/sourceforge/nanoxml/XMLElement.java: duplicated whitespace recognition
	code moved to isRegularWhiteSpace.  First call to scanWhitespace repalced by
	call to scanLeadingWhitespace. New field BOM introduced. (scanWhitespace)
	made private, and uses isRegularWhiteSpace. (scanLeadingWhitespace) new method,
	same as scanWhitespacebut also skipps BOM and marks it.
	* tests/netx/unit/net/sourceforge/jnlp/ParserMalformedXml.java: Added tests to
	issue
	* tests/netx/unit/net/sourceforge/jnlp/templates/EFBBBF.jnlp: new file. jnlp
	file starting with bom.
	* NEWS: mentioned PR2690

2016-01-06  James Le Cuirot <chewi@gentoo.org>

	Fixed typo in javadoc generation
	* Makefile.am: (stamps/netx-docs.stamp) (	_OPTS)->(JAVADOC_OPTS)

2016-01-06  Jiri Vanek  <jvanek@redhat.com>

	Fixed PR2591 - IcedTea-Web request resources twice for meta informations and
	causes ClientAbortException on tomcat in conjunction with JnlpDownloadServlet
	* NEWS: mentioned PR2591
	* netx/net/sourceforge/jnlp/cache/ResourceDownloader.java: CodeWithRedirect renamed
	to UrlRequestResult and now cached also lastModified and length if available.
	(initializeFromURL) now expects UrlRequestResult instead of URL, (findBestUrl)
	now returns in same manner
	(SimpleTest1CountRequests) now passes
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceDownloaderTest.java: adapted
	to ResourceDownloader.

2016-01-06  Jiri Vanek  <jvanek@redhat.com>

	Added redirection tests
	* tests/test-extensions/net/sourceforge/jnlp/ServerLauncher.java:  Enhanced so
	it can redirect requests to another instance. Enhanced to be able to count requests
	* tests/test-extensions/net/sourceforge/jnlp/TinyHttpdImpl.java: same
	* tests/reproducers/simple/simpletest1/testcases/SimpleTest1Test.java: small
	refactoring to reuse checking methods
	* tests/reproducers/simple/simpletest1/testcases/SimpleTest1CountRequests.java:
	Added FAILING tests for 2591 - counting ITW requests to test server
	* tests/reproducers/simple/simpletest1/testcases/SimpleTestDefaultRedirects.java:
	added set of tests to test behavior under various redirect codes

2016-01-05  Jiri Vanek  <jvanek@redhat.com>

	* NEWS: mentioned PR2779
	* html-gen.sh: now don't generate mercurial changesets' links if .hg is missing

2015-12-23  Jiri Vanek  <jvanek@redhat.com>

	Added base logic and design for rememberable dialogues editor.
	* netx/net/sourceforge/jnlp/controlpanel/AdvancedProxySettingsDialog.java:
	(windowGainedFocus) added Override annotation
	* netx/net/sourceforge/jnlp/controlpanel/ClassFinder.java: new class. Responsible
	for searching of all RememberableDialog implementations on classpath
	* netx/net/sourceforge/jnlp/controlpanel/RemmeberableDialogueEditor.java:
	Desaigned, for now nearly no-op dialog to modify state of (not)remembered dialogues
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletActionTableModel.java:
	first column of extended security table made read only again.
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletsTrustingListPanel.java:
	Click on read only columns of extended security table make  RemmeberableDialogueEditor
	pop up.
	* netx/net/sourceforge/jnlp/security/dialogs/remember/AppletSecurityActions.java:
	added api to remove keys from main map.
	* tests/netx/unit/net/sourceforge/jnlp/controlpanel/ClassFinderTest.java:
	new class, added tests for ClassFinder


2015-12-23  Jiri Vanek  <jvanek@redhat.com>

	Small properties parser in C (plugin) now unescapes \= \\ \: \t \n and \r correctly
	* plugin/icedteanp/IcedTeaParseProperties.cc: (get_property_value) now unescape
	known escape sequences by calling IcedTeaPluginUtilities::unescape
	* plugin/icedteanp/IcedTeaPluginUtils.cc: implemented (unescape) which unescape
	known properties escape sequences
	* plugin/icedteanp/IcedTeaPluginUtils.h: declared (unescape)
	* tests/cpp-unit-tests/IcedTeaParsePropertiesTest.cc: ((get_property_value))
	added testcase which verifies unnescape of escaped sequences from  get_property_value
	* tests/cpp-unit-tests/IcedTeaPluginUtilsTest.cc: added family of (unescape) tests
	* /tests/reproducers/signed/CheckPluginParams: reproducer to verify if params
	from -D in deployment.plugin.jvm.arguments get correctly unescaped during its
	way up to users program.

2015-12-02  Jiri Vanek  <jvanek@redhat.com>

	* NEWS: mentioned main-class handling change

2015-11-27  Jiri Vanek  <jvanek@redhat.com>

	ParserTest sielnced
	* tests/netx/unit/net/sourceforge/jnlp/ParserTest.java: now extends NoStdOutErrTest

2015-11-26  Jiri Vanek  <jvanek@redhat.com>

	Main-class attribute get trimmed by default
	* netx/net/sourceforge/jnlp/Parser.java: declared MAINCLASS to keep main-class
	constant, declared anyWhiteSpace regex to determine whitespaces. All possible fields
	made final, hardcoded main-class replaced bu constant. New method getOptionalMainClass
	wrapper around getMainClass but consuming exception. getMainClass, new method
	reading MAINCLASS from node and handling it. cleanMainClassAttribute, new method
	trim value and do checks to die or warn if necessary.
	* tests/netx/unit/net/sourceforge/jnlp/ParserTest.java: added tests for top level
	behavior on various spaced main-classes

2015-11-13  Jiri Vanek  <jvanek@redhat.com>

	Added reproducer to test ico provider accessibility
	* tests/reproducers/simple/IcoAccess/resources/IcoAccess.html: html for applet
	* tests/reproducers/simple/IcoAccess/resources/IcoAccess.jnlp: jnlp for javaws app
	* tests/reproducers/simple/IcoAccess/srcs/IcoAccess.java: main class
	* tests/reproducers/simple/IcoAccess/testcases/IcoAccessTest.java: tests
	applet, appelt via -html and javaws can access ico normaly. javaws -headless
	can not. Strange.


2015-11-13  Jiri Vanek  <jvanek@redhat.com>

	Tested ico implementation
	* netx/net/sourceforge/jnlp/tools/ico/impl/ImageInputStreamIco.java: added
	getImages public method get images to return all parts of ico.
	* tests/netx/unit/net/sourceforge/jnlp/tools/ico/impl/ImageInputStreamIcoTest.java:
	new class. Added a lot of tests to test ico parsing
	* tests/netx/unit/net/sourceforge/jnlp/tools/ico/impl/resources/: added 26
	ico files with various sizes, pallets and recoverable corruptions

2015-11-12  Jiri Vanek  <jvanek@redhat.com>

	Added and registered and used image spi provider for icons
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: IcoSpi
	registered during initialization
	* netx/net/sourceforge/jnlp/tools/ico/IcoReader.java: new class, implementation
	of ImageReader for icons.
	* netx/net/sourceforge/jnlp/tools/ico/IcoSpi.java:  new class, implementation
	of ImageReaderSpi for icons.
	* netx/net/sourceforge/jnlp/tools/ico/impl/IcoException.java: new class,
	exception for special cases in ico parsing
	* netx/net/sourceforge/jnlp/tools/ico/impl/IcoHeader.java: new class, parser
	and holder of parsed information of header of ico file
	* netx/net/sourceforge/jnlp/tools/ico/impl/IcoHeaderEntry.java: new class,
	parser and holder of parsed information of headers of individual images stored
	in header of ico file
	* netx/net/sourceforge/jnlp/tools/ico/impl/ImageInputStreamIco.java: parser
	of icon files from ImageInputStream

2015-11-12  Jiri Vanek  <jvanek@redhat.com>

	Added desktop integration dialog
	* netx/net/sourceforge/jnlp/controlpanel/DesktopShortcutPanel.java: added linux-only
	button to sow FreeDesktopIntegrationEditorFrame
	* netx/net/sourceforge/jnlp/controlpanel/desktopintegrationeditor/Blinker.java:
	new class, blink colors on selected component
	* netx/net/sourceforge/jnlp/controlpanel/desktopintegrationeditor/FreeDesktopIntegrationEditorFrame.java:
	new class, window to allow managing generated icons, jnlpfiles and shortcuts
	* netx/net/sourceforge/jnlp/controlpanel/desktopintegrationeditor/JListUtils.java:
	new class, provides models, extensions, renderers and listeners for FreeDesktopIntegrationEditorFrame
	* netx/net/sourceforge/jnlp/controlpanel/desktopintegrationeditor/Panels.java:
	new class, provides various encapsulated parts of FreeDesktopIntegrationEditorFrame
	* netx/net/sourceforge/jnlp/controlpanel/desktopintegrationeditor/PreviewSelectionJTextPane.java:
	new class, impelmetation of preview for FreeDesktopIntegrationEditorFrame
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added  Control
	Panel - desktop integration manager DIM family
	* netx/net/sourceforge/jnlp/security/dialogs/SecurityDialogPanel.java: htmlWrap
	made public
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningPanel.java:
	htmlWrapp called from SecurityDialogPanel
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/MatchingALACAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/PartiallySignedAppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/UnsignedAppletTrustWarningPanel.java:
	same
	* tests/netx/unit/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningPanelTest.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberPanel.java:
	remoed reimplemented htmlWrap, same
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: findFreedesktopOrgDesktopPathCatch
	made public
	* netx/net/sourceforge/jnlp/util/logging/ConsoleOutputPaneModel.java: replacing of chars by html
	entities extracted to new method escapeHtmlForJTextPane

2015-11-12  Jiri Vanek  <jvanek@redhat.com>

	fixed build and runtime with jdk9
	* netx/net/sourceforge/jnlp/NetxPanel.java: (init) setting doInit to true
	replaced by call to setDoInitIfExists
	* netx/sun/applet/AppletViewerPanelAccess.java: added new function of
	(setDoInitIfExists) which sets doInit if exists

2015-10-27  Jiri Vanek  <jvanek@redhat.com>

	itweb-settings, debugging panel made aware about legacy log and client apps log
	* netx/net/sourceforge/jnlp/controlpanel/DebuggingPanel.java: added checboxes for
	KEY_ENABLE_APPLICATION_LOGGING_TOFILE and KEY_ENABLE_LEGACY_LOGBASEDFILELOG
	Cusotm config directory place was a bit repacked to be more compact and more useful.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added labels
	and tooltips for new checkboxes

2015-10-27  Jiri Vanek  <jvanek@redhat.com>

	Added and by default enabled logging to files for client applications.
	* netx/net/sourceforge/jnlp/config/Defaults.java: KEY_ENABLE_APPLICATION_LOGGING_TOFILE
	added and set by default to true
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: declared
	KEY_ENABLE_APPLICATION_LOGGING_TOFILE
	* netx/net/sourceforge/jnlp/util/logging/FileLog.java: next to createFileLog
	can now does also createAppFileLog
	* netx/net/sourceforge/jnlp/util/logging/LogConfig.java: made aware of
	KEY_ENABLE_APPLICATION_LOGGING_TOFILE
	* netx/net/sourceforge/jnlp/util/logging/OutputController.java: if logging
	to file is enabled and logging to file for client applications is enabled
	then output of client app is sent also to special file. Added new singleton of
	AppFileLogHolder to keep instance of file log for client app. proceedHeader
	extracted as separate method to be reused.

2015-10-15  Jiri Vanek  <jvanek@redhat.com>

	Added and by default enabled possibility to write logs directly to
	file without java.util.logging
	* netx/net/sourceforge/jnlp/config/Defaults.java: (defaults) added new key
	KEY_ENABLE_LEGACY_LOGBASEDFILELOG, by default false
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: defined
	KEY_ENABLE_LEGACY_LOGBASEDFILELOG for deployment.log.file.legacylog
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: (exit) catch new exception
	* netx/net/sourceforge/jnlp/util/logging/FileLog.java: removed all logic.
	Now serve onl as factory provider of FileLog implementation
	* netx/net/sourceforge/jnlp/util/logging/LogConfig.java: fixed indentation, made
	aware about LOGBASEDFILELOG
	* netx/net/sourceforge/jnlp/util/logging/OutputController.java: adapted to
	autocloseable SingleStreamLogger
	* netx/net/sourceforge/jnlp/util/logging/SingleStreamLogger.java: this interface
	now extends	AutoCloseable
	* netx/net/sourceforge/jnlp/util/logging/filelogs/LogBasedFileLog.java: copy
	of original FileLog. Writing to file is done via java.util.loggiing engine
	* netx/net/sourceforge/jnlp/util/logging/filelogs/WriterBasedFileLog.java:
	writing to file is done by simple buffered writer
	* tests/netx/unit/net/sourceforge/jnlp/util/logging/FileLogTest.java: now tests
	LogBasedFileLog
	* tests/netx/unit/net/sourceforge/jnlp/util/logging/OutputControllerTest.java:
	now tests WriterBasedFileLog instead of FileLog
	* tests/netx/unit/net/sourceforge/jnlp/util/logging/WriterBasedFileLogTest.java:
	Similar set of tests as are in FileLogTest but for WriterBasedFileLog

2015-10-15  Jiri Vanek  <jvanek@redhat.com>

	Broken file logging now dont crash itw
	* NEWS: mentioned
	* netx/net/sourceforge/jnlp/util/logging/FileLog.java: Instance now acquired
	from factory method  (createFileLog) which defaults new SingleStreamLoggerImpl
	if normal initialization fails.
	* netx/net/sourceforge/jnlp/util/logging/OutputController.java: (getFileLog)
	uses new factory method rather then constructor.
	* netx/net/sourceforge/jnlp/util/logging/SingleStreamLogger.java: enforces
	now also close method
	* netx/net/sourceforge/jnlp/util/logging/PrintStreamLogger.java: impl close
	* netx/net/sourceforge/jnlp/util/logging/UnixSystemLog.java: impl close
	* netx/net/sourceforge/jnlp/util/logging/WinSystemLog.java: impl close
	* netx/net/sourceforge/jnlp/util/logging/headers/PluginMessage.java: removed
	unused import

2015-10-08  Jiri Vanek  <jvanek@redhat.com>

	* NEWS: mentioned restriction about ports

2015-10-08  Jiri Vanek  <jvanek@redhat.com>

	Tuned SOP reproducer to check also resource's connection and to work on localhost
	* .Makefile: added target (run-test-server-on-itwtestsport) which lunches
	testserver on $ITWTESTSPORT port
	* tests/reproducers/signed/SOPBypassSigned/srcs/SOPBypassSigned.java:
	addapted to support resource's location
	* tests/reproducers/simple/SOPBypass/srcs/SOPBypass.java: same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassBeforeAndAfterChunks.java:
	extracted @before and @after hunks from other testcases to avoid duplicated code.
	All test servers for this case are run in HOSTNAME mode to enforce visibility
	of calls from localhost to localhost. Added utility methods above its instances,
	deployment modifiers forces verbose (same reason)
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassHtmlAppletTest.java:
	adapted to new api and added assertNoResourcesConnection/assertResourcesConnection
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassJnlpAppletTest.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassJnlpAppletTestWithHtmlSwitch.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassSignedHtmlAppletTest.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassSignedJnlpAppletTest.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassSignedJnlpAppletTestWithHtmlSwitch.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassUtil.java:
	added logic to serve assertNoResourcesConnection/assertResourcesConnection.
	Changed evaluation logic. To workaround ignorance of AccessDenied exception
	from calls from localhost to localhost the check on pass fail is done in different way.
	If connection is not expected, then no security exception is allowed to appear
	nor "Denying permissions ..." string is allowed to appear.
	If connection is expected, then appearance of security exception or
	"Denying permissions ..." string  is considered as failure.


2015-10-07  Jiri Vanek  <jvanek@redhat.com>

	All connection restrictions now consider also port
	* netx/net/sourceforge/jnlp/SecurityDesc.java: downloadHost redeclared to URL
	and made final. All set/gets adapted
	* netx/net/sourceforge/jnlp/Parser.java: (base) passes url to SecurityDesc
	* netx/net/sourceforge/jnlp/PluginBridge.java: (PluginBridge) same
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: same
	* plugin/icedteanp/java/sun/applet/PluginAppletViewer.java: (getApplet)
	(getApplets) same
	* netx/net/sourceforge/jnlp/util/UrlUtils.java:	added methods sanitizePort and
	getPort, which always returns port. If no port goes in, default port is going
	out. Added getHostAndPort which returns host also with port.
	* tests/netx/unit/net/sourceforge/jnlp/SecurityDescTest.java: adapted to new api
	* tests/netx/unit/net/sourceforge/jnlp/util/UrlUtilsTest.java: tested new methods

2015-10-07  Jiri Vanek  <jvanek@redhat.com>

	Testserver enhanced to work also in hostname mode or ip mode
	* tests/test-extensions/net/sourceforge/jnlp/ServerAccess.java: added enum
	declared constants for localhost, default protocol (http) and default
	ip address (127.0.0.1)
	* tests/test-extensions/net/sourceforge/jnlp/ServerLauncher.java: added enum
	ServerNaming determining state, whether it respond as localhost, 127.0.0.1 or host-name
	Added getter for each state, added getter to return all types. Added toString method
	(stop) now reports what was stopped
	* tests/test-extensions/net/sourceforge/jnlp/tools/DeploymentPropertiesModifier.java:

2015-10-02  Jiri Vanek  <jvanek@redhat.com>

	Fixed possible segfault during files on and debug on
	* plugin/icedteanp/IcedTeaNPPlugin.cc: added file_logs_initiated initiated as
	false. plugin_file_log initiated to NULL.
	* plugin/icedteanp/IcedTeaNPPlugin.h: made aware about extern file_logs_initiated
	* plugin/icedteanp/IcedTeaPluginUtils.h: (initialize_debug) set file_logs_initiated
	to true after initFileLog finishes. (PLUGIN_DEBUG) and (PLUGIN_ERROR) logs to
	file only when enabled and initiated.

2015-09-30  Jiri Vanek  <jvanek@redhat.com>

	fixed doclint errors
	* netx/net/sourceforge/jnlp/security/package-info.java: li elements wrapped
	by ul elements

2015-09-25  Jiri Vanek  <jvanek@redhat.com>

	* tests/reproducers/signed/SOPBypassSigned/srcs/SOPBypassSigned.java
	fixed handling of connect url and added socket reading from internal server
	* tests/reproducers/simple/SOPBypass/srcs/SOPBypass.java
	same

2015-09-24  Jiri Vanek  <jvanek@redhat.com>

	SOPBypass reprodcuer addapted to use instance of internal server as unrleated url
	Improved for real reading from all tested urls.
	* tests/reproducers/signed/SOPBypassSigned/srcs/SOPBypassSigned.java:
	* tests/reproducers/simple/SOPBypass/resources/SOPBypass.jnlp:
	* tests/reproducers/simple/SOPBypass/resources/SOPBypass.html:
	* tests/reproducers/simple/SOPBypass/resources/SOPBypassSigned.jnlp:
	* tests/reproducers/simple/SOPBypass/resources/SOPBypassSigned.html:
	* tests/reproducers/simple/SOPBypass/srcs/SOPBypass.java:
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassHtmlAppletTest.java:
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassJnlpAppletTest.java:
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassJnlpAppletTestWithHtmlSwitch.java:
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassSignedHtmlAppletTest.java:
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassSignedJnlpAppletTest.java:
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassSignedJnlpAppletTestWithHtmlSwitch.java:
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassUtil.java:

2015-09-24  Jiri Vanek  <jvanek@redhat.com>

	* .Makefile: (stamps/compile-reproducers-testcases.stamp) added support for
	tests in packages
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyPackage/MixedSigningAndTrustedOnly.java:
	moved to correct dir to follow package name delcared in file
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyPackage/MixedSigningAndTrustedOnlyBS1.java:
	same
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyPackage/MixedSigningAndTrustedOnlyBSmanifest.java:
	same
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyPackage/MixedSigningAndTrustedOnlyFSSU.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassHtmlAppletTest.java:
	moved to correct dir to follow package name delcared in file
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassJnlpAppletTest.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassJnlpAppletTestWithHtmlSwitch.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassSignedHtmlAppletTest.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassSignedJnlpAppletTest.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassSignedJnlpAppletTestWithHtmlSwitch.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/sopbypasstests/SOPBypassUtil.java:
	same

2015-09-22  Jiri Vanek  <jvanek@redhat.com>

	fixed two doclint errors
	* netx/net/sourceforge/jnlp/security/package-info.java: diagram put inside code annotation
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditorPermissions.java:
	(getTitle) added javadoc to prevent auto-generated return with (doclint) invalid character

2015-09-09  Jacob Wisor  <gitne@icedtea.classpath.org>

	* ChangeLog: Fix spelling and formatting

2015-09-10  Andrew Azores  <aazores@redhat.com>

	Add new signed version of SOPBypass reproducers, add privilege level check
	to existing unsigned SOPBypass
	* tests/reproducers/signed/SOPBypassSigned/resources/SOPBypassSigned.html:
	new signed SOPBypass tests
	* tests/reproducers/signed/SOPBypassSigned/resources/SOPBypassSigned.jnlp:
	same
	* tests/reproducers/signed/SOPBypassSigned/srcs/SOPBypassSigned.java: same
	* tests/reproducers/signed/SOPBypassSigned/testcases/SOPBypassSignedHtmlAppletTest.java:
	same
	* tests/reproducers/signed/SOPBypassSigned/testcases/SOPBypassSignedJnlpAppletTest.java:
	same
	* tests/reproducers/signed/SOPBypassSigned/testcases/SOPBypassSignedJnlpAppletTestWithHtmlSwitch.java:
	same
	* tests/reproducers/signed/SOPBypassSigned/testcases/SOPBypassSignedUtil.java:
	same
	* tests/reproducers/simple/SOPBypass/srcs/SOPBypass.java: add check for
	privilege level
	* tests/reproducers/simple/SOPBypass/testcases/SOPBypassHtmlAppletTest.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/SOPBypassJnlpAppletTest.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/SOPBypassJnlpAppletTestWithHtmlSwitch.java:
	same
	* tests/reproducers/simple/SOPBypass/testcases/SOPBypassUtil.java: same

2015-09-10  Jiri Vanek  <jvanek@redhat.com>

	* tests/netx/unit/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningPanelTest.java:
	Backuped, reset and restored .appletTrustSettings so its content can not affect test

2015-09-10  Jiri Vanek  <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
 	(stripFileImp) fixed typo on variable of normlaized to normalized


2015-09-09  Jacob Wisor  <gitne@icedtea.classpath.org>

	* .hgignore: Fix regex patterns of files ignored by Mercurial

2015-09-07  Jiri Vanek  <jvanek@redhat.com>

	* NEWS: added descriptions for RH1233697, RH1233667

2015-09-04  Jiri Vanek  <jvanek@redhat.com>

	Fixed reproducer affected by identificator in .appletTrustSettings
	* tests/reproducers/simple/FakeCodebase/testcases/FakeCodebaseTests.java:
	instead of checking number of lines in appletTrustSettings directly, now
	reading this file via UnsignedAppletActionStorageImpl and using its data

2015-09-03  Jiri Vanek  <jvanek@redhat.com>

		* netx/net/sourceforge/jnlp/resources/Messages_de.properties: removed all commented original sentences

2015-09-03  Jiri Vanek  <jvanek@redhat.com>
            Jacob Wisor  <gitne@gmx.de>
            Stefan Ring  <stefan@complang.tuwien.ac.at>

	Gathered and applied shards of DE translation
	* netx/net/sourceforge/jnlp/resources/Messages_de.properties: added throng of keys
	* AUTHORS: added Stefan Ring, stefan@complang.tuwien.ac.at

2015-09-03  Jiri Vanek  <jvanek@redhat.com>

	* NEWS: mentioned fixes for RH1233697, RH1233667 and reuse of MissingALACAdialog
	for unsigned applications

2015-09-03  Jiri Vanek  <jvanek@redhat.com>

	Fixed ArrayIndexOutOfBound in version corner case issue
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageImpl.java:
	length of array is checked,
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/impl/VersionRestrictionTest.java:
	added tests for this case

2015-09-03  Jiri Vanek  <jvanek@redhat.com>

	Added identifier to .appletTrustSettings to specify version of file
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageImpl.java:
	added handling of version - readVersion, versionPreffix, backup, currentVersion.
	(readLine) when first line is read, it is checked for version and acted. If
	loaded version is missing or older then current 2, then file is  not loaded.
	otherwise normal loading. (writeContent) now inserts  header with version.
	(actOnVersionLoad) new method, handling consequences of recognized x current version
	(backupOldFile) new method, backing up old file as .appletTrustSettings.version-backup
	* netx/net/sourceforge/jnlp/util/UrlUtils.java: consumed exception during
	normalization is logged only to console/verbose
	* tests/netx/unit/net/sourceforge/jnlp/security/SecurityDialogsTest.java:
	added considering of version
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/impl/LegacyUnsignedAppletActionStorageImplTest.java:
	same
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageImplTest.java:
	same
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/impl/VersionRestrictionTest.java:
	new test file testing version recognition and processing

2015-09-02  Jiri Vanek  <jvanek@redhat.com>

	All UrlRegEx-es got unified and correct quoting
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletActionTableModel.java:
	(addRow) now uses factory methods of quoteAndStar form UrlRegEx
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletsTrustingListPanel.java:
	same, but of exact. Removed redundant space in APPEXTSECguiPanelTableInvalid key
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletActionEntry.java:
	same of exact.
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
	same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageExtendedImpl.java:
	same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageImpl.java:
	same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UrlRegEx.java:
	constructor made private,  field final. Creation allowed over factory methods of
	quote. quoteAndStar, exact. Added and iprved mehtods for visualisation
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/UrlRegExTest.java:
	new test file with tests to new methods in UrlRegex

2015-09-02  Jiri Vanek  <jvanek@redhat.com>

	* Changelog: fixed indentation of alaca  paragraph from 9.1

2015-09-02  Jiri Vanek  <jvanek@redhat.com>

	Newline characters are banned from saving to .appletTrustSettings
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/InvalidLineException.java:
	New file. Exception to be specially handled if error appear in saved line.
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletActionEntry.java:
	(serializeToReadableAndParseableString) if new-line appear in line,
	InvalidLineException is thrown
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageImpl.java:
	(writeContent) InvalidLineException is expected and logged.
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmationTest.java:
	adapted and quite a lot of tests added.
	* tests/reproducers/simple/UnicodeLineBreak/resources/UnicodeLineBreak.java:
	* tests/reproducers/simple/UnicodeLineBreak/srcs/UnicodeLineBreak.java:
	* tests/reproducers/simple/UnicodeLineBreak/testcases/UnicodeLineBreakTests.java:
	half automated reproducer of this behavior
	* netx/net/sourceforge/jnlp/runtime/HtmlBoot.java: based on existence of -xml,
	now can turn off tagsoup
	* netx/net/sourceforge/jnlp/runtime/html/AppletExtractor.java: is passing
	parsersettings to HtmlBoot


2015-09-01  Jiri Vanek  <jvanek@redhat.com>

	Saving of status of dialogs for "whole codebase" now includes also document base
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
	(updateAppletAction) now saves  base of docbase instead of .* "for remember for codebase"
	stripFile - new method, ensuring docbase do not contains file
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmationTest.java:
	added testSripFile unit test for new method
	* tests/reproducers/simple/FakeCodebase/resources/FakeCodebase.html.in:
	* tests/reproducers/simple/FakeCodebase/resources/FakeCodebase.jnlp.in:
	* tests/reproducers/simple/FakeCodebase/resources/OriginalCodebase.html:
	* tests/reproducers/simple/FakeCodebase/resources/OriginalCodebase.jnlp:
	* tests/reproducers/simple/FakeCodebase/srcs/FakeCodebase.java:
	* tests/reproducers/simple/FakeCodebase/testcases/FakeCodebaseTests.java:
	Reproducer of this behavior

2015-09-01  Jiri Vanek  <jvanek@redhat.com>

	application-library-allowable-codebase dialog made available for unsigned apps
	* netx/net/sourceforge/jnlp/resources/Messages.properties: (ALACAMissingMainTitle)
	added warning about possible consequences of  resources out of docbase.
	(ALACAMatchingMainTitle) the red higlights changed to green and added calming
	words about it.
	* netx/net/sourceforge/jnlp/resources/Messages_cs.properties: same
	* netx/net/sourceforge/jnlp/resources/Messages_de.properties: same
	* netx/net/sourceforge/jnlp/resources/Messages_pl.properties: adapted to red
	to green recoloring
	* netx/net/sourceforge/jnlp/runtime/ManifestAttributesChecker.java:
	(checkApplicationLibraryAllowableCodebaseAttribute) removed  return for in case
	of unsigned app. Fixed check for all matching resources against codebase and docbase
	If app is unsigned, then value in manifest is ignored. Missing alaca required
	also in low security mode
	* tests/netx/unit/net/sourceforge/jnlp/runtime/ManifestAttributesCheckerTest.java:
	new file to test stripDocbase.

2015-08-31  Andrew Azores  <aazores@redhat.com>

	Added new tests to check where applets are allow to make network
	connections, depending on different combinations of applet codebase,
	documentbase, and applet archive location.
	* tests/reproducers/simple/SOPBypass/resources/SOPBypass.html
	* tests/reproducers/simple/SOPBypass/resources/SOPBypass.jnlp
	* tests/reproducers/simple/SOPBypass/srcs/SOPBypass.java
	* tests/reproducers/simple/SOPBypass/testcases/SOPBypassHtmlAppletTest.java
	* tests/reproducers/simple/SOPBypass/testcases/SOPBypassJnlpAppletTest.java
	* tests/reproducers/simple/SOPBypass/testcases/SOPBypassJnlpAppletTestWithHtmlSwitch.java
	* tests/reproducers/simple/SOPBypass/testcases/SOPBypassUtil.java

2015-08-25  Jiri Vanek  <jvanek@redhat.com>
            Lukasz Dracz  <ldracz@redhat.com>

	* Makefile.am: declared BASH_CMPL_DEST_DIR as directory where to install
	generated icedteaweb-completion. (clean-local) (.PHONY) added clean-icedteaweb-completion
	(install-exec-local) now creates BASH_CMPL_DEST_DIR and copy icedteaweb-completion to it
	(uninstall-local) now removes also  BASH_CMPL_DEST_DIR/icedteaweb-completion
	(icedteaweb-completion), new target, substiture real values from javacode
	via icedteaweb-completion.in to icedteaweb-completion
	(stamps/netx-dist.stamp) now depends also on icedteaweb-completion
	(clean-icedteaweb-completion) new target to remove generated file
	* icedteaweb-completion.in: hardcoded opts value replaced by fields for substitutions
	*netx/net/sourceforge/jnlp/OptionsDefinitions.java: added main method, which
	can print currently accurate switches

2015-08-25  Jiri Vanek  <jvanek@redhat.com>

	* icedteaweb-completion: removed, renamed to icedteaweb-completion.in
	* icedteaweb-completion.in: new file from icedteaweb-completion

2015-08-25  Jiri Vanek  <jvanek@redhat.com>

	Added more tests MixedSigningAndTrustedOnly
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/srcs/MixedSigningAndTrustedOnlyClass1.java
	modified to suite more compelx tests
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/srcs/MixedSigningAndTrustedOnlyClass2.java
	same
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnly.java
	same
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyBS1.java
	adapted to MixedSigningAndTrustedOnly
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyBSmanifest.java
	same
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyFSSU.java:
	new file to test signed_>unsigned and unsigned->signed calls behaviors. First on classpath is signed

2015-08-19  Andrew Azores  <aazores@redhat.com>

	PolicyEditor dies given invalid -codebase -signedby or -principals arguments
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java
	(main): extracted helper methods for getting codebase, signedBy, principals
	arguments.
	(getCodebaseArgument, getSignedByArgument, getPrincipalsArgument): new
	methods
	(cleanFilePathArgument): make parameter final for consistent style
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyEditorTest.java
	(testGetCodebaseArgument, testGetCodebaseArgument2,
	testGetCodebaseArgument3, testGetCodebaseArgumentWhenNotProvided,
	testGetPrincipalsArgument, testGetPrincipalsArgument2,
	testGetPrincipalsArgument3, testGetPrincipalsArgumentWhenNotProvided,
	testGetSignedByArgument, testGetSignedByArgumentWhenNotProvided): new tests

2015-08-19  Andrew Azores  <aazores@redhat.com>

	Sort identifiers list in PolicyEditor
	* NEWS: add note about sorting
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java
	(addNewEntry): clear listModel before adding new identifiers from
	policyEditorController. Controller handles sorting results for us, so we
	just clear and repopulate the UI.
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditorController.java
	(getIdentifiers): return SortedSet rather than Set
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyFileModel.java
	(getIdentifiers): likewise
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyIdentifier.java
	(compareTo, compareComparable): new methods for implementing Comparable
	(getPrincipals): return Set, not List
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyIdentifierTest.java:
	new tests for PolicyIdentifier

2015-07-30  Andrew Azores  <aazores@redhat.com>

	Add tests for PolicyEditor.getFilePathArgument
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java
	(getFilePathArgument): made package-private for testing
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyEditorTest.java:
	new tests for PolicyEditor.getFilePathArgument

2015-07-30  Jiri Vanek  <jvanek@redhat.com>

	Added more asserts to MixedSigningAndTrustedOnly tests
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyBS1.java
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyBSmanifest.java

2015-07-30  Andrew Azores  <aazores@redhat.com>

	Add -defaultfile switch to PolicyEditor
	* NEWS: add note about defaultfile flag
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java (OPTIONS,
	getPolicyEditorOptions): add DEFAULTFILE for
	PolicyEditor
	* netx/net/sourceforge/jnlp/resources/Messages.properties (PBODefaultFile,
	PEDefaultFileFilePathSpecifiedError, PEMainArgAndFileSwitchSpecifiedError):
	new messages
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java
	(main): add handling for -defaultfile, die when both -defaultfile and
	-file are given
	(openDefaultButtonAction): extract method
	(getDefaultPolicyFilePath): new method extracted from
	openDefaultButtonAction
	(getFilePathArgument): new method
	(cleanFilePathArgument): new method

2015-07-29  Jiri Vanek  <jvanek@redhat.com>

	Added tests for single signed jar with manifest containing trusted-only
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnly.java:
	added checks for complete filure and launchException
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyBSmanifest.java:
	 single signed jar with manifest containing trusted-only. File is same as
	MixedSigningAndTrustedOnlyBS1, but four reproducers of  jnlpApp and jnlpApplet
	without security correctly don't run.

2015-07-29  Jiri Vanek  <jvanek@redhat.com>

	replaced Trusted-only by Trusted-Only, cosmetic change in TrustedOnlyAttribute reproducer
	* tests/reproducers/custom/TrustedOnlyAttribute/resources/TrustedOnlyAttribute-signed-nosecurity.jnlp:
	* tests/reproducers/custom/TrustedOnlyAttribute/resources/TrustedOnlyAttribute-signed-security.jnlp:
	* tests/reproducers/custom/TrustedOnlyAttribute/resources/TrustedOnlyAttribute-unsigned-nosecurity.jnlp:
	* tests/reproducers/custom/TrustedOnlyAttribute/resources/TrustedOnlyAttribute-unsigned-security.jnlp:
	* tests/reproducers/custom/TrustedOnlyAttribute/srcs/MANIFEST.MF:

2015-07-29  Jiri Vanek  <jvanek@redhat.com>

	Initial push for big trusted-only/mixed-permissions reproducer
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/resources/MixedSigningAndTrustedOnly.html.in:
	template for javaws html and browser test (substitute archives and mainclass and commnad)
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/resources/MixedSigningAndTrustedOnlyApp.jnlp.in:
	template for javaws (substitute security, archives and mainclass  and commnads)
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/resources/MixedSigningAndTrustedOnlyApplet.jnlp.in:
	template for javaws applet (substitute security, archives and mainclass and commnads)
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/srcs/MANIFEST.MF:
	manifest with Trusted-only: true to be potentially used in jars
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/srcs/Makefile:
	custom makefile which generates 12 jars. six signed, six unsigned, six with manifest, six without.
	two times two with one class, two with both classes
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/srcs/MixedSigningAndTrustedOnlyClass1.java:
	source class1, may confirm itself, try privileged action, try those two on second class,
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/srcs/MixedSigningAndTrustedOnlyClass2.java:
	same but vice versa
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnly.java:
	utility class for this reproducer (with tests)
	* tests/reproducers/custom/MixedSigningAndTrustedOnly/testcases/MixedSigningAndTrustedOnlyBS1.java:
	simple twelve tests verifying single signed jar with both classes without manifest works

2015-07-27  Jiri Vanek  <jvanek@redhat.com>

	Removed last remains of BOOT_DIR
	* Makefile.am: declared and exported EXPORTED_JAR EXPORTED_KEYTOOL
	EXPORTED_JARSIGNER EXPORTED_PACK200
	* tests/reproducers/custom/AdditionalJarsInMetaInfIndexList/srcs/Makefile:
	all of (BOOT_DIR)/bin/keytool (BOOT_DIR)/bin/jarsigner (BOOT_DIR)/bin/javac
	(BOOT_DIR)/bin/jar (BOOT_DIR)/bin/pack200 replaced by (EXPORTED_KEYTOOL)
	(EXPORTED_JARSIGNER) (EXPORTED_JAVAC) (EXPORTED_JAR) (EXPORTED_PACK200)
	* tests/reproducers/custom/AppletExtendsFromOutsideJar/srcs/Makefile: same
	* tests/reproducers/custom/ExtensionJnlpsInApplet/srcs/Makefile: same
	* tests/reproducers/custom/JNLPClassLoaderDeadlock/srcs/Makefile: same
	* tests/reproducers/custom/MixedSigningApplet/srcs/Makefile: same
	* tests/reproducers/custom/MultipleSignaturesPerJar/srcs/Makefile: same
	* tests/reproducers/custom/PackGZip/srcs/Makefile: same
	* tests/reproducers/custom/PartiallySignedAppletManifestSpecifiesSandbox/srcs/Makefile:
	same
	* tests/reproducers/custom/SignedAppletCodebaseLoading/srcs/Makefile: same
	* tests/reproducers/custom/SignedAppletExternalMainClass/srcs/Makefile: same
	* tests/reproducers/custom/TrustedOnlyAttribute/srcs/Makefile: same
	* tests/reproducers/custom/UnsignedContentInMETAINF/srcs/Makefile: same


2015-07-27  Andrew Azores  <aazores@redhat.com>

	PolicyEditor updated to use sun.security.provider.PolicyParser
	* NEWS: mention new PolicyEditor support for SignedBy and Principals
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java: UI
	updates to support SignedBy and Principals
	* netx/net/sourceforge/jnlp/security/policyeditor/CustomPolicyViewer.java:
	likewise
	* netx/net/sourceforge/jnlp/security/policyeditor/PermissionActions.java:
	use diamond operator where applicable
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditorController.java:
	refactor to support use of PolicyIdentifiers rather than plain codebases
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditorPermissions.java:
	replace fromString with fromPermissionEntry, fix formatting
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEntry.java:
	implement Serializable and Transferable to enable clipboard support. Use
	Builder pattern. Support PolicyIdentifiers rather than only plain codebases
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyFileModel.java:
	refactor to support PolicyIdentifiers and use PolicyParser
	* netx/net/sourceforge/jnlp/security/dialogs/TemporaryPermissionsButton.java:
	use PolicyIdentifier to identify current applet by its codebase alone
	* netx/net/sourceforge/jnlp/util/docprovider/PolicyEditorTextsProvider.java:
	remove -codebase from PolicyEditor help text
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java: add SIGNEDBY and
	PRINCIPALS for PolicyEditor, define CODEBASE to take exactly one argument
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/CustomPolicyViewerTest.java:
	use PolicyIdentifier rather than codebase string
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyEditorControllerTest.java:
	redo to use PolicyIdentifiers, DisplayablePermissions
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyEditorParsingTest.java:
	use PolicyIdentifier rather than codebase string
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyEditorPermissionsTest.java
	(testActionsRegex, testTargetRegex,
	testRegexesAgainstBadPermissionNames): removed, PolicyParser has replaced
	this
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyEditorTest.java:
	use PolicyIdentifier rather than codebase string
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyEntryTest.java:
	use DisplayablePermission and PolicyEntry rather than CustomPermission
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyFileModelTest.java:
	use PolicyIdentifier rather than codebase string
	* netx/net/sourceforge/jnlp/security/policyeditor/KeystoreInfo.java: new
	file
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyIdentifier.java:
	new file
	* netx/net/sourceforge/jnlp/security/policyeditor/CustomPermission.java:
	removed
	* netx/net/sourceforge/jnlp/security/policyeditor/InvalidPolicyException.java:
	removed
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/CustomPermissionTest.java:
	removed
	* netx/net/sourceforge/jnlp/resources/Messages.properties: many changes to
	PolicyEditor messages for key bindings, UI messages, error messages, etc.
	* netx/net/sourceforge/jnlp/resources/Messages_cs.properties: likewise
	* netx/net/sourceforge/jnlp/resources/Messages_de.properties: likewise
	* netx/net/sourceforge/jnlp/resources/Messages_pl.properties: likewise

2015-07-23  Jiri Vanek  <jvanek@redhat.com>

	Enabled and properly tested Entry-Point attribute check
	* NEWS: mentioned enabling
	* netx/net/sourceforge/jnlp/runtime/ManifestAttributesChecker.java: enabled
	call to checkEntryPoint if enabled
	* tests/reproducers/signed/EntryPointSignedSingleBothInvalid/resources/EntryPointSignedSingleBothInvalid.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothInvalid/resources/EntryPointSignedSingleBothInvalid.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothInvalid/resources/EntryPointSignedSingleBothInvalid_applet.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothInvalid/resources/EntryPointSignedSingleBothInvalid_applet_security.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothInvalid/resources/EntryPointSignedSingleBothInvalid_security.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothInvalid/srcs/EntryPointSignedSingleBothInvalid.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothInvalid/srcs/META-INF/MANIFEST.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothInvalid/testcases/EntryPointSignedSingleBothInvalidTest.java:
	tests for Entry-Point with two values, both invalid
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/resources/EntryPointSignedSingleBothOk1.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/resources/EntryPointSignedSingleBothOk1.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/resources/EntryPointSignedSingleBothOk2.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/resources/EntryPointSignedSingleBothOk2.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/resources/EntryPointSignedSingleBothOk_applet1.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/resources/EntryPointSignedSingleBothOk_applet2.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/resources/EntryPointSignedSingleBothOk_applet_security1.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/resources/EntryPointSignedSingleBothOk_applet_security2.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/resources/EntryPointSignedSingleBothOk_security1.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/resources/EntryPointSignedSingleBothOk_security2.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/srcs/EntryPointSignedSingleBothOk1.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/srcs/EntryPointSignedSingleBothOk2.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/srcs/META-INF/MANIFEST.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/testcases/EntryPointSignedSingleBothOkTest1.java:
	* tests/reproducers/signed/EntryPointSignedSingleBothOk/testcases/EntryPointSignedSingleBothOkTest2.java:
	tests for Entry-Point with two values, both valid
	* tests/reproducers/signed/EntryPointSignedSingleFirstInvalidSecondOk/resources/EntryPointSignedSingleFirstInvalidSecondOk.java:
	* tests/reproducers/signed/EntryPointSignedSingleFirstInvalidSecondOk/resources/EntryPointSignedSingleFirstInvalidSecondOk.java:
	* tests/reproducers/signed/EntryPointSignedSingleFirstInvalidSecondOk/resources/EntryPointSignedSingleFirstInvalidSecondOk_applet.java:
	* tests/reproducers/signed/EntryPointSignedSingleFirstInvalidSecondOk/resources/EntryPointSignedSingleFirstInvalidSecondOk_applet_security.java:
	* tests/reproducers/signed/EntryPointSignedSingleFirstInvalidSecondOk/resources/EntryPointSignedSingleFirstInvalidSecondOk_security.java:
	* tests/reproducers/signed/EntryPointSignedSingleFirstInvalidSecondOk/srcs/EntryPointSignedSingleFirstInvalidSecondOk.java:
	* tests/reproducers/signed/EntryPointSignedSingleFirstInvalidSecondOk/srcs/META-INF/MANIFEST.java:
	* tests/reproducers/signed/EntryPointSignedSingleFirstInvalidSecondOk/testcases/EntryPointSignedSingleFirstInvalidSecondOkTest.java:
	tests for Entry-Point with two values, first invalid, second ok
	* tests/reproducers/signed/EntryPointSignedSingleInvalid/resources/EntryPointSignedSingleInvalid.java:
	* tests/reproducers/signed/EntryPointSignedSingleInvalid/resources/EntryPointSignedSingleInvalid.java:
	* tests/reproducers/signed/EntryPointSignedSingleInvalid/resources/EntryPointSignedSingleInvalid_applet.java:
	* tests/reproducers/signed/EntryPointSignedSingleInvalid/resources/EntryPointSignedSingleInvalid_applet_security.java:
	* tests/reproducers/signed/EntryPointSignedSingleInvalid/resources/EntryPointSignedSingleInvalid_security.java:
	* tests/reproducers/signed/EntryPointSignedSingleInvalid/srcs/EntryPointSignedSingleInvalid.java:
	* tests/reproducers/signed/EntryPointSignedSingleInvalid/srcs/META-INF/MANIFEST.java:
	* tests/reproducers/signed/EntryPointSignedSingleInvalid/testcases/EntryPointSignedSingleInvalidTest.java:
	tests for Entry-Point with one invalid value
	* tests/reproducers/signed/EntryPointSignedSingleOk/resources/EntryPointSignedSingleOk.java:
	* tests/reproducers/signed/EntryPointSignedSingleOk/resources/EntryPointSignedSingleOk.java:
	* tests/reproducers/signed/EntryPointSignedSingleOk/resources/EntryPointSignedSingleOk_applet.java:
	* tests/reproducers/signed/EntryPointSignedSingleOk/resources/EntryPointSignedSingleOk_applet_security.java:
	* tests/reproducers/signed/EntryPointSignedSingleOk/resources/EntryPointSignedSingleOk_security.java:
	* tests/reproducers/signed/EntryPointSignedSingleOk/srcs/EntryPointSignedSingleOk.java:
	* tests/reproducers/signed/EntryPointSignedSingleOk/srcs/META-INF/MANIFEST.java:
	* tests/reproducers/signed/EntryPointSignedSingleOk/testcases/EntryPointSignedSingleOkTest.java:
	tests for Entry-Point with one ok value
	* tests/reproducers/signed/EntryPointSignedSingleSecondInvalidFirstOk/resources/EntryPointSignedSingleSecondInvalidFirstOk.java:
	* tests/reproducers/signed/EntryPointSignedSingleSecondInvalidFirstOk/resources/EntryPointSignedSingleSecondInvalidFirstOk.java:
	* tests/reproducers/signed/EntryPointSignedSingleSecondInvalidFirstOk/resources/EntryPointSignedSingleSecondInvalidFirstOk_applet.java:
	* tests/reproducers/signed/EntryPointSignedSingleSecondInvalidFirstOk/resources/EntryPointSignedSingleSecondInvalidFirstOk_applet_security.java:
	* tests/reproducers/signed/EntryPointSignedSingleSecondInvalidFirstOk/resources/EntryPointSignedSingleSecondInvalidFirstOk_security.java:
	* tests/reproducers/signed/EntryPointSignedSingleSecondInvalidFirstOk/srcs/EntryPointSignedSingleSecondInvalidFirstOk.java:
	* tests/reproducers/signed/EntryPointSignedSingleSecondInvalidFirstOk/srcs/META-INF/MANIFEST.java:
	* tests/reproducers/signed/EntryPointSignedSingleSecondInvalidFirstOk/testcases/EntryPointSignedSingleSecondInvalidFirstOkTest.java:
	tests for Entry-Point with two values, first ok, second invalid
	* tests/reproducers/simple/EntryPointUnsignedSingleInvalid/resources/EntryPointUnsignedSingleInvalid.java:
	* tests/reproducers/simple/EntryPointUnsignedSingleInvalid/resources/EntryPointUnsignedSingleInvalid.java:
	* tests/reproducers/simple/EntryPointUnsignedSingleInvalid/resources/EntryPointUnsignedSingleInvalid_applet.java:
	* tests/reproducers/simple/EntryPointUnsignedSingleInvalid/resources/EntryPointUnsignedSingleInvalid_applet_security.java:
	* tests/reproducers/simple/EntryPointUnsignedSingleInvalid/resources/EntryPointUnsignedSingleInvalid_security.java:
	* tests/reproducers/simple/EntryPointUnsignedSingleInvalid/srcs/EntryPointUnsignedSingleInvalid.java:
	* tests/reproducers/simple/EntryPointUnsignedSingleInvalid/srcs/META-INF/MANIFEST.java:
	* tests/reproducers/simple/EntryPointUnsignedSingleInvalid/testcases/EntryPointUnsignedSingleInvalidTest.java:
	tests for Entry-Point with one invalid value in unsigned jar (ignoring this value)

2015-07-22  Jiri Vanek  <jvanek@redhat.com>

	Added tests for html switch for Sandbox attribute
	* tests/reproducers/signed/SandboxSignedAllPerm/testcases/SandboxSignedAllPermTest.java
	* tests/reproducers/signed/SandboxSignedInvalid/testcases/SandboxSignedInvalidTest.java
	* tests/reproducers/signed/SandboxSignedMissing/testcases/SandboxSignedMissingTest.java
	* tests/reproducers/signed/SandboxSignedMissing/testcases/SandboxSignedMissingTestHighSecurity.java
	* tests/reproducers/signed/SandboxSignedSandbox/testcases/SandboxSignedSandboxTest.java
	* tests/reproducers/simple/SandboxUnsignedAllPerm/testcases/SandboxUnsignedAllPermTest.java
	* tests/reproducers/simple/SandboxUnsignedInvalid/testcases/SandboxUnsignedInvalidTest.java
	* tests/reproducers/simple/SandboxUnsignedMissing/testcases/SandboxUnsignedMissingTest.java
	* tests/reproducers/simple/SandboxUnsignedMissing/testcases/SandboxUnsignedMissingTestHighSecurity.java
	* tests/reproducers/simple/SandboxUnsignedSandbox/testcases/SandboxUnsignedSandboxTest.java

2015-07-22  Fridrich Strba  <fridrich.strba@suse.com>

	* Makefile.am:  (generate-docs.stamp) added '-' to tail of tail command as
	 some implementations of tail parse the file information as the last argument

2015-07-20  Jiri Vanek  <jvanek@redhat.com>

	* NEWS: change of permissions attribute mentioned in news

2015-07-20  Jiri Vanek  <jvanek@redhat.com>

	Tuned permissions attribute behavior for unsigned jnlps
	* netx/net/sourceforge/jnlp/runtime/ManifestAttributesChecker.java:
	permissions sandbox and signed app and unsigned app with permissions all-permissions
	now run in sandbox instead of not at all.
	* tests/reproducers/signed/SandboxSignedSandbox/testcases/SandboxSignedSandboxTest.java:
	Failing tests of (javawsAllPermNoSecurity) (javawsAppletAllPermNoSecurity)
	with bug comment got removed this comment and are now passing
	* tests/reproducers/simple/SandboxUnsignedAllPerm/testcases/SandboxUnsignedAllPermTest.java
	Failing tests of (javawsAllPermNoSecurity) (javawsAppletAllPermNoSecurity)
	with bug comment got removed this comment and are now passing

2015-07-20  Jiri Vanek  <jvanek@redhat.com>

	Fixed download service
	* /netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: (fillInPartJars)
	for-each loop replaced by indexed loop to prevent ConcurrentModificationException
	* tests/reproducers/signed/DownloadService/testcases/DownloadServiceTest.java:
	small refactoring in favour of diamond operator

2015-07-16  Jiri Vanek  <jvanek@redhat.com>

	Fixing various reproducers
	* tests/reproducers/simple/ManifestedJar1/testcases/ManifestedJar1Test.java:
	fixed check on return value
	* tests/reproducers/simple/InformationTitleVendorParser/testcases/InformationTitleVendorParserTest.java:
	same

2015-07-15  Jiri Vanek  <jvanek@redhat.com>

	Fixing various reproducers
	* netx/net/sourceforge/jnlp/runtime/JnlpBoot.java: LaunchException now also
	cause exit with nonzero return
	* tests/reproducers/custom/remote/testcases/RemoteApplicationSettings.java:
	fixed url for SunSwingDemo and checking reduced to no exception only
	* tests/reproducers/signed/AppletTestSigned/testcases/AppletTestSignedTests.java:
	moved to one browser only
	* tests/reproducers/signed/CountingAppletSigned/srcs/CountingAppletSigned.java:
	added flush, validateTree replaced by validate
	* tests/reproducers/simple/CountingApplet1/srcs/CountingApplet1.java:
	same
	* tests/reproducers/signed/DeploymentPropertiesAreExposed/testcases/DeploymentPropertiesAreExposedTest.java:
	fixed check on sucess
	* tests/reproducers/simple/AppletTagWithMissingCodeAttribute/testcases/AppletTagWithMissingCodeAttribute.java:
	added comment explaining failure in most browsers
	* tests/reproducers/simple/CountingApplet1/testcases/ParallelAppletsTest.java:
	verification on counts loosed to 7 from 10 (last are often consumed via exit)
	* tests/reproducers/simple/JnlpHrefAttribute/testcases/JnlpHrefAttributeTest.java:
	added exclusive handlers for midori and epiphany
	* tests/reproducers/simple/SingleInstanceServiceTest/testcases/SingleInstanceTest.java:
		added comment explaining failure in most browsers
	* tests/reproducers/simple/simpletest1/resources/simpletest1.jnlp:
	added second description to make ti fail in strict mode
	* tests/reproducers/simple/simpletest1/testcases/SimpleTest1Test.java:
	fixed verification asserts

2015-07-14  Jiri Vanek  <jvanek@redhat.com>

	Fixed various tests
	* tests/reproducers/signed/GifarBase/testcases/GifarTestcases.java:
	(GifarViaJnlp_applet_ignoreHeaders) and (GifarViaJnlp_application_ignoreHeaders)
	marked as KnownToFail. They will never pass on jdk8+
	* tests/reproducers/signed/ReadPropertiesBySignedHack/testcases/ReadPropertiesBySignedHackTest.java:
	now correctly expect non-zero return value of child javaws
	* tests/reproducers/signed/ReadPropertiesSigned/testcases/ReadPropertiesSignedTest.java:
	same
	* tests/reproducers/simple/AddShutdownHook/testcases/AddShutdownHookTest.java:
	same
	* tests/reproducers/simple/AddShutdownHook/testcases/HangFirefoxTests.java:
	same
	* tests/reproducers/simple/AllStackTraces/testcases/AllStackTracesTest.java:
	same
	* tests/reproducers/simple/CreateClassLoader/testcases/CreateClassLoaderTest.java:
	same
	* tests/reproducers/simple/ManifestedJar1/testcases/ManifestedJar1Test.java:
	same except (manifestedJar1main2mainAppDesc). (manifestedJar1main2mainAppDesc)
	now pass with correct(?) message from first main jar (test never passed imho)
	* tests/reproducers/simple/ReadEnvironment/testcases/ReadEnvironmentTest.java:
	same
	* tests/reproducers/simple/ReadProperties/testcases/ReadPropertiesTest.java:
	same
	* tests/reproducers/simple/RedirectStreams/testcases/RedirectStreamsTest.java:
	same
	* tests/reproducers/simple/ReplaceSecurityManager/testcases/ReplaceSecurityManagerTest.java:
	same
	* tests/reproducers/simple/SetContextClassLoader/testcases/SetContextClassLoaderTest.java:
	same

2015-07-14  Jiri Vanek  <jvanek@redhat.com>

	Fixed AccessClassInPackageTest
	* tests/reproducers/simple/AccessClassInPackage/testcases/AccessClassInPackageTest.java:
	(AccessClassInPackageSUNSEC) and (AccessClassInPackageNETSF) now correctly expect
	non-zero return value of child javaws

2015-07-13  Jiri Vanek  <jvanek@redhat.com>

	Fixed codebase reproducers
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntrySignedMatching.java:
	improved (getMessage) to take message directly via Translator
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntrySignedNotMatching.java:
	now ensures deployment.manifest.attributes.check have always CODEBASE value
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntryUnsignedMatching.java:
	same
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntryUnsignedNotMatching.java:
	same

2015-07-13  Jiri Vanek  <jvanek@redhat.com>

	Added tests for unsigned applet/app using Permission attribute
	* tests/reproducers/unsigned/SandboxUnsignedAllPerm/resources/SandboxUnsignedAllPerm.html
	* tests/reproducers/unsigned/SandboxUnsignedAllPerm/resources/SandboxUnsignedAllPerm.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedAllPerm/resources/SandboxUnsignedAllPerm_applet.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedAllPerm/resources/SandboxUnsignedAllPerm_applet_security.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedAllPerm/resources/SandboxUnsignedAllPerm_security.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedAllPerm/srcs/META-INF/MANIFEST.MF
	contains Permissions: all-permissions
	* tests/reproducers/unsigned/SandboxUnsignedAllPerm/srcs/SandboxUnsignedAllPerm.java
	* tests/reproducers/unsigned/SandboxUnsignedAllPerm/testcases/SandboxUnsignedAllPermTest.java
	test cases with permissions in manifest check on. There is probably an bug in impl.
	The applet should not run at all, or javaws without permissions should run in sandbox too.
	* tests/reproducers/unsigned/SandboxUnsignedInvalid/resources/SandboxUnsignedInvalid.html
	* tests/reproducers/unsigned/SandboxUnsignedInvalid/resources/SandboxUnsignedInvalid.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedInvalid/resources/SandboxUnsignedInvalid_applet.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedInvalid/resources/SandboxUnsignedInvalid_applet_security.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedInvalid/resources/SandboxUnsignedInvalid_security.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedInvalid/srcs/META-INF/MANIFEST.MF
	contains Permissions: invalidValue
	* tests/reproducers/unsigned/SandboxUnsignedInvalid/srcs/SandboxUnsignedInvalid.java
	* tests/reproducers/unsigned/SandboxUnsignedInvalid/testcases/SandboxUnsignedInvalidTest.java
	test cases with permissions in manifest check on
	* tests/reproducers/unsigned/SandboxUnsignedMissing/resources/SandboxUnsignedMissing.html
	* tests/reproducers/unsigned/SandboxUnsignedMissing/resources/SandboxUnsignedMissing.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedMissing/resources/SandboxUnsignedMissing_applet.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedMissing/resources/SandboxUnsignedMissing_applet_security.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedMissing/resources/SandboxUnsignedMissing_security.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedMissing/srcs/META-INF/MANIFEST.MF
	does not contains Permissions
	* tests/reproducers/unsigned/SandboxUnsignedMissing/srcs/SandboxUnsignedMissing.java
	* tests/reproducers/unsigned/SandboxUnsignedMissing/testcases/SandboxUnsignedMissingTest.java
	test cases with permissions in manifest check on
	* tests/reproducers/unsigned/SandboxUnsignedMissing/testcases/SandboxUnsignedMissingTestHighSecurity.java
	test cases with permissions in manifest check on and on high security => interactive tests
	with auto-reply
	* tests/reproducers/unsigned/SandboxUnsignedSandbox/resources/SandboxUnsignedSandbox.html
	* tests/reproducers/unsigned/SandboxUnsignedSandbox/resources/SandboxUnsignedSandbox.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedSandbox/resources/SandboxUnsignedSandbox_applet.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedSandbox/resources/SandboxUnsignedSandbox_applet_security.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedSandbox/resources/SandboxUnsignedSandbox_security.jnlp
	* tests/reproducers/unsigned/SandboxUnsignedSandbox/srcs/META-INF/MANIFEST.MF
	contains Permissions: sandbox
	* tests/reproducers/unsigned/SandboxUnsignedSandbox/srcs/SandboxUnsignedSandbox.java
	* tests/reproducers/unsigned/SandboxUnsignedSandbox/testcases/SandboxUnsignedSandboxTest.java
	* tests/reproducers/cloneReproducer.sh: small fix to support blue/red background for
	unsigned/signed html applets

2015-07-10  Jiri Vanek  <jvanek@redhat.com>

	Added script to clone reproducer skeleton
	* tests/reproducers/cloneReproducer.sh: new file. Helping script which can
	prepare new reproducer from old one by simple copy and sed.

2015-07-10  Jiri Vanek  <jvanek@redhat.com>

	Added tests for signed applet/app using Permission attribute
	* tests/reproducers/signed/SandboxSignedAllPerm/resources/SandboxSignedAllPerm.html
	* tests/reproducers/signed/SandboxSignedAllPerm/resources/SandboxSignedAllPerm.jnlp
	* tests/reproducers/signed/SandboxSignedAllPerm/resources/SandboxSignedAllPerm_applet.jnlp
	* tests/reproducers/signed/SandboxSignedAllPerm/resources/SandboxSignedAllPerm_applet_security.jnlp
	* tests/reproducers/signed/SandboxSignedAllPerm/resources/SandboxSignedAllPerm_security.jnlp
	* tests/reproducers/signed/SandboxSignedAllPerm/srcs/META-INF/MANIFEST.MF
	contains Permissions: all-permissions
	* tests/reproducers/signed/SandboxSignedAllPerm/srcs/SandboxSignedAllPerm.java
	* tests/reproducers/signed/SandboxSignedAllPerm/testcases/SandboxSignedAllPermTest.java
	test cases with permissions in manifest check on
	* tests/reproducers/signed/SandboxSignedInvalid/resources/SandboxSignedInvalid.html
	* tests/reproducers/signed/SandboxSignedInvalid/resources/SandboxSignedInvalid.jnlp
	* tests/reproducers/signed/SandboxSignedInvalid/resources/SandboxSignedInvalid_applet.jnlp
	* tests/reproducers/signed/SandboxSignedInvalid/resources/SandboxSignedInvalid_applet_security.jnlp
	* tests/reproducers/signed/SandboxSignedInvalid/resources/SandboxSignedInvalid_security.jnlp
	* tests/reproducers/signed/SandboxSignedInvalid/srcs/META-INF/MANIFEST.MF
	contains Permissions: invalidValue
	* tests/reproducers/signed/SandboxSignedInvalid/srcs/SandboxSignedInvalid.java
	* tests/reproducers/signed/SandboxSignedInvalid/testcases/SandboxSignedInvalidTest.java
	test cases with permissions in manifest check on
	* tests/reproducers/signed/SandboxSignedMissing/resources/SandboxSignedMissing.html
	* tests/reproducers/signed/SandboxSignedMissing/resources/SandboxSignedMissing.jnlp
	* tests/reproducers/signed/SandboxSignedMissing/resources/SandboxSignedMissing_applet.jnlp
	* tests/reproducers/signed/SandboxSignedMissing/resources/SandboxSignedMissing_applet_security.jnlp
	* tests/reproducers/signed/SandboxSignedMissing/resources/SandboxSignedMissing_security.jnlp
	* tests/reproducers/signed/SandboxSignedMissing/srcs/META-INF/MANIFEST.MF
	does not contains Permissions
	* tests/reproducers/signed/SandboxSignedMissing/srcs/SandboxSignedMissing.java
	* tests/reproducers/signed/SandboxSignedMissing/testcases/SandboxSignedMissingTest.java
	test cases with permissions in manifest check on
	* tests/reproducers/signed/SandboxSignedMissing/testcases/SandboxSignedMissingTestHighSecurity.java
	test cases with permissions in manifest check on and on high security => interactive tests
	with auto-reply
	* tests/reproducers/signed/SandboxSignedSandbox/resources/SandboxSignedSandbox.html
	* tests/reproducers/signed/SandboxSignedSandbox/resources/SandboxSignedSandbox.jnlp
	* tests/reproducers/signed/SandboxSignedSandbox/resources/SandboxSignedSandbox_applet.jnlp
	* tests/reproducers/signed/SandboxSignedSandbox/resources/SandboxSignedSandbox_applet_security.jnlp
	* tests/reproducers/signed/SandboxSignedSandbox/resources/SandboxSignedSandbox_security.jnlp
	* tests/reproducers/signed/SandboxSignedSandbox/srcs/META-INF/MANIFEST.MF
	contains Permissions: sandbox
	* tests/reproducers/signed/SandboxSignedSandbox/srcs/SandboxSignedSandbox.java
	* tests/reproducers/signed/SandboxSignedSandbox/testcases/SandboxSignedSandboxTest.java
	test cases with permissions in manifest check on. Contains two failing tests
	currently itw with sandbox in manifest and jnlp not requesting permissions fails.
	Bug to be fixed

2015-06-25  Jiri Vanek  <jvanek@redhat.com>

	Fixed to short buttons for localized text - RH1231441
	* NEWS: mentioned RH1231441
	* netx/net/sourceforge/jnlp/security/dialogs/AppletWarningPane.java: removed
	set of preferred sizes to minimal size. added debugging main method
	* netx/net/sourceforge/jnlp/security/dialogs/PasswordAuthenticationPane.java
	same
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: removed
	set of preferred sizes to minimal size.
	* netx/net/sourceforge/jnlp/security/dialogs/MissingALACAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/MissingPermissionsAttributePanel.java:
	same

2015-06-20  Jiri Vanek  <jvanek@redhat.com>

	DummyJNLPFileWithJar enhanced to accept urls only, added test to UnsignedAppletTrustConfirmationTest
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
	(updateAppletAction) fixed wrong type, Class<RememberableDialog> become
	 Class<? extends RememberableDialog>
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmationTest.java:
	Added updateAppletActionTest1
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntrySignedMatching.java:
	moved to diamond
	* tests/test-extensions/net/sourceforge/jnlp/mock/DummyJNLPFileWithJar.java:
	constructors hierarchy enhanced to accept also plain URLs as resources.
	They are dummy anyway

2015-06-19  Jiri Vanek  <jvanek@redhat.com>

	Cache reproducer adapted to newest state
	* tests/reproducers/simple/AbsolutePathsAndQueryStrings/resources/AbsolutePathsAndQueryStrings.html:
	used correct query,a s test rely on it
	* tests/reproducers/simple/AbsolutePathsAndQueryStrings/resources/AbsolutePathsAndQueryStrings.jnlp:
	same
	* tests/reproducers/simple/AbsolutePathsAndQueryStrings/testcases/AbsolutePathsAndQueryStrings.java:
	(testCaching) adapted to query in cache and correclty made depndent on
	testAbsolutePathAndQueryStringWebstart


2015-06-19  Jiri Vanek  <jvanek@redhat.com>

	Added experimental usage of headless dialogues to reproducers suite
	* tests/reproducers/signed/RunInSandbox/testcases/RunInSandboxTest.java:
	added four tests popuping and answering headless dialogue
	* tests/test-extensions/net/sourceforge/jnlp/ProcessWrapper.java:
	use diamonds, added methods setWriter alllowing to set StdInWriter of
	ThreadedProcess
	* tests/test-extensions/net/sourceforge/jnlp/ThreadedProcess.java:
	added setWriter method, which allows to set writer to to underlying process
	stdin. (run) if writer is not null, thenstdin writer  thread is started and
	it writes writer to underlying process.

2015-06-19  Jiri Vanek  <jvanek@redhat.com>

	Partially signed reproducer adapted to new schema and enhanced
	* tests/reproducers/signed/RunInSandbox/resources/RunInSandboxApplet.jnlp:
	moved from app to applet
	* tests/reproducers/signed/RunInSandbox/resources/RunInSandboxApplication.jnlp:
	moved from applet to app
	* tests/reproducers/signed/RunInSandbox/srcs/RunInSandbox.java: system exit not
	called in case of applet
	* tests/reproducers/signed/RunInSandbox/testcases/RunInSandboxTest.java: added
	manipulation with certificates to simulate proper environment
	* tests/test-extensions/net/sourceforge/jnlp/ServerAccess.java: fixed small bug
	headless switch now moved to start of argument list, not to the end. Being on end
	was killing -html or -jnlp  arg functionality (arg was -headless then)

2015-06-18  Jiri Vanek  <jvanek@redhat.com>

	JnlpBoot and XBasicService are called with exitOnException true now.
	All other then boolean constructor of Launcher made private. True/False enforced and reconsidered
	* netx/net/sourceforge/jnlp/Launcher.java: All other then boolean constructor
	of Launcher made private.
	* netx/net/sourceforge/jnlp/runtime/JnlpBoot.java: (run) new Launcher called with
	true rather then false
	* netx/net/sourceforge/jnlp/services/XBasicService.java: (lunchUrl) same

2015-06-18  Jiri Vanek  <jvanek@redhat.com>

	All dialogs are able to accept answer from standard input and thus works in headless mode
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: turned headless/logic
	order. Headless is now only hanging output, not behavior.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: Changed KSheadlesWarning
	added HeadlessDialogues AWPstdoutHint1-3 PAPstdinInfo and HDwrongValue keys
	for headless dialogues.
	* netx/net/sourceforge/jnlp/security/KeystorePasswordAttempter.java: headelss
	error changed to stdin reading. Shared code extracted to addPnewPassword
	* netx/net/sourceforge/jnlp/security/SecurityDialog.java: small refactroings
	createTitle, new methods, and one more abstraction upon getPanel
	* netx/net/sourceforge/jnlp/security/SecurityDialogMessageHandler.java: added
	and called processMessageInHeadless
	* netx/net/sourceforge/jnlp/security/dialogresults/AccessWarningPaneComplexReturn.java:
	added method returning string with all possible values
	* netx/net/sourceforge/jnlp/security/dialogresults/NamePassword.java: (readValue)
	got logic
	* netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPane.java: implemented
	readFromStdIn and helpToStdIn
	* netx/net/sourceforge/jnlp/security/dialogs/AppletWarningPane.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/CertsInfoPane.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/MissingALACAttributePanel.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/MissingPermissionsAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/MoreInfoPane.java:	same
	* netx/net/sourceforge/jnlp/security/dialogs/PasswordAuthenticationPane.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/PartiallySignedAppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberDialog.java: logic
	of setOrUpdateRememberedState splited to two methods to allow headless to save
	added
	* netx/net/sourceforge/jnlp/security/dialogs/SecurityDialogPanel.java: written
	default getText method, which creates stdout message from already done gui implementations
	* netx/net/sourceforge/jnlp/util/logging/OutputController.java: added readLine
	method to allow simple reading of standard in
	* tests/netx/unit/net/sourceforge/jnlp/security/SecurityDialogsTest.java:
	become NoStdOutErrTest.	Disabled most partiallYsignedTests. Hard to mock
	certVerifier and securityDelegate
	* tests/test-extensions/net/sourceforge/jnlp/util/logging/NoStdOutErrTest.java:
	enhanced to handle also stdout/err not jsut logger


2015-06-16  Jiri Vanek  <jvanek@redhat.com>

	All headless, xtrustatAll/None, shouldPrompt dialogue decisions moved into shared place
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: (checkTrustWithUser)
	(promptUserOnPartialSigning) calls to trusts removed.
	* netx/net/sourceforge/jnlp/security/SecurityDialog.java: added getDefaultNegativeAnswer
	getDefaultPositiveAnswer stubs to access panel.
	* netx/net/sourceforge/jnlp/security/SecurityDialogMessageHandler.java:
	all trust/shouldPrompt/headless decisions moved to this place. Small modularization done.
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java: all
	trust/shouldPrompt/headless removed
	* netx/net/sourceforge/jnlp/security/VariableX509TrustManager.java: same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPane.java: implemented
	abstract methods of  getDefaultNegativeAnswer getDefaultPositiveAnswer
	* netx/net/sourceforge/jnlp/security/dialogs/AppletWarningPane.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/CertsInfoPane.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/MissingALACAttributePanel.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/MissingPermissionsAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/MoreInfoPane.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/PasswordAuthenticationPane.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/SecurityDialogPanel.java: same
	and added javadoc to htmlWrap
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/PartiallySignedAppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberDialog.java:
	added null check to (findRememberablePanel)
	* tests/netx/unit/net/sourceforge/jnlp/security/SecurityDialogsTest.java:
	heavily adapted (all tests now use fakeQeue). Timeout moved to 10s.


2015-06-16  Jiri Vanek  <jvanek@redhat.com>

	runtime.exec replaced by ProcessBuilder. All waits for proeces amde safe
	* netx/net/sourceforge/jnlp/Launcher.java: runtime.exec replaced by process builder.
	All streams correctly redirected
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: same
	* netx/net/sourceforge/jnlp/StreamEater.java: no longer used, removed
	* netx/net/sourceforge/jnlp/util/StreamUtils.java: Added new utility method
	waitForSafely
	* netx/net/sourceforge/jnlp/controlpanel/JVMPanel.java: now uses waitForSafely
	* netx/net/sourceforge/jnlp/services/XBasicService.java: same
	* netx/net/sourceforge/jnlp/util/logging/UnixSystemLog.java: same
	* tests/test-extensions/net/sourceforge/jnlp/ThreadedProcess.java: same
	* netx/net/sourceforge/jnlp/util/logging/TeeOutputStream.java: cleaned whitespaces


2015-06-16  Jiri Vanek  <jvanek@redhat.com>

	Removed dual panel in panel misleading declaration in AppTrustWarningDialog
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningDialog.java:
	no longer extends SecurityDdialog. Static methods are now only simple factory methods
	creating concrete extensions of AppTrustWarningPanel
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningPanel.java:
	now extends SecurityDialogPanel instead of JPanel. Removed SecurityDialog parent,
	now inherited, added call to super with securityDialog parameter

2015-06-16  Jiri Vanek  <jvanek@redhat.com>

	Removed redeclared line.separator
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEntry.java:
	newline constructed using PlainTextFormatter.getLineSeparator()
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyFileModel.java:
	same for append call
	* net/sourceforge/jnlp/util/logging/TeeOutputStream.java:
	same for lineSeparator
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyEditorParsingTest.java:
	same for LINEBREAK
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/PlainTextFormatter.java:
	constant of LINE_SEPARATOR removed, (getLineSeparator) now returns line.separator
	property, obtained via doPrivlidged block. (getNewLine) adapted

2015-06-16  Jiri Vanek  <jvanek@redhat.com>

	Improved security package javadoc description
	* netx/net/sourceforge/jnlp/security/package-info.java: fixed linguistic
	issues in graph, added title, added description of implementing RememberableDialog

2015-06-12  Jiri Vanek  <jvanek@redhat.com>

	Updated NEWS, added javadoc fo security package. Added changelog entry for last commit
	* NEWS: mentioned major work in last month and half
	* netx/net/sourceforge/jnlp/security/package-info.java: new file, describing
	flow of SecurityDialogMessage
	* ChangeLog: added content to previous item

2015-06-12  Jiri Vanek  <jvanek@redhat.com>

	Implemented general solution for remembering of various dialogues
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletActionTableModel.java:
	removed columns for separate remember actions. Replaced by single column with all
	remembered actions.
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletsTrustingListPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageExtendedImpl.java:
	same
	* netx/net/sourceforge/jnlp/resources/Messages.properties: removed
	APPEXTSECunsetAppletAction, APPEXTSECguiTableModelTableColumnActionUA,
	APPEXTSECguiTableModelTableColumnActionMatchALACA
	added APPEXTSECguiTableModelTableColumnRD
	* netx/net/sourceforge/jnlp/runtime/ApplicationInstance.java: added null check
	for ics
	* netx/net/sourceforge/jnlp/security/SecurityDialogMessageHandler.java: removed
	final keyword from class definition. Extension is necessary for testing.
	(handleMessage) made protected and added logic for remembering actions.
	Unlocking of message moved to unlockMessagesClient method.
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java: (showPartiallySignedWarningDialog)
	moved to return YesNoSandbox
	* netx/net/sourceforge/jnlp/security/VariableX509TrustManager.java: same in
	(doPrivileged)
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletActionEntry.java:
	adapted imports
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletActionStorage.java:
	All usages of id retyped from int to Class extends RememberableDialog
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageImpl.java:
	same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
	Class rewritten to handle new saving/loading schema. Support for legacy structure kept.
	* netx/net/sourceforge/jnlp/security/dialogresults/AccessWarningPaneComplexReturn.java:
	adapted to be able to read various malformed shortcut definitions. Removed RemeberType
	* netx/net/sourceforge/jnlp/security/dialogresults/BasicDialogValue.java:
	added various equals and hashcode methods.
	* netx/net/sourceforge/jnlp/security/dialogresults/Yes.java:
	made extendable, added toString
	* netx/net/sourceforge/jnlp/security/dialogresults/YesCancel.java:
	extends Yes
	* netx/net/sourceforge/jnlp/security/dialogresults/YesNo.java:
	extends Yes
	* netx/net/sourceforge/jnlp/security/dialogresults/YesNoCancel.java:
	extends YesNo
	* netx/net/sourceforge/jnlp/security/dialogresults/YesNoSandbox.java:
	extends YesNo
	* netx/net/sourceforge/jnlp/security/dialogresults/YesNoSandboxLimited.java:
	New class. Extends YesNoSandbox, but accept only YesNo by default. Used in
	AppTrustWarningPanel, which by default accept only YES and NO, but is extended
	by PartiallySignedAppTrustWarningPanel, which add also SANDBOX.
	* netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPane.java:
	implements RememberableDialog, removed RemeberType usage
	* netx/net/sourceforge/jnlp/security/dialogs/MissingALACAttributePanel.java:
	implements RememberableDialog
	* netx/net/sourceforge/jnlp/security/dialogs/MissingPermissionsAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/MatchingALACAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/PartiallySignedAppTrustWarningPanel.java:
	uses class instead of id in additional info obtaining methods.
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/UnsignedAppletTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/remember/ActionChoiceListener.java:
	removed,useless
	* netx/net/sourceforge/jnlp/security/dialogs/remember/AppSigningWarningAction.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/remember/AppletSecurityActions.java:
	Class rewritten to handle new saving/loading schema. Support for legacy structure kept.
	* netx/net/sourceforge/jnlp/security/dialogs/remember/ExecuteAppletAction.java:
	removed Sandbox and Unset support.
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RemeberActionProvider.java:
	new file, general interface to provide values for remembering/
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberDialog.java:
	new file for general utility methods for remembering logic.
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberPanel.java:
	cleaned from legacy code
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberPanelResult.java:
	new file. Keeper of remembered information.
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberableDialog.java:
	interface identifying rememberable panels.
	* netx/net/sourceforge/jnlp/security/dialogs/remember/SavedRememberAction.java:
	new class. Wrapper around remembered value and remembered decision.
	* netx/net/sourceforge/jnlp/services/ServiceUtil.java:
	adapted call to showAccessWarningDialog
	* tests/netx/unit/net/sourceforge/jnlp/security/SecurityDialogsTest.java:
	Added tests for saved actions, adapted old tests
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/impl/LegacyUnsignedAppletActionStorageImplTest.java:
	copy of original UnsignedAppletActionStorageImplTest
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageImplTest.java:
	new file, tests for parser of new schema
	* tests/netx/unit/net/sourceforge/jnlp/security/dialogs/remember/AppletSecurityActionsTest.java:
	adapted to new methods.
	* tests/netx/unit/net/sourceforge/jnlp/util/XDesktopEntryTest.java: adapted


2015-06-11  Jiri Vanek  <jvanek@redhat.com>

	AppletSecurityActions, ExecuteAppletAction, AppletSecurityActionsTest moved to remember package
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletActionTableModel.java:
	adapted imports
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletsTrustingListPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java:
	same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
	same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageExtendedImpl.java:
	same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageImpl.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/MatchingALACAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/PartiallySignedAppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/UnsignedAppletTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/remember/AppSigningWarningAction.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberPanel.java
	same
	* tests/netx/unit/net/sourceforge/jnlp/security/SecurityDialogsTest.java
	same
	* netx/net/sourceforge/jnlp/security/SecurityDialog.java: (getPanel) extracted
	from (installPanel). It now throws exception if panel is about to be null.
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletActionEntry.java:
	used diamond
	* net/sourceforge/jnlp/security/appletextendedsecurity/AppletSecurityActions.java:
	moved to
	* netx/net/sourceforge/jnlp/security/dialogs/remember/AppletSecurityActions.java:
	here
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/ExecuteAppletAction.java:
	moved to
	* netx/net/sourceforge/jnlp/security/dialogs/remember/ExecuteAppletAction.java:
	here
	* tests/netx/unit/net/sourceforge/jnlp/security/appletextendedsecurity/AppletSecurityActionsTest.java:
	moved to
	* tests/netx/unit/net/sourceforge/jnlp/security/dialogs/remember/AppletSecurityActionsTest.java:
	here
2015-06-11  Jiri Vanek  <jvanek@redhat.com>

	make jnlpfile nearly mandatory argument of message and adapt various re-declarations accordingly
	* netx/net/sourceforge/jnlp/runtime/ManifestAttributesChecker.java: adapted to new api
	* netx/net/sourceforge/jnlp/security/SecurityDialog.java: all (SecurityDialog) made private
	(getPanel) adapted to new apis
	* netx/net/sourceforge/jnlp/security/SecurityDialogMessage.java: file made final
	and only default constructor is the one with file.
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java: All constructions
	of SecurityDialogMessage adapted to new constructor. All sets, where information from
	file were dulicated, replaced by calls to file
	* tests/netx/unit/net/sourceforge/jnlp/security/SecurityDialogsTest.java:
	showMissingPermissionsAttributeDialogue's constructor adapted.

2015-06-10  Jiri Vanek  <jvanek@redhat.com>

	Security dialogs got, moreover, unified dealing with trustNone/All and headless
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: setTrustAll setTrustNone
	made public so it can be used in testing.
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java: all calls to show
	security dialog now have correct introduction based on shouldPromptUser with
	resolution based on trustAll. (shouldPromptUser) now takes also headless to
	accounting.
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
	(checkUnsignedWithUserIfRequired) now react trustAll and trustNone
	(checkPartiallySignedWithUserIfRequired) now react also trustAll
	* tests/netx/unit/net/sourceforge/jnlp/security/SecurityDialogsTest.java: new
	file, tests verifying adapted logic

2015-06-10  Jiri Vanek  <jvanek@redhat.com>

	* tests/netx/unit/net/sourceforge/jnlp/security/dialogresults/YesTest.java:
	fixed yesReadOk tests, which accidentally expected exception, but should not.

2015-06-09  Jiri Vanek  <jvanek@redhat.com>

	Fixed issue, when desktop/menu shortcut created during -html mode, was not created like it
	* netx/net/sourceforge/jnlp/runtime/Boot.java: setHtml(true) used when
	command line contains html switch
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: added html field and setter and getter
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: (getContentsAsReader) now
	add -html if jnlpruntime.isHtml. Partially reworked logging of this method.
	* tests/netx/unit/net/sourceforge/jnlp/util/XDesktopEntryTest.java: added tests for new
	functionality
	* Changelog: occurence of tab asterix slash replaced by tab asterix space in file
	declarations

2015-06-09  Jiri Vanek  <jvanek@redhat.com>

	Fixed bug when generated desktop icon was not matched and user was asked for recreation
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: (getShortcutTmpFile)
	(getLinuxDesktopIconFile) (getLinuxMenuIconFile) now generate file name by
	same way. By new method getDesktopIconFileName which is using sanitizing
	getDesktopIconName.

2015-06-01  Jiri Vanek  <jvanek@redhat.com>

	SecurityDialog return type changed from Object (mostly int) to regular type
	* netx/net/sourceforge/jnlp/runtime/ApplicationInstance.java: removed handling
	of integer results/inputs
	* netx/net/sourceforge/jnlp/security/JNLPAppVerifier.java: AppletAction usage
	replaced by YesNoSandbox
	* netx/net/sourceforge/jnlp/security/PluginAppVerifier.java: same
	* netx/net/sourceforge/jnlp/security/JNLPAuthenticator.java: usages of Object[]
	replaced by regular type
	* netx/net/sourceforge/jnlp/security/SecurityDialog.java: value changed from
	Object to DialogResult
	* netx/net/sourceforge/jnlp/security/SecurityDialogMessage.java: same for
	userResponse, class made public
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java: removed redundant
	AppletAction and all to/from int/boolean conversion methods. All Object returns
	repalced by proper class/interface. Removed redundant showAppletWarning
	* netx/net/sourceforge/jnlp/security/VariableX509TrustManager.java: adapted
	to removed AppletAction and new BasicDialogValue
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/impl/UnsignedAppletActionStorageExtendedImpl.java:
	added override annotations.
	* netx/net/sourceforge/jnlp/security/dialogresults/AccessWarningPaneComplexReturn.java:
	class extracted from netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPaneComplexReturn.java
	Made to implement DialogResult
	* netx/net/sourceforge/jnlp/security/dialogresults/BasicDialogValue.java:
	New class, which  keeps together main utility methods and base classes of
	dialog return.
	* netx/net/sourceforge/jnlp/security/dialogresults/DialogResult.java:
	new class, main interface of SecurityDialog return.
	* netx/net/sourceforge/jnlp/security/dialogresults/NamePassword.java:
	Implementation of SecurityDialog for dialog asking for username and password.
	* netx/net/sourceforge/jnlp/security/dialogresults/SetValueHandler.java:
	extracted from SecurityDialogPanel. Have DialogResult instead of Object.
	It is base implementation of any click to button.
	* netx/net/sourceforge/jnlp/security/dialogresults/Yes.java:
	Wrapper for return from dialog, which can return only and only yes.
	* netx/net/sourceforge/jnlp/security/dialogresults/YesCancel.java:
	Wrapper for return from dialog, which can return only and only yes or cancel
	* netx/net/sourceforge/jnlp/security/dialogresults/YesNo.java:
	Wrapper for return from dialog, which can return only and only yes or no
	* netx/net/sourceforge/jnlp/security/dialogresults/YesNoCancel.java:
	Wrapper for return from dialog, which can return only and only yes, no or cancel
	* netx/net/sourceforge/jnlp/security/dialogresults/YesNoSandbox.java:
	Wrapper for return from dialog, which can return only and only yes, no or sandbox
	* netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPane.java: get rid of
	int buttons, replaced by YesNo.
	* netx/net/sourceforge/jnlp/security/dialogs/AppletWarningPane.java: get rid of
	int buttons, replaced by YesNoCancel.
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: get rid of
	int buttons, replaced by YesNoSadnbox
	* netx/net/sourceforge/jnlp/security/dialogs/CertsInfoPane.java: get rid of
	int buttons, replaced by Yes.
	* netx/net/sourceforge/jnlp/security/dialogs/MoreInfoPane.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/MissingALACAttributePanel.java:
	get rid of int buttons, replaced by YesNo.
	* netx/net/sourceforge/jnlp/security/dialogs/MissingPermissionsAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/PasswordAuthenticationPane.java:
	get rid of Object[] return, replaced by NamePassword.
	* netx/net/sourceforge/jnlp/security/dialogs/SecurityDialogPanel.java: get rid
	of inner SetValueHandler
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberPanel.java: included
	wrappers, which allows compilation and pass tests. Must be fixed in next changesets.
	* netx/net/sourceforge/jnlp/services/ServiceUtil.java: adapted to DialogResult
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: changed import
	* tests/netx/unit/net/sourceforge/jnlp/security/SecurityDialogsTest.java:
	removed. Tests were checking int conversions from legacy model.
	* tests/netx/unit/net/sourceforge/jnlp/security/dialogresults/AccessWarningPaneComplexReturnTest.java:
	new tests for new class
	* tests/netx/unit/net/sourceforge/jnlp/security/dialogresults/YesCancelTest.java:
	same
	* tests/netx/unit/net/sourceforge/jnlp/security/dialogresults/YesNoCancelTest.java:
	same
	* tests/netx/unit/net/sourceforge/jnlp/security/dialogresults/YesNoSandboxTest.java:
	same
	* tests/netx/unit/net/sourceforge/jnlp/security/dialogresults/YesNoTestTest.java:
	same
	* tests/netx/unit/net/sourceforge/jnlp/security/dialogresults/YesTest.java:
	same

2015-06-01  Jiri Vanek  <jvanek@redhat.com>

	Remember panel extracted so it can be reused
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java: now correctly behaves on Xtrustall
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/UnsignedAppletTrustConfirmation.java:
	result is using diamond
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningDialog.java:
	Simplified constructors, getting dialogue and jnlpfile is all they need
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningPanel.java:
	extracted remember panel and related stuff. Made to use extracted one
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/MatchingALACAttributePanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/PartiallySignedAppTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/UnsignedAppletTrustWarningPanel.java:
	same
	* netx/net/sourceforge/jnlp/security/dialogs/remember/ActionChoiceListener.java:
	new class. Extracted stuff from AppTrustWarningPanel
	* netx/net/sourceforge/jnlp/security/dialogs/remember/AppSigningWarningAction.java:
	new class. Extracted stuff from AppTrustWarningPanel
	* netx/net/sourceforge/jnlp/security/dialogs/remember/RememberPanel.java:
	new class. Extracted stuff from AppTrustWarningPanel
	* tests/netx/unit/net/sourceforge/jnlp/security/dialogs/apptrustwarningpanel/AppTrustWarningPanelTest.java:
	minor, adapted to match current codebase

2015-05-27  Jiri Vanek  <jvanek@redhat.com>

	Improved caching of files obtained via query
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: now consider also query(if any)
	when creating file-name for item to be cached
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheUtilTest.java: fixed old
	tests due to change and added two new tests to test change.
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceDownloaderTest.java:
	removed unused import.

2015-05-22  Jiri Vanek  <jvanek@redhat.com>

	Comments in deployment.properties now persists saving via itweb-settings
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: (loadComments)
	new method. Saves every line starting with # char except date and
	DEPLOYMENT_COMMENT. (load) This method is called before every load, and read lines
	are stored. (save) Saved comments are inserted to other comments before call to
	store.
	* tests/netx/unit/net/sourceforge/jnlp/PluginBridgeTest.java: (countOccurences)
	made public so it can be reused
	* tests/netx/unit/net/sourceforge/jnlp/config/DeploymentConfigurationTest.java:
	added tests to verify preserving of comments and non-multiplying date and
	DEPLOYMENT_COMMENT

2015-05-22  Jiri Vanek  <jvanek@redhat.com>

	Removed garbage from htmls' width and height
	* netx/net/sourceforge/jnlp/runtime/html/AppletParser.java: new method
	(sanitizeSize) which remove all non digit content from string
	* tests/netx/unit/net/sourceforge/jnlp/runtime/html/AppletParserTest.java:
	new file, test for (sanitizeSize)

2015-04-30  Jie Kang  <jkang@redhat.com>

	Fix policyeditor file flag to work when used standalone
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java:
	(main): filepath no longer set to null when file flag has parameter and
	there is no main argument

2015-04-28  Jiri Vanek  <jvanek@redhat.com>

	Fixed incorrect usage of apostrophes in intro generation
	* Makefile.am: (stamps/generate-docs.stamp) fixed redundant false in version
	appearing in doc intro

2015-04-28  Jiri Vanek  <jvanek@redhat.com>

	1.6 post-branch operations
	* configure.ac: bumped (AC_INIT) to 1.7pre
	* NEWS: Added 1.7 section, Bumped date of 1.6 release to 2015

2015-04-28  Jiri Vanek  <jvanek@redhat.com>

	* README: updated to match current state.

2015-04-28  Jiri Vanek  <jvanek@redhat.com>

	Improved JDK9 detection
	* acinclude.m4: (IT_CHECK_FOR_JDK) if found jdk is link, then it is printed
	out also as resolved. (IT_CHECK_FOR_JRE) same, plus except classical JDK/jre
	verification, also modular JRE is checked.

2015-04-27  Lukasz Dracz  <ldracz@redhat.com>

	Removed Executable Permissions from bash completion
	* icedteaweb-completion

2015-04-24  Jiri Vanek  <jvanek@redhat.com>

	Fixed resource test to pass for CZ localization
	* tests/netx/unit/net/sourceforge/jnlp/resources/MessagesPropertiesTest.java:
	added four more items to whitelist.

2015-04-24  Alexandr Kolouch  <skolnag@gmail.com>

	Added Czech translation for 1.6.
	* netx/net/sourceforge/jnlp/resources/Messages_cs.propertie: added missing
	properties, adapted changed ones.

2015-04-24  Jiri Vanek  <jvanek@redhat.com>

	Messages from TextsProvider moved to properties
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added family ITWTB
	with fourproeprties.
	* netx/net/sourceforge/jnlp/util/docprovider/TextsProvider.java: is now using
	those properties instead of hardcoded values
	* netx/net/sourceforge/jnlp/util/docprovider/ItwebSettingsTextsProvider.java:
	* netx/net/sourceforge/jnlp/util/docprovider/PolicyEditorTextsProvider.java:
	now includes getFilesAppendix in (getFiles)

2015-04-24  Alexandr Kolouch  <skolnag@gmail.com>

	* netx/net/sourceforge/jnlp/resources/Messages.properties: various improvements
	to default set.

2015-04-23  Jiri Vanek  <jvanek@redhat.com>

	* tests/reproducers/custom/PartiallySignedAppletManifestSpecifiesSandbox/testcases/PartiallySignedAppletManifestSpecifiesSandboxTests.java:
	used new MultipleDeploymentPropertiesModifier
	* tests/test-extensions-tests/net/sourceforge/jnlp/tools/DeploymentPropertiesModifierTest.java:
	add new inner class, MultipleDeploymentPropertiesModifier able to gather and apply/revert in bulk
	normal DeploymentPropertiesModifier
	* tests/test-extensions/net/sourceforge/jnlp/tools/DeploymentPropertiesModifier.java:
	Added testMultipleDeploymentPropertiesModifier, test to new MultipleDeploymentPropertiesModifier
	class

2015-04-23  Jiri Vanek  <jvanek@redhat.com>

	* javac.in: removed. Its usage gone out with removal of bootstrap.
	* configure.ac: removed dependence on it

2015-04-23  Jiri Vanek  <jvanek@redhat.com>

	Fixed loading of deployment.properties during 1.4 migration to 1.5 fs.
	* netx/net/sourceforge/jnlp/config/Defaults.java: hardcoded value of ALL fixed
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: reused
	first line of transfer moved to (TRANSFER_TITLE). Added possibility to specify
	destination of source file. (move14AndOlderFilesTo15Structure) order of moving
	files reorder, so deployment.properties go first and sensitive files after, setupable
	files first. Used getDefaultFullPAth insted of getFullPath where suitable (everywhere in this method)
	* netx/net/sourceforge/jnlp/config/PathsAndFiles.java: encapsulated security string,
	generalized getAllFiles,a dd getAllSwcurityFiles
	* netx/net/sourceforge/jnlp/controlpanel/ControlPanel.java: Removed redundant
	calls to DeplymentConfiguration. Used PathsAndFiles rather.
	* netx/net/sourceforge/jnlp/controlpanel/UnsignedAppletsTrustingListPanel.java: same
	* netx/net/sourceforge/jnlp/security/appletextendedsecurity/AppletStartupSecuritySettings.java:
	* tests/reproducers/simple/simpletest1/testcases/XDGspecificationTests.java:
	(fakeExtendedSecurity) adapted to new deployment.manifest.attributes.check schema

2015-04-20  Lukasz Dracz  <ldracz@redhat.com>

	Add Tab Completion for icedtea-web
	* Makefile.am:
	Added to tarball generated
	* icedteaweb-completion:
	Added bash completion file

2015-04-20  Lukasz Dracz  <ldracz@redhat.com>

	add Boolean Cast for JarCertVerifier
	* netx/net/sourceforge/jnlp/tools/JarCertVerifier.java:
	Added a Boolean cast that was needed for Java 7 to work

2015-04-20  Jiri Vanek  <jvanek@redhat.com>

	Added support for jdk7 and javafx
	* launcher/launchers.in: noted lib/jfxrt.jar

2015-04-15  Jiri Vanek  <jvanek@redhat.com>

	Fixed javadoc warnings and errors to pass doclint
	* /netx: nearly all files in main package get rid of doclint errors

2015-04-15  Jiri Vanek  <jvanek@redhat.com>

	jnlp-signing mechanism now uses general parser (and so also tagsoup if enabled)
	* netx/net/sourceforge/jnlp/JNLPMatcher.java: removed redundant code to laod xmls
	and used Parser.getRootNode rather. Added same brackets to if statements. Added
	parameter of ParserSettings to
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: same.
	* tests/netx/unit/net/sourceforge/jnlp/JNLPMatcherTest.java: refactored to
	autoclseable and to never use tagsoup.
	* tests/netx/unit/net/sourceforge/jnlp/JNLPMatcherTestMallformedAllowed.java:
	new file, copy of JNLPMatcherTest. But always using tagsoup (if available)

2015-04-15  Jiri Vanek  <jvanek@redhat.com>

	KeystorePasswordAttempter moved to outer class. Added comments and prevention
	about possible null password writing to keystore.  KeystorePasswordAttempter
	made much more object-like.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added KSresultUntilNow
	KSinvalidPassword KSheadlesWarning KSnwPassHelp keys for keystore prompt
	* netx/net/sourceforge/jnlp/security/KeyStores.java: operation on keystores
	moved from stream to file
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: same +
	removal of unused fields and imports
	* netx/net/sourceforge/jnlp/security/viewer/CertificatePane.java: same
	* netx/net/sourceforge/jnlp/security/SecurityUtil.java: same. Also get rid
	of default password - moved to KeystorePasswordAttempter. (initKeyManagerFactory)
	(setKeyEntry) (getKey) (loadKeyStore) (storeKeyStore) moved from enum and switch to
	runnable like approach.
	* netx/net/sourceforge/jnlp/security/KeystorePasswordAttempter.java: moved from inner

2015-04-15  Jiri Vanek  <jvanek@redhat.com>

	User is now prompted on unknown password to keystore
	* netx/net/sourceforge/jnlp/security/KeyStores.java: Operations above keystores
	moved to calls to SecurityUtil.storeKeyStore/loadKeyStore
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: same
	* netx/net/sourceforge/jnlp/security/viewer/CertificatePane.java: same
	* netx/net/sourceforge/jnlp/security/SecurityUtil.java: (initKeyManagerFactory)
	(setKeyEntry) (getKey) (loadKeyStore) (setKeyEntry/storeKeyStore) refactored
	to use unified call to unlockKeystore. Added inner class KeystorePasswordAttempter
	which is responsible for attempting several passwords and to ask user if fail.

2015-04-13  Jie Kang  <jkang@redhat.com>

	Increase server timeout for remote reproducers
	* tests/reproducers/custom/remote/testcases/RemoteApplicationTests.java:
	Timeout changed to 20s instead of default 10s

2015-04-13  Jie Kang  <jkang@redhat.com>

	Kill processes in Integration Tests more cleanly; revised
    * Makefile.am:
    remove all instances of softkiller (softkiller no longer works)
	* tests/test-extensions/net/sourceforge/jnlp/ProcessAssasin.java:
	use SIGTERM instead of SIGINT, don't destroy process after sending signal
	* tests/test-extensions/net/sourceforge/jnlp/ServerAccess.java:
	reduce timeout from 20 seconds to 10
	* tests/test-extensions/net/sourceforge/jnlp/browsertesting/browsers/Firefox.java:
	remove usage of softkiller to close tabs
    * tests/softkiller/Makefile:
    * tests/softkiller/softkiller.c:
    remove softkiller

2015-04-13  Jie Kang  <jkang@redhat.com>

	Add reproducers for jnlp_href attribute
	* tests/reproducers/simple/JnlpHrefAttribute/resources/JnlpHrefAttribute.html:
	* tests/reproducers/simple/JnlpHrefAttribute/resources/JnlpHrefAttribute.jnlp:
	* tests/reproducers/simple/JnlpHrefAttribute/srcs/JnlpHrefAttribute.java:
	* tests/reproducers/simple/JnlpHrefAttribute/testcases/JnlpHrefAttributeTest.java:
	Added test for firefox/opera that succeeds with attribute and test for
	midori/epiphany that fails with attribute

2015-04-13  Jiri Vanek  <jvanek@redhat.com>

	set single place for keystore operations
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: usage of keystore moved
	to utility method
	* netx/net/sourceforge/jnlp/security/CertificateUtils.java: same
	* netx/net/sourceforge/jnlp/security/KeyStores.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: same
	* netx/net/sourceforge/jnlp/security/viewer/CertificatePane.java: same
	* netx/net/sourceforge/jnlp/security/SecurityUtil.java: added five new methods
	wrapping work on keystores

2015-04-13  Jiri Vanek  <jvanek@redhat.com>

	Removed redundant occurrence of default keystore password
	* netx/net/sourceforge/jnlp/security/KeyStores.java: removed redundant DEFAULT_PASSWORD
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: call to KeyStores.getPassword
 	replaced by SecurityUtil.getTrustedCertsPassword
	* netx/net/sourceforge/jnlp/security/CertificateUtils.java: same
	* netx/net/sourceforge/jnlp/security/SecurityUtil.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: same
	* netx/net/sourceforge/jnlp/security/viewer/CertificatePane.java: same

2015-04-13  Jiri Vanek  <jvanek@redhat.com>

	reverted "Kill processes in Integration Tests more cleanly"
	It needs to be revisited.

2015-04-10  Lukasz Dracz  <ldracz@redhat.com>

	add DeploymentPropertiesModifierTests
	* tests/reproducers/custom/PartiallySignedAppletManifestSpecifiesSandbox/testcases/PartiallySignedAppletManifestSpecifiesSandboxTests.java:
	Changed spelling of DeploymentPropertiesModifier
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntrySignedMatching.java
	Changed spelling of DeploymentPropertiesModifier
	* tests/reproducers/signed/SignedAppletManifestSpecifiesSandbox/testcases/SignedAppletManifestSpecifiesSandboxTests.java
	Changed spelling of DeploymentPropertiesModifier
	* tests/test-extensions-tests/net/sourceforge/jnlp/tools/DeploymentPropertiesModifierTest.java:
	Added tests for DeploymentPropertiesModifier
	* tests/test-extensions/net/sourceforge/jnlp/tools/DeploymentPropertiesModifier.java:
	added proper spelling of this file
	* tests/test-extensions/net/sourceforge/jnlp/tools/DeploymentPropetiesModifier.java:
	removed due to spelling error and added proper spelling of the same file

2015-04-10  Jie Kang  <jkang@redhat.com>
	Kill processes in Integration Tests more cleanly
	* tests/test-extensions/net/sourceforge/jnlp/ProcessAssasin.java:
	use SIGUSR1 instead of SIGINT, don't destroy process after sending signal
	* tests/test-extensions/net/sourceforge/jnlp/ServerAccess.java:
	reduce timeout from 20 seconds to 10
	* tests/test-extensions/net/sourceforge/jnlp/browsertesting/browsers/Firefox.java:
	remove usage of softkiller to close tabs (softkiller no longer works)

2015-04-10  Jiri Vanek  <jvanek@redhat.com>

	ok/apply/cancel mechanism in itweb-settings fixed to work again. Added rest button for cache path.
	* netx/net/sourceforge/jnlp/config/InfrastructureFileDescriptor.java: added
	setValue and getFullPaths  overloads with DeploymentConfiguration param to
	allow itweb-settings work with two copies of properties.
	* netx/net/sourceforge/jnlp/controlpanel/CachePane.java: returned config.
	Calls to PathsAndFiles made with this config.
	* netx/net/sourceforge/jnlp/controlpanel/CacheViewer.java: same
	* netx/net/sourceforge/jnlp/controlpanel/ControlPanel.java: same
	* netx/net/sourceforge/jnlp/controlpanel/PolicyPanel.java: same
	* netx/net/sourceforge/jnlp/controlpanel/DebuggingPanel.java: Calls to
	PathsAndFiles made with config.
	* netx/net/sourceforge/jnlp/controlpanel/TemporaryInternetFilesPanel.java: usableDiskSpace
	removed, and replaced by dynamic getter to react on change of cache dir.
	Added button resting cache to default.

2015-04-10  Jiri Vanek  <jvanek@redhat.com>

	Cache now uses PathsAndFiles instances instead of various duplicates
	* netx/net/sourceforge/jnlp/cache/CacheLRUWrapper.java: using InfrastructureFileDescriptor
	instead of copied Files. Same with recentlyUsedPropertiesFile. Both made final private
	and accessible only via getter. (getRecentlyUsedPropertiesFile) redesigned, to use cached
	PropertiesFile. If underlying InfrastructureFileDescriptor changes, the cached
	PropertiesFile is closed and new created and returned.
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: Are using getters from
	CacheLRUWrapper singleton to atomic approach. Not storing those values anymore.
	* netx/net/sourceforge/jnlp/config/InfrastructureFileDescriptor.java: Moved out
	from inner class in PathsAndFiles
	* netx/net/sourceforge/jnlp/config/PathsAndFiles.java:Lost InfrastructureFileDescriptor
	in favour of outer one.
	* netx/net/sourceforge/jnlp/controlpanel/AdvancedProxySettingsDialog.java: config
	made final
	* netx/net/sourceforge/jnlp/controlpanel/AdvancedProxySettingsPane.java: same
	* netx/net/sourceforge/jnlp/controlpanel/DesktopShortcutPanel.java: same
	* netx/net/sourceforge/jnlp/controlpanel/JVMPanel.java: same
	* netx/net/sourceforge/jnlp/controlpanel/SecuritySettingsPanel.java: same
	* netx/net/sourceforge/jnlp/controlpanel/CacheViewer.java: removed config
	* netx/net/sourceforge/jnlp/controlpanel/TemporaryInternetFilesPanel.java: adapted to above
	* netx/net/sourceforge/jnlp/runtime/JNLPProxySelector.java: moved to diamond
	* netx/net/sourceforge/jnlp/security/KeyStores.java: adapted to InfrastructureFileDescriptor
	* netx/net/sourceforge/jnlp/util/docprovider/ItwebSettingsTextsProvider.java: same
	* netx/net/sourceforge/jnlp/util/docprovider/TextsProvider.java: same
	* sun/applet/PluginProxySelector.java: same
	* tests/netx/unit/net/sourceforge/jnlp/security/KeyStoresTest.java: same
	* tests/test-extensions/net/sourceforge/jnlp/tools/DeploymentPropetiesModifier.java:
	same
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheLRUWrapperTest.java: is now
	using dummy InfrastructureFileDescriptor to allow fake CacheLRUWrapper tests
	* tests/netx/unit/net/sourceforge/jnlp/controlpanel/CommandLineTest.java: small
	fixes to unclear strings

2015-04-09  Lukasz Dracz  <ldracz@redhat.com>

	fix lines displayed in javaws help
	* netx/net/sourceforge/jnlp/resources/Messages.properties:
	(JWSoptionsL1): modified
	(JWSoptionsL3): added
	* netx/net/sourceforge/jnlp/util/docprovider/JavaWsTextsProvider.java:
	added a third line for javaws help

2015-04-03  Lukasz Dracz  <ldracz@redhat.com>

	Added tool for manipulating deployment-properties during tests run
	* tests/reproducers/custom/PartiallySignedAppletManifestSpecifiesSandbox/testcases/PartiallySignedAppletManifestSpecifiesSandboxTests.java:
	is now using DeploymentPropetiesModifier
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntrySignedMatching.java:
	same
	* tests/reproducers/signed/SignedAppletManifestSpecifiesSandbox/testcases/SignedAppletManifestSpecifiesSandboxTests.java:
	same
	* tests/test-extensions/net/sourceforge/jnlp/tools/DeploymentPropetiesModifier.java:
	new tool to manipulate deployment properties in runtime.

2015-04-02  Jiri Vanek  <jvanek@redhat.com>

	InfrastructureFileDescriptor got setter
	* netx/net/sourceforge/jnlp/cache/CacheLRUWrapper.java: minor formatting
	* netx/net/sourceforge/jnlp/config/PathsAndFiles.java: all getFullPath replaced by
	getPropertiesKey, and instead of config, value, returns key. Added setValue,
	solution. Adapted getFullPath. (gcpd) removed. (getDir) removed - is now
	confusing.
	* netx/net/sourceforge/jnlp/controlpanel/DebuggingPanel.java: setter into
	property KEY_USER_LOG_DIR replaced by setter into LOG_DIR.
	* netx/net/sourceforge/jnlp/controlpanel/TemporaryInternetFilesPanel.java:
	same for KEY_USER_CACHE_DIR -> CACHE_DIR
	* netx/net/sourceforge/jnlp/util/docprovider/ItwebPluginTextProvider.java:
	All browser directories adapted to missing getDir.
	* tests/netx/unit/net/sourceforge/jnlp/PluginBridgeTest.java:
	KEY_USER_CACHE_DIR -> CACHE_DIR
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceDownloaderTest.java:
	KEY_USER_CACHE_DIR -> CACHE_DIR
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceTrackerTest.java:
	KEY_USER_CACHE_DIR -> CACHE_DIR

2015-04-02  Jiri Vanek  <jvanek@redhat.com>

	All reading from file properties replaced by getter from PathsAndFiles
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: read from KEY_USER_NETX_RUNNING_FILE
	property replaced by get from MAIN_LOCK.
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: similarly for
	KEY_USER_PERSISTENCE_CACHE_DIR -> PCACHE_DIR and KEY_USER_LOG_DIR -> LOG_DIR
	and KEY_USER_TMP_DIR -> TMP_DIR
	* netx/net/sourceforge/jnlp/config/PathsAndFiles.java: added overrides of getFullPath
	to  RECENTLY_USED_FILE, SYS_CER and all USER keystores. All fields in InfrastructureFileDescriptor
	made private final, and reasonable ones got protected setters.
	* netx/net/sourceforge/jnlp/controlpanel/CachePane.java: KEY_USER_CACHE_DIR ->
	CACHE_DIR, KEY_USER_NETX_RUNNING_FILE -> MAIN_LOCK. Config param removed.
	* netx/net/sourceforge/jnlp/controlpanel/CacheViewer.java: adapted to
	configless constructor
	* netx/net/sourceforge/jnlp/controlpanel/ControlPanel.java: same
	* netx/net/sourceforge/jnlp/controlpanel/PolicyPanel.java: same
	* netx/net/sourceforge/jnlp/controlpanel/DebuggingPanel.java: KEY_USER_LOG_DIR
	-> LOG_DIR, config made final.
	* netx/net/sourceforge/jnlp/controlpanel/TemporaryInternetFilesPanel.java:
	removed redundant boxing, KEY_USER_CACHE_DIR -> CACHE_DIR
	* netx/net/sourceforge/jnlp/runtime/JNLPPolicy.java: KEY_USER_SECURITY_POLICY
	-> JAVA_POLICY. getPolicyFromConfig splited into  getPolicyFromConfig and
	getPolicyFromUrl
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: read from KEY_USER_NETX_RUNNING_FILE
	property replaced by get from MAIN_LOCK.
	* netx/net/sourceforge/jnlp/security/KeyStores.java: removed config field and its filling.
	(getKeyStoreLocation) all keystores properties replaced by correct PahtsAndFiles.
	* netx/net/sourceforge/jnlp/security/SecurityUtil.java:  adapted to getKeyStoreLocation
	changed return type
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java: same
	* netx/net/sourceforge/jnlp/security/dialogs/TemporaryPermissionsButton.java: same
	* netx/net/sourceforge/jnlp/security/viewer/CertificatePane.java: same
	* netx/net/sourceforge/jnlp/services/SingleInstanceLock.java: KEY_USER_LOCKS_DIR
	-> LOCKS_DIR
	* netx/net/sourceforge/jnlp/services/XPersistenceService.java:
	KEY_USER_PERSISTENCE_CACHE_DIR -> PCACHE_DIR
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: KEY_USER_TMP_DIR -> TMP_DIR
	* netx/net/sourceforge/jnlp/util/docprovider/TextsProvider.java: adapted
	to existence of file protocol by new method removeFileProtocol
	* netx/net/sourceforge/jnlp/util/logging/LogConfig.java: KEY_USER_LOG_DIR -> LOG_DIR
	* tests/netx/unit/net/sourceforge/jnlp/PluginBridgeTest.java: KEY_USER_CACHE_DIR ->
	CACHE_DIR
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceDownloaderTest.java: same
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceTrackerTest.java: same
	* tests/netx/unit/net/sourceforge/jnlp/security/KeyStoresTest.java: adapted to
	getKeyStoreLocation

2015-04-02  Jiri Vanek  <jvanek@redhat.com>

	* tests/netx/unit/net/sourceforge/jnlp/security/KeyStoresTest.java: new file,
	added tests for getKeyStoreLocation API.
	* tests/netx/unit/net/sourceforge/jnlp/security/SecurityDialogsTest.java: minor
	cleanup on redundant autoboxing.

2015-04-01  Jiri Vanek  <jvanek@redhat.com>

	PathsAndFiles definitions made aware of deployment.properties which can change them
	* netx/net/sourceforge/jnlp/cache/CacheLRUWrapper.java: (CacheLRUWrapper) used
	gette rinstead of field for RECENTLY_USED_FILE
	* netx/net/sourceforge/jnlp/config/Defaults.java: all getFullPath replaced
	by getDefaultFullPath.
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: removed read
	from properties and repalced by getters from PathsAndFiles.
	* netx/net/sourceforge/jnlp/controlpanel/CachePane.java: same
	* tests/reproducers/signed/CacheReproducer/testcases/CacheReproducerTest.java: same
	* netx/net/sourceforge/jnlp/config/PathsAndFiles.java: Or setup-able InfrastructureFileDescriptor
	now can return their non-default value by overriden getFullPath and reading
	from properties.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added BUTControlledBy
	of Controlled by and BUTmodified of modified
	* netx/net/sourceforge/jnlp/util/docprovider/TextsProvider.java: now uses new
	Messages.properties keys

2015-03-31  Jiri Vanek  <jvanek@redhat.com>

	PolicyEditor now honor verbose switch
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java: OPTIONS.VERBOSE added to
	list of PolicyEditor's commands
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor: (main) set
	debug to true, if verbose is presented.

2015-03-31  Jiri Vanek  <jvanek@redhat.com>

	* Messages.properties: (FILElogs) adapted to more suit current docs.

2015-03-25  Lukasz Dracz  <ldracz@redhat.com>

	* tests/reproducers/custom/TrustedOnlyAttribute/testcases/TrustedOnlyAttributeTest.java:
	added BeforeClass and AfterClass hunks which adapt USER_DEPLOYMENT_FILE for
	test's needs.

2015-03-27  Jiri Vanek  <jvanek@redhat.com>

	* Makefile.am: (stamps/generate-docs.stamp) fixed redundant false in version
	appearing in docs

2015-03-26  Lukasz Dracz  <ldracz@redhat.com>

	fix clean to replace new Manifest Attributes messages
	* tests/reproducers/custom/remote/testcases/RemoteApplicationSettings.java:
	Changed clean to replace the two new Manifest Attributes Checker messages
	instead of the old deleted Manifest Attributes Checker message

2015-03-25  Lukasz Dracz  <ldracz@redhat.com>

	Change Manifest Attributes Checker to check combinations of attributes
	* netx/net/sourceforge/jnlp/config/BasicValueValidators.java:
	Added MultipleStringValueValidator that validates single and combination
	of string values. Added ManifestAttributesCheckValidator uses
	MultipleStringValueValidator with the appropriate Manifest Attributes
	options
	* netx/net/sourceforge/jnlp/config/Defaults.java:
	Changed manifest attributes check validator to ManifestAttributesCheckValidator
	and made have default value of ALL
	* netx/net/sourceforge/jnlp/resources/Messages.properties:
	(MACDisabledMessage, MACCheckSkipped): added
	* netx/net/sourceforge/jnlp/runtime/ManifestAttributesChecker.java:
	MANIFEST_ATTRIBUTES_CHECK enum added,
	changed logic to allow combinations of attributes to be checked,
	Translator.R made into static import
	* tests/netx/unit/net/sourceforge/jnlp/config/BasicValueValidatorsTests.java:
	(testMultipleStringValueValidator, testMultipleStringValueValidatorCantMixSingleAndComboValues,
	testManifestAttributesCheckValidator): added
	* tests/netx/unit/net/sourceforge/jnlp/runtime/JNLPFileTest.java:
	Changed to work with new ManifestAttributesChecker, set to ALL which is equivalent to
	the old value of true
	* tests/reproducers/custom/PartiallySignedAppletManifestSpecifiesSandbox/testcases/PartiallySignedAppletManifestSpecifiesSandboxTests.java:
	Added BeforeClass and AfterClass handling of deployment.properties file to ensure PERMISSIONS
	and ALLOW_UNSIGNED are active for tests to pass then reverted to previous values for next tests
	* tests/reproducers/signed/SignedAppletManifestSpecifiesSandbox/testcases/SignedAppletManifestSpecifiesSandboxTests.java:
	Added BeforeClass and AfterClass handling of deployment.properties file to ensure PERMISSIONS
	is set for tests to pass then reverted to previous values for next tests

2015-03-23  Lukasz Dracz  <ldracz@redhat.com>

	Fix itweb-settings set command to allow duplicate strings
	* netx/net/sourceforge/jnlp/controlpanel/CommandLine.java:
	Fixed a bug where the set command would only use the first of
	duplicate strings due to the use of index for sorting into
	keys and values
	* tests/netx/unit/net/sourceforge/jnlp/controlpanel/CommandLineTest.java:
	Added tests for set command

2015-03-18  Andrew Azores  <aazores@redhat.com>

	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java: (main)
	Fixed a bug where a local string variable was compared to the empty string
	using ==.

2015-03-18  Jiri Vanek  <jvanek@redhat.com>

	* NEWS: mentioned documentation. -html and menu shortcuts moved to general.

2015-03-18  Jiri Vanek  <jvanek@redhat.com>

	Added support for Entry-Point manifest
	* netx/net/sourceforge/jnlp/JNLPFile.java: defined ENTRY_POINT. Added methods
	to get raw manifest, or list of possible entry points.
	* netx/net/sourceforge/jnlp/runtime/ManifestAttributesChecker.java: Added logic
	to check real main class against manifest attribute.
	* tests/netx/unit/net/sourceforge/jnlp/JNLPFileTest.java: Existing tests made
	aware about Entry-Point. Added tests for splitEntryPoints. All occurences of
	claslaoder repalced by classloader.

2015-03-17  Jie Kang  <jkang@redhat.com>

	Escape apostrophes in Messages.properties
	* netx/net/sourceforge/jnlp/resources/Messages.properties:
	* netx/net/sourceforge/jnlp/resources/Messages_cs.properties:
	* netx/net/sourceforge/jnlp/resources/Messages_de.properties:
	Apostrophes escaped using two apostrophes as specified in MessageFormat
	java class. Used in Translator class to format values
	* tests/netx/unit/net/sourceforge/jnlp/runtime/TranslatorTest.java:
	Test added making sure escaped apostrophes work properly
	* tests/reprocers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntrySignedMatching.java:
	(getMessage) Uses MessageFormat to format values from Messages.properties

2015-03-17  Jiri Vanek  <jvanek@redhat.com>

	Removed forgotten occurrence of netx-dist-tests-whitelist and so fixing make dist
	* Makefile.am: (EXTRA_DIST) lost netx-dist-tests-whitelist.

2015-03-17  Jie Kang  <jkang@redhat.com>

	Fix resource loading in CodebaseManifestEntry reproducers
	* tests/reproducers/signed/CodeBaseManifestEntrySignedMatching/testcases/CodeBaseManifestEntrySignedMatching.java:
	Now uses Class.getResourceAsStream which will use system class loader
	if necessary

2015-03-13  Jiri Vanek  <jvanek@redhat.com>

	Fixing xdg tests
	* netx/net/sourceforge/jnlp/config/PathsAndFiles.java: some elements made
	public - DEPLOYMENT_SUBDIR_DIR and XDG*VAR
	* tests/reproducers/simple/simpletest1/testcases/XDGspecificationTests.java:
	fixed issues with permissions attribute dialogue (faked deployment.properties
	everywhere), fixed issues with same key in set copmmand everywhere, added
	test for duplicated key in set, fixed issue with remianing icons and generated
	jnlps

2015-03-13  Jiri Vanek  <jvanek@redhat.com>

	Docs now include possible options for each property
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added key of IWSpossible
	* netx/net/sourceforge/jnlp/util/docprovider/ItwebSettingsTextsProvider.java:
	added hunk adding posibilites behainf each property

2015-03-13  Jiri Vanek  <jvanek@redhat.com>

	* tests/reproducers/signed/GifarBase/resources/gifar_application.jnlp: removed
	dangling element
	* tests/reproducers/signed/GifarBase/srcs/GifarMain.java: formating
	* tests/reproducers/signed/GifarBase/testcases/GifarTestcases.java: used
	constants instead of hardcoded values
	* tests/test-extensions/net/sourceforge/jnlp/ServerAccess.java: same

2015-03-10  Jiri Vanek  <jvanek@redhat.com>

	Fixed locale tests
	* tests/reproducers/simple/LocalesTest/testcases/LocalesTestTest.java :
	not existing BOHelp replaced by BOHelp1. (getProperties) if used classlaoder
	is null then system one is used.

2015-03-10  Jiri Vanek  <jvanek@redhat.com>

	Removed invalid URLs, empty codebases and enabled js tests for opera
	* tests/reproducers/simple/JSToJFuncParam/resources/jstoj-funcparam.jnlp
	* tests/reproducers/simple/JSToJFuncParam/testcases/JSToJFuncParamTest.java
	* tests/reproducers/simple/JSToJFuncResol/resources/jstoj-funcresol.jnlp
	* tests/reproducers/simple/JSToJFuncReturn/resources/jstoj-funcreturn.jnlp
	* tests/reproducers/simple/JSToJGet/resources/jstoj-get.jnlp
	* tests/reproducers/simple/JSToJGet/testcases/JSToJGetTest.java
	* tests/reproducers/simple/JSToJSet/resources/jstoj-set.jnlp
	* tests/reproducers/simple/JSToJSet/testcases/JSToJSetTest.java
	* tests/reproducers/simple/JSToJTypeConv/resources/jstoj-typeconv.jnlp
	* tests/reproducers/simple/JSToJTypeConv/testcases/JSToJTypeConvTest.java
	* tests/reproducers/simple/JToJSString/testcases/JToJSStringTest.java
	* tests/reproducers/simple/JavascriptFuncParam/resources/javascript-funcparam.jnlp
	* tests/reproducers/simple/JavascriptFuncParam/testcases/JavascriptFuncParamTest.java
	* tests/reproducers/simple/JavascriptFuncReturn/resources/JavascriptFuncReturn.jnlp
	* tests/reproducers/simple/JavascriptFuncReturn/testcases/JavascriptFuncReturnTest.java
	* tests/reproducers/simple/JavascriptGet/resources/javascript-get.jnlp
	* tests/reproducers/simple/JavascriptGet/testcases/JavascriptGetTest.java
	* tests/reproducers/simple/JavascriptSet/resources/javascript-set.jnlp
	* tests/reproducers/simple/JavascriptSet/testcases/JavascriptSetTest.java
	* tests/reproducers/simple/JavawsAWTRobotFindsButton/resources/javaws-awtrobot-finds-button.jnlp
	* tests/reproducers/simple/JavawsAWTRobotUsageSample/resources/javaws-awtrobot-usage-sample.jnlp

2015-03-05  Jie Kang  <jkang@redhat.com>

	Use jnlp_href parameter instead of attribute in	applet tag for reproducers.
	This is to maintain compatibility with midori and epiphany browsers that
	don't support jnlp_href as an applet tag's attribute
	* tests/reproducer/simple/JSToJGet/resources/JSToJGet.html:
	* tests/reproducer/simple/JSToJSet/resources/JSToJSet.html:
	* tests/reproducer/simple/JavascriptFuncParam/resources/JavascriptFuncParam.html:
	* tests/reproducer/simple/JavascriptGet/resources/JavascriptGet.html:
	* tests/reproducer/simple/JavascriptSet/resources/JavascriptSet.html:
	All tests now use parameter tag for jnlp_href

2015-03-04  Jiri Vanek  <jvanek@redhat.com>

	Fixed broken CacheUtil.
	* netx/net/sourceforge/jnlp/cache/CacheLRUWrapper.java: removed misleading one
	parameter constructor.
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: adapted to new CacheLRUWrapper
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheLRUWrapperTest.java: adapted
	to new constructor.

2015-03-03  Jiri Vanek  <jvanek@redhat.com>

	Changing enum CacheLRUWrapper singleton to instantiatible one. recently_used
	moved to PathsAndFiles.
	* netx/net/sourceforge/jnlp/cache/CacheLRUWrapper.java: changed form enum to
	class. Added testing constructors. Fields encapsualted and made final.
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java:is now using
	PathsAndFiles.CACHE_DIR
	* netx/net/sourceforge/jnlp/config/PathsAndFiles.java: defined CACHE_INDEX_FILE_NAME
	as recently_used and declared InfrastructureFileDescriptor RECENTLY_USED_FILE
	* netx/net/sourceforge/jnlp/controlpanel/CachePane.java: moved to PathsAndFiles
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added description
	of RECENTLY_USED_FILE, FILErecentlyUsed
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheLRUWrapperTest.java: now using
	fake instance
	* tests/reproducers/signed/CacheReproducer/testcases/CacheReproducerTest.java:
	same + fixed
2015-03-03  Jiri Vanek  <jvanek@redhat.com>

	Fixed CacheReproducerTest and VersionedJarTest tests
	* tests/reproducers/signed/CacheReproducer/testcases/CacheReproducerTest.java:
	fixed
	* tests/reproducers/simple/VersionedJar__V1/testcases/VersionedJarTest.java:
	fixed
	* tests/test-extensions/net/sourceforge/jnlp/ServerAccess.java: introduced
	executeJavawsClearCache shortcut method to executeJavawsHeadless

2015-03-03  Jie Kang  <jkang@redhat.com>

	Fix DeadLockTest reproducers
	* tests/reproducers/simple/deadlocktest/testcases/DeadLockTestTest.java:
	(testSimpletest1lunchFork), (testSimpletest1lunchNoFork) removed division
	by two in final assert

2015-03-02  Jie Kang  <jkang@redhat.com>

	Use temporary cache in PluginBridge unit tests
	* tests/netx/unit/net/sourceforge/jnlp/PluginBridgeTest.java: sets
	temporary cache in @BeforeClass and unsets in @AfterClass

2015-02-27  Jiri Vanek  <jvanek@redhat.com>

	Silenced to verbose unittests
	* netx/net/sourceforge/jnlp/cache/ResourceDownloader.java: refactored to use
	try-with-resources
	* tests/netx/unit/net/sourceforge/jnlp/PluginBridgeTest.java: become NoStdOutErrTest
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceDownloaderTest.java: same
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceTrackerTest.java: same
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceUrlCreatorTest.java: same

2015-02-27  Jiri Vanek  <jvanek@redhat.com>

	All manifests in reproducers' jars have now Application-Name attribute
	* Makefile.am: (stamps/netx-dist-tests-prepare-reproducers.stamp) added logic
	to include Application-Name: $reproducerName key: value to each non-custom
	manifest file
	* tests/reproducers/*/MANIFEST.MF*: all custom manifests enhanced by the same
	key: value. They do not relay on it.

2015-02-27  Jiri Vanek  <jvanek@redhat.com>

	Fixed third party tests.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: (JREversionDontMatch)
	don't changed to does not. The apostrophe was causing last variable to not expanding.
	* netx/net/sourceforge/jnlp/runtime/ManifestAttributesChecker.java: shared
	string moved to constant of MANIFEST_CHECK_DISABLED_MESSAGE
	* tests/reproducers/custom/remote/testcases/RemoteApplicationSettings.java:
	adapted to current state
	* tests/reproducers/custom/remote/testcases/RemoteApplicationTests.java: same

2015-02-25  Jiri Vanek  <jvanek@redhat.com>

	* Makefile.am: netx-dist-tests-whitelist mad mandatory and will be removed

2015-02-24  Jiri Vanek  <jvanek@redhat.com>

	Marking threads in ResourceTracker's threadPool as daemons, so the dont prevent shutdown.
	* netx/net/sourceforge/jnlp/cache/CachedDaemonThreadPoolProvider.java: new file,
	implementation of ExecutorService singleton, whose threads are daemons.
	* netx/net/sourceforge/jnlp/cache/ResourceTracker.java: (startDownloadThread)
	now calls CachedDaemonThreadPoolProvider

2015-02-18  Jiri Vanek  <jvanek@redhat.com>

	Added menuentry to PolicyEditor to allow quicky open default java.policy
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added keys of
	PEOpenDefaultMenuItem, PEOpenDefaultMenuItemMnemonic,
	PEOpenDefaultMenuItemAccelerator
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java: added
	openDefaultButtonAction to open PathsAndFiles.JAVA_POLICY. Added openDefaultItem
	menu entry calling openDefaultButtonAction.

2015-02-17  Jie Kang  <jkang@redhat.com>

	Refactor initializeResources in ResourceDownloader.
	* netx/net/sourceforge/jnlp/cache/Resource.java: (isConnectable) new method
	checking if we can connect to the resources URL
	* netx/net/sourceforge/jnlp/cache/ResourceDownloader.java:
	(initializeResources), (initializeOnlineResource), (initializeFromURL),
	(initializeOfflineResource) refactored methods to handle offline and online
	cases separately
	* netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java: (isConnectable) new
	method checking if we can connect to URL argument
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceDownloaderTest.java:
	(testDownloadLocalResourceFails): test modified to expect error status
	on failure instead of uncaught exception

2015-02-13  Jiri Vanek  <jvanek@redhat.com>

	Fixed few small errors in jacoco processing after removal of bootstrap.
	* Makefile.am: (JACOCO_CLASSPATH) changed to be space delimited, to be used
	via joinsegments. (JACOCO_OPERATOR_EXEC) using joinsegments on JACOCO_CLASSPATH.
	(UNIFIED_CLASSPATH) split to new *_SEGMENTS and call of joinsegments on it.
	Similarly with UNIFIED_JACOCO_CLASSPATH/(_SEGMENTS). Adapted
	PLUGIN_COVERAGE_BOOTCLASSPATH. (stamps/compile-jacoco-operator.stamp) uses
	composeclasspath on JACOCO_CLASSPATH. (stamps/compile-jacoco-operator.stamp)
	nw_bootclasspath adapted. (stamps/run-reproducers-test-code-coverage-jacoco.stamp)
	added missing comma in CLASSPATH=$(call joinsegment, ... ) call.

2015-02-13  Jie Kang  <jkang@redhat.com>

	* .hgignore: added netx-dist-tests-whitelist to prevent unintentional commits

2015-02-13  Jiri Vanek  <jvanek@redhat.com>

	Added better support for not-matching detected jdk when version forced.
	* netx/net/sourceforge/jnlp/JREDesc.java: is using JreVersion instead of pure Version
	* netx/net/sourceforge/jnlp/Parser.java: (getJRE) JREDesc is constructed with JreVersion
	* netx/net/sourceforge/jnlp/Version.java:  made immutable, added specialized
	inner class, tho handle JRE version.
	* /tests/netx/unit/net/sourceforge/jnlp/VersionTest.java: added tests for
	main cases cornerCases, testMatchesMinus, multiplePossibilities and tests for
	new class jreVersionTestOk, jreVersionTestFails1, jreVersionTestFails2.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added JRE family
	of warnings for JreVersion

2015-02-11  Jiri Vanek  <jvanek@redhat.com>

	Saving/Loading of icon made resistant against URLs with invalid/without target
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java: getCachedResource split
	into getCachedResourceFile and getCachedResourceURL (which is jsut transforming
	file from getCachedResourceFile to URL)
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: (cacheIcon) calls to
	getCachedResource replaced by calls to getCachedResourceURL and added null
	checks. New method of cantCache to unify NonFileProtocolException throw.

2015-02-09  Jie Kang  <jkang@redhat.com>

	Fix javascript url error in JSToJSet reproducer.
	* tests/reproducers/simple/JSToJSet/resources/JSToJSet.html: added quotes
	around scriptable paramter.
	* tests/reproducers/simple/JSToJSet/resources/JSToJava_Set.js: decode url
	before using it
	* tests/reproducers/simple/JSToJSet/testcases/JSToJSetTest.java:
	KnownToFail annotations removed from tests that now pass correctly.

2015-02-06  Fridrich Strba <fridrich.strba@suse.com>

	Removed bootstrap, made buildable with modular JDK
	* AUTHORS: Fridrich added
	* Makefile.am: defined composeclasspath to create always valid classpath elements
	EMMA_JAVA_ARGS and EMMA_MODIFIED_FILES renamed to COVERAGE_JAVA_ARG and
	COVERAGE_MODIFIED_FILES. Removed RHINO_RUNTIME, BOOT_DIR. PLUGIN_RUNTIME
	renamed to PLUGIN_JAR. All manual constructions of classpath replaced by
	composeclasspath. All BOOT_ definition replaced by SYSTEM_JRE_DIR and
	SYSTEM_JDK_DIR. Removed all legacy emma targets. Removed all bootstrap targets.
	* acinclude.m4: added check for jdk9
	* configure.ac: removed check for emma
	* plugin/icedteanp/IcedTeaNPPlugin.cc: added support for jdk9 mimetypes
	* tests/test-extensions/net/sourceforge/jnlp/tools/CodeSignerCreator.java:
	made aware of jdk9

2015-02-06  Jiri Vanek  <jvanek@redhat.com>

	Also javaws.png icon is being installed in make install.
	* Makefile.am: declared ICONS_DEST_DIR with value pointing to icons dir
	(install-exec-local) ICONS_DEST_DIR added to list of created directories
	javaws.png installed into ICONS_DEST_DIR. (uninstall-local) javaws.png
	removed from ICONS_DEST_DIR.

2015-02-02  Omair Majid  <omajid@redhat.com>

	* configure.ac: Search for hamcrest jar.
	* Makefile.am: Initialize JUNIT_RUNTIME with JUNIT_JAR and/or
	HAMCREST_JAR. Adjust all code using JUNIT_JAR to use JUNIT_RUNTIME
	or HAMCREST_JAR explicitly.

2015-01-30  Jie Kang  <jkang@redhat.com>

	Remove KnownToFail annotation from JToJSString reproducer tests.
	* tests/reproducers/simple/JToJSString/testcases/JToJSStringTest.java:
	(StringArrayTest)(jnlpStringArrayAppletTest): annotations removed

2015-01-29  Jie Kang  <jkang@redhat.com>

	Fix accessing Java array elements from Javascript. PR1298. Fix provided by
	Marcin Cieslak
	* AUTHORS: Add Marcin Cieslak to authors.
	* NEWS: Add fix to news
	* plugin/icedteanp/IcedTeaPluginUtils.cc: (javaObjectResultToNPVariant) add
	jclass_name parameter to javaObjectResultToNPVariant function and use to
	determine type of object.

2015-01-28  Jie Kang  <jkang@redhat.com>

	Refactor initialize/download runnable out of ResourceTracker and add tests
	* netx/net/sourceforge/jnlp/cache/ResourceTracker.java: moved Downloader
	runnable into ResourceDownloader along with initialize and download
	functions and their sub-functions. Removed prefetchTracker system and
	queue. Moved downloadOptions into Resource.java.
	* netx/net/sourceforge/jnlp/cache/Resource.java: added downloadOptions
	field and getter/setter
	* netx/net/sourceforge/jnlp/cache/ResourceDownloader.java:
	(getUrlResponseCode), (getUrlResponseCodeWithRedirectonResult)
	(initializeResource), (findBestUrl), (downloadResource),
	(getDownloadConnection), (downloadPackGzFile), (downloadGZipFile),
	(downloadFile), (storeEntryFields), (writeDownloadToFile)(uncompressGzip),
	(uncompressPackGz): new Runnable class for initializing and downloading
	resources. Code	from ResourceTracker.java
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceTrackerTest.java:
	tests for downloading/initializing functions and their subfunctions moved
	to ResourceDownloaderTest.java
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceDownloaderTest.java:
	relevant tests from ResourceTrackerTest.java moved here.
	(testDownloadResource), (testDownloadPackGzResource)
	(testDownloadVersionedResource), (testDownloadVersionedPackGzResource)
	(testDownloadLocalResourceFails), (testDownloadNotExistingResourceFails):
	New tests added

2014-01-23  Jiri Vanek  <jvanek@redhat.com>

	Returned accidentally removed creation of shortcuts for jnlp applications.
	* netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPane.java: filling
	of AccessWarningPaneComplexReturn no longer depnds on existence of htmlPanels.
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: (BROWSERS) opera added
	to list of recognized browsers

2014-01-22  Jie Kang  <jkang@redhat.com>

	Add quotes to Docs paths in Makefile.am
	* Makefile.am:(install-data-local)(stamps/generate-docs.stamp) paths have
	quotes "" around them

2014-01-21  Lukasz Dracz  <ldracz@redhat.com>

	Change PolicyEditor to use OptionParser
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor.java:
	(argsToMap): removed
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyEditorTest.java:
	(testArgsToMap): removed

2014-12-20  Jiri Vanek  <jvanek@redhat.com>

	Added -html switch for javaws to run applets out of browser in applets sandbox
	* Makefile.am: if plugin is enabled, then plugin.jar is placed to (both)classpaths
	* NEWS: mentioned -html switch
	* netx/net/sourceforge/jnlp/Launcher.java: removed unused imports
	* netx/net/sourceforge/jnlp/MalformedXMLParser.java: same, also (xmlizeInputStream)
	made public static
	* netx/net/sourceforge/jnlp/NetxPanel.java: used diamonds, constructor is
	accepting plugin bridge, appletInstance got geter, (ourRunLoader) initialize
	PuginBridge if it is not set in advance. Logic to init it. moved to separate
	method (init).
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java: implemented -html. Now takes
	one or more args.
	* netx/net/sourceforge/jnlp/Parser.java: made public, static getUrl separated
	from internal getUrl. reused MalformedXMLParser and XMLParser classes moved
	to String constants.
	* netx/net/sourceforge/jnlp/PluginBridge.java: params made final and getter added.
	* netx/net/sourceforge/jnlp/PluginParameters.java: Removed hashtable
	* netx/net/sourceforge/jnlp/resources/Messages.properties: BNoCodeOrObjectApplet
	fixed (mentioned jnlp_href), added HTMLnoneFound, HTMLmoreThenOne. Adapted BOHtml
	* netx/net/sourceforge/jnlp/runtime/Boot.java: (getMainFile) now supports html
	init moved out of (run). Logic to lunch javaws moved to separate class
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: minor formating
	* netx/net/sourceforge/jnlp/util/optionparser/OptionParser.java: added fnuction
	to allow element addition to allow minor cheating if needed.
	* netx/net/sourceforge/nanoxml/XMLElement.java: removed hashtable, used
	diamonds, final and try-with-resources
	* netx/sun/applet/AppletViewerPanelAccess.java: Copied map to hashtable in super,
	added special hack to access AppletContext for out-of-browser applets.
	* plugin/icedteanp/java/sun/applet/PluginAppletPanelFactory.java: can pass
	PluginBridge inside.
	* plugin/icedteanp/java/sun/applet/PluginAppletSecurityContext.java: removed
	hashtable, used string in switches, used diamonds
	* plugin/icedteanp/java/sun/applet/PluginAppletViewer.java: some logic extracted
	to initialize. Removed hashtable.
	* plugin/icedteanp/java/sun/applet/PluginMain.java:  Removed hashtable.
	Init logic moved to more methods (initSecurityContext). New method javawsHtmlMain
	to encapsulate all plugin.jar calls.
	* plugin/icedteanp/java/sun/applet/PluginStreamHandler.java: Added inner DummyHandler
	doing nothing for  -html run.
	* tests/netx/unit/net/sourceforge/jnlp/PluginBridgeTest.java: final possible
	fields made final;
	* tests/netx/unit/net/sourceforge/jnlp/PluginParametersTest.java: hashtable
	removal.
	* netx/net/sourceforge/jnlp/JNLPSplashScreen.java: enabled hot swap of file,
	enabled switch to error screen.
	* netx/net/sourceforge/jnlp/runtime/HtmlBoot.java:  new class, contains logic
	to lunch from html
	* netx/net/sourceforge/jnlp/runtime/JnlpBoot.java: new class, into which
	original logic from boot.run was moved.
	* netx/net/sourceforge/jnlp/runtime/html/AppletExtractor.java: new class,
	responsible for parsing of html page and search for applets
	* netx/net/sourceforge/jnlp/runtime/html/AppletParser.java: new class,
	responsible for construction of PluginBridge from parsed xml (applet-like)
	element
	* netx/net/sourceforge/jnlp/runtime/html/AppletsFilter.java: new class, responsible
	for providing correct applets from page
	* netx/net/sourceforge/jnlp/runtime/html/ElementValidator.java: new simple
	interface used for searching in html document, to fire if element is/is not appelt
	* netx/net/sourceforge/jnlp/util/Reflect.java: this class is long unused. removed.

2014-12-19  Jiri Vanek  <jvanek@redhat.com>

	* NEWS: mentioned menus

2014-12-19  Lukasz Dracz  <ldracz@redhat.com>

	IcedTea-Web settings made to use OptionParser
	* netx/net/sourceforge/jnlp/OptionsDefinitions: HELP split to HELP1 and HELP2
	HELP1 for javaws and policyediotr, HELP2 for itweb settings. SET changed to
	EVEN_NUMBER_SUPPORTS_EQUALS_CHAR type. ItwebSettings added VERBOSE
	* netx/net/sourceforge/jnlp/controlpanel/CommandLine: Rewritten touse OptionParser
	Fixed usage of verbose.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: adapted IBOList, IBOGet
	IBOInfo, IBOSet, IBOReset, IBOCheck. Added OPUnevenParams, CLUnexpectedNumberOfCommands.
	BOHelp removed, and replaced by its copy BOHelp1. Added BOHelp2.
	* netx/net/sourceforge/jnlp/resources/Messages_cs.properties:
	BOHelp removed, and replaced by its copy BOHelp1.
	* netx/net/sourceforge/jnlp/resources/Messages_de.properties:
	BOHelp removed, and replaced by its copy BOHelp1.
	* netx/net/sourceforge/jnlp/resources/Messages_pl.properties:
	BOHelp removed, and replaced by its copy BOHelp1.
	* netx/net/sourceforge/jnlp/runtime/Boot: Used HELP1,  and UnevenParameterException
	* netx/net/sourceforge/jnlp/security/policyeditor/PolicyEditor: Used HELP1
	* netx/net/sourceforge/jnlp/util/optionparser/OptionParser: Added handling of
	handleEvenNumberSupportingEqualsChar
	* netx/net/sourceforge/jnlp/util/optionparser/UnevenParameterException:
	new exception to be thrown in case of parsing of EVEN_NUMBER_SUPPORTS_EQUALS_CHAR
	* tests/netx/unit/net/sourceforge/jnlp/util/optionparser/OptionParserTest:
	Added tests for new functions

2014-12-19  Jie Kang  <jkang@redhat.com>

	* tests/test-extensions-tests/net/sourceforge/jnlp/TinyHttpdImplTest.java:
	added testLastModifiedHeader and testLastModifiedHeaderNotIncluded tests
	to test the LAs-Modified functionality in internal test server.

2014-12-18  Jiri Vanek  <jvanek@redhat.com>

	Added support for generating shortcuts also for applets.
	* Makefile.am: javaws_bin and javaws_name passed to plugin
	* netx/net/sourceforge/jnlp/JNLPFile: (openURL) made public and added javadoc.
	Added unifying methods to generate  title and vendor to be reused in  jnlp
	and shortcuts: createJnlpVendorValue, createJnlpVendor, createJnlpTitleValue,
	createJnlpTitle.
	* netx/net/sourceforge/jnlp/OptionsDefinitions: Added unimplemented -html param
	* netx/net/sourceforge/jnlp/PluginBridge: able to be final fields made final.
	Jnlp href file is stored for debugging purposes. Added override annotations.
	Added possibility to generate jnlp xml file from itself (toJnlp). Added function
	(fixCommonIsuses) to enable usage of jnlpHref as mian jnlp file if used in shortcut.
	* netx/net/sourceforge/jnlp/config/PathsAndFiles:
	Declared GEN_JNLPS_DIR for saving generated jnlp shortcut.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: declared
	ButAdvancedOptions, AlwaysForbidAction, BOHtml, FILEjnlps keys and whole
	family of EXAW keys.
	* netx/net/sourceforge/jnlp/runtime/ApplicationInstance: now use AccessWarningPaneComplexReturn
	instead of removed IconsCreationDescriptor.
	* netx/net/sourceforge/jnlp/security/SecurityDialogs: AccessWarningDialog family
	of methods adapted to handle boolean, integer and AccessWarningPaneComplexReturn
	* netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPane: reworked
	to support controls of shortcut creation and saving buttons.
	* netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPaneComplexReturn:
	New class to store information about shortcuts and saving of result. Used
	from AccessWarningPane instead of integer.
	* netx/net/sourceforge/jnlp/util/StreamUtils: added possibility to control
	encoding.
	* netx/net/sourceforge/jnlp/util/XDesktopEntry: Included possibility to create
	shrotcut from applet, based on the AccessWarningPaneComplexReturn. Is trying
	to use also favico if no more suitable icons found.
	* netx/net/sourceforge/jnlp/util/optionparser/OptionParser: added to-be-removed
	hack to die if -html  is found.
	* plugin/icedteanp/IcedTeaNPPlugin.cc: made aware of JAVAWS_BIN and JAVAWS_NAME
	* tests/netx/unit/net/sourceforge/jnlp/PluginBridgeTest: tested class stripping
	and fixing of common issues.
	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceTrackerTest: backedUpStream
	made final.
	* tests/netx/unit/net/sourceforge/jnlp/util/logging/JavaConsoleTest: Fixed
	timezone depending test to be timezone independent.


2014-12-17  Jie Kang  <jkang@redhat.com>

	Fixed typo in Makefile.am for test-extensions-tests compilation
	* Makefile.am:

2014-12-12  Jiri Vanek  <jvanek@redhat.com>

	JDK7 like refactroing of JNLPClassLoader
	* netx/net/sourceforge/jnlp/config/Defaults.java: KEY_STRICT_JNLP_CLASSLOADER
	added
	* netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java: deployment.jnlpclassloader.strict
	declared
	* netx/net/sourceforge/jnlp/runtime/JNLPClassLoader.java: minor refactoring, and usage
	of KEY_STRICT_JNLP_CLASSLOADER instead of hardcoded strict=true.

2014-12-08  Jie Kang  <jkang@redhat.com>

	Added last-modified information to TinyHttpdImpl
	* tests/test-extensions/net/sourceforge/jnlp/TinyHttpdImpl.java:
	(setSupportLastModified): used to set whether or not to return last-modified
	in header
	(isSupportingLastModified): whether or not currently returning last-modified
	(run): adds last-modified to header if enabled

2014-12-05  Jiri Vanek  <jvanek@redhat.com>

	Added support for menu shortcuts.
	* netx/net/sourceforge/jnlp/Parser.java: used setMenu instead of addMenu
	* netx/net/sourceforge/jnlp/ShortcutDesc.java: removed isOnline support,
	added onDesktop and toMenu support. addMenu renamed to setMenu.
	Added deploymentJavawsShortcutToString, just for comfortableness.
	* netx/net/sourceforge/jnlp/config/PathsAndFiles.java: Added support for
	XDG_DATA_HOME, declared ICONS_DIR and MENUS_DIR
	* netx/net/sourceforge/jnlp/controlpanel/DesktopShortcutPanel.java: removed
	duplicated logic of deploymentJavawsShortcutToString/comboboxItem and
	hardcoded calls to deployment.
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added
	CPTabMenuShortcuts, FILEicons, FILEmenus. adapted SDesktopShortcut
	* netx/net/sourceforge/jnlp/runtime/ApplicationInstance.java:
	removed retired fixme, now it do not ask for shortcut creation if menu or
	desktop entry exists. Added menu support and removed not-implemented call.
	Added temporary IconsCreationDescriptor quick fix for dialog->logic information
	transfer. Used where needed.
	* netx/net/sourceforge/jnlp/security/SecurityDialogs.java:  Added boolean
	and integer workarounds around showAccessWarningDialog
	* netx/net/sourceforge/jnlp/security/dialogs/AccessWarningPane.java: Added
	menu support.
	Is now coding more sophisticated return value if are about desktop creations.
	* netx/net/sourceforge/jnlp/services/ServiceUtil.java:  Adapted to
	showAccessWarningDialog changes
	* netx/net/sourceforge/jnlp/util/FileUtils.java: INVALID_CHARS extended
	for more linux one and most windows ones.
	* netx/net/sourceforge/jnlp/util/XDesktopEntry.java: added logic to place
	menu shortcut.
	* tests/netx/unit/net/sourceforge/jnlp/ParserBasic.java: Is now testing only
	presence of isOnline instead if it is used.


2014-11-28  Jie Kang  <jkang@redhat.com>

	* tests/netx/unit/net/sourceforge/jnlp/cache/ResourceTrackerTest.java
	(testDownloadResource): new test for downloading basic resource

2014-11-25  Jiri Vanek  <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/runtime/ManifestAttributesChecker.java: (checkAll)
	permissions attribute is now also skipped when attribute checks are disabled

2014-11-25  Jiri Vanek  <jvanek@redhat.com>

	* netx/net/sourceforge/jnlp/Launcher.java: (fromUrl) file from href get
	substituted codebase from previous one if it is missing in new one.

2014-11-25  Jie Kang  <jkang@redhat.com>

	Fixed newly failing unit test: JavaConsoleTest:CreatePluginHeaderTestNotOK
	* tests/netx/unit/net/sourceforge/jnlp/util/logging/JavaConsoleTest.java
	(CreatePluginHeaderTestNotOK): Added a new failing string
	(CreatePluginHeaderTestOK): Old string from NotOk moved to this test

2014-11-19  Jiri Vanek  <jvanek@redhat.com>

	Logging jnlp file into console
	* netx/net/sourceforge/jnlp/util/logging/ConsoleOutputPaneModel.java: is
	now html-like escaping lesser then and greater then chars
	* netx/net/sourceforge/nanoxml/XMLElement.java: instead of reprinting jnlp
	file to stdout, the line is gathered and logged via standard logger

2014-11-19  Jie Kang  <jkang@redhat.com>

	Fixed PluginMessage dates to use localized date from icedteanp-side.
	See PR2063
	* netx/net/sourceforge/jnlp/util/logging/ConsoleOutputPaneModel.java:
	Sort-by-date compares using timestamp
	* netx/net/sourceforge/jnlp/util/logging/headers/Header.java:
	'date' is a string for the localized date and 'timestamp' is a Date
	for sort-by-date comparison
	* netx/net/sourceforge/jnlp/util/logging/headers/PluginHeader.java:
	no longer has timestamp field, uses Header's timestamp field
	* netx/net/sourceforge/jnlp/util/logging/headers/PluginMessage.java:
	'date' acquired directly from icedteanp-side (strftime) without formatting

2014-11-18  Jie Kang  <jkang@redhat.com>

	Added reproducer for packgz compressed applets.
	* acinclude.m4: Added check for pack200 in jdk bin
	* configure.ac: Added check of pack200 during configure
	* Makefile.am: Added use of pack200 if existing
	* netx/net/sourceforge/jnlp/PluginBridge: Added use of pack/version
	from jnlp file when launched through browser
	* tests/reproducers/custom/PackGZip/resources/PackGZip.jnlp: packgz
	reproducer
	* tests/reproducers/custom/PackGZip/resources/PackGZipApplet.html:
	* tests/reproducers/custom/PackGZip/resources/PackGZipJNLP.html:
	* tests/reproducers/custom/PackGZip/srcs/Makefile:
	* tests/reproducers/custom/PackGZip/srcs/PackGZip.java:
	* tests/reproducers/custom/PackGZip/testcases/PackGzipTest.java:

2014-11-14  Jiri Vanek  <jvanek@redhat.com>

	http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2014-June/028399.html (long thread)
	* netx/net/sourceforge/jnlp/Launcher.java: using PropertyDesc.fromString to
	add resources.
	* netx/net/sourceforge/jnlp/PropertyDesc.java: New method fromString to handle
	parsing
	* netx/net/sourceforge/jnlp/runtime/Boot.java: is now merging the properties
	to main configuration.
	* tests/netx/unit/net/sourceforge/jnlp/PropertyDescTest.java: new file. Added
	tests for fromString.

2014-11-14  Jiri Vanek  <jvanek@redhat.com>

	Making loading of PAC provider more lenient
	* netx/net/sourceforge/jnlp/runtime/PacEvaluatorFactory.java: (getPacEvaluator)
	changed to autocloseable, general Exception (instead IOException only) is catch.

2014-11-14  Jiri Vanek  <jvanek@redhat.com>

	Connection factory fixed for offline usage
	* netx/net/sourceforge/jnlp/security/ConnectionFactory.java: (disconnect) got
	null check

2014-11-10  Jie Kang  <jkang@redhat.com>

    Refactored downloading of resources
    * netx/net/sourceforge/jnlp/cache/CacheEntry.java: added logging messages
    * netx/net/sourceforge/jnlp/cache/ResourceTracker.java
    (downloadResource): refactored into multiple methods
    (getDownloadConnection): new method to get and setup URLConnection
    (downloadPackGzFile): new method to download .pack.gz files
    (downloadGZipFile): new method to download .gz files
    (uncompressPackGz): new method to uncompress .pack.gz files
    (uncompressGZip): new method to uncompress .gz files
    (downloadFile): new method to download files
    (writeDownloadToFile): new method to write download into file, byte-by-byte
    (storeEntryFields): new method to store cache entry fields after download

2014-11-05  Lukasz Dracz  <ldracz@redhat.com>

	Option parser refactored to use Parsed Option
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java:
	enum EQUALS_CHAR removed, EVEN_NUMBER_OR_WITHEQUALCHAR renamed
	to EVEN_NUMBER_SUPPORTS_EQUALS_CHAR
	* netx/net/sourceforge/jnlp/resources/Messages.properties:
	* netx/net/sourceforge/jnlp/runtime/Boot.java:
	removed first check of JNLP option being not present
	* netx/net/sourceforge/jnlp/util/optionparser/OptionParser.java:
	refactored to use a List of ParsedOption instead of map,
	refactored parseContents to be split into smaller methods and made
	parsing more strict but easier to read/maintain
	(shouldAddParam, isOneArgumentNotFull, oneOrMoreArguments, addOptionToList,
	argumentToOption): added
	(getValue, getValues): renamed to (getParam, getParams)
	(findMainArg):removed, main args only looked for in parseContents
	* tests/netx/unit/net/sourceforge/jnlp/util/optionparser/OptionParserTest.java:
	removed tests that were no longer valid and added new ones based on the
	change in option parser functionality
	* netx/net/sourceforge/jnlp/util/optionparser/ParsedOption.java:
	added

2014-11-03  Jiri Vanek  <jvanek@redhat.com>

	Get rid of @BOLD_OPEN@ and @BOLD_CLOSE@ in favor of <B> and </B>
	* netx/net/sourceforge/jnlp/resources/Messages.properties: ssia
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/HtmlFormatter.java:
	now overrides process, as input is expected to be html (aka text with B tags).
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/ReplacingTextFormatter.java:
	(process) using regexes to replace B tags
	* tests/netx/unit/net/sourceforge/jnlp/util/docprovider/formatters/formatters/ReplacingTextFormatterTest.java:
	adapted to new logic,added tests

2014-10-29  Jie Kang  <jkang@redhat.com>

	Configure switch for whitelist processing added.
	'configure --enable-whitelist-processing': Process white-listed
	reproducers based on directory name and run all processed reproducers.
	'configure': Process all reproducers and run reproducers white-listed
	on test-case name.
	* Makefile.am: support for --enable-whitelist-processing switch
	* configure.ac: added switch --enable-whitelist-processing

2014-10-24  Jiri Vanek  <jvanek@redhat.com>

	Opening of connections moved into factory
	* netx/net/sourceforge/jnlp/cache/CacheUtil.java:
	* netx/net/sourceforge/jnlp/cache/ResourceTracker.java:
	* netx/net/sourceforge/jnlp/runtime/CachedJarFileCallback.java:
	* plugin/icedteanp/java/sun/applet/PluginAppletViewer.java:
	all calls to url.openConnection(), replaced by
	ConnectionFactory.getConnectionFactory().openConnection(url) and all calls
	to if (conn instanceof  HttpURLConnection){((HttpURLConnection)conn).disconnect();}
	by ConnectionFactory.getConnectionFactory().disconnect(conn);
	* netx/net/sourceforge/jnlp/security/ConnectionFactory.java: new class
	singleton responsible for opening and closing of connections. Have debugging
	feature to download https connections one by one (needs tweeking)

2014-10-21  Jiri Vanek  <jvanek@redhat.com>

	Fixed case when already decoded file is wonted from cache (RH1154177)
	* netx/net/sourceforge/jnlp/cache/ResourceTracker.java: (getCacheFile) if
	all previous attempts to get cached file, plain url.getPath is tried.

2014-10-21  Jiri Vanek  <jvanek@redhat.com>

	Unittests coverage adapted to latest jacoco
	* Makefile.am: (JACOCO_AGENT_SWITCH) is now using both  JACOCO_ADVANCED_EXCLUDE)
	and inclbootstrapclasses=true too. (JACOCO_AGENT_JAVAWS_SWITCH) and
	(JACOCO_AGENT_PLUGIN_SWITCH) are using JACOCO_AGENT_SWITCH instead of copypasting
	values.

2014-10-21  Lukasz Dracz  <ldracz@redhat.com>

	PolicyFileModel null file tests added
	* tests/netx/unit/net/sourceforge/jnlp/security/policyeditor/PolicyFileModelTest.java

2014-10-20  Jiri Vanek  <jvanek@redhat.com>

	Added support for chromium binary (along with older chromium-browser one)
	* tests/test-extensions/net/sourceforge/jnlp/browsertesting/Browsers.java:
	(static) check if legacy chromium-browser do exists. If so use it, otherwise
	use newer chromium only

2014-10-20  Jiri Vanek  <jvanek@redhat.com>

	Support only @BOLD_OPEN@ and @BOLD_CLOSE@ in documentation
	* netx/net/sourceforge/jnlp/util/docprovider/PolicyEditorTextsProvider.java:
	Replace @@ usage by calls to methods
	* netx/net/sourceforge/jnlp/util/docprovider/TextsProvider.java: same
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/Formatter.java:
	added license
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/HtmlFormatter.java:
	same
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/ManFormatter.java:
	same
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/ReplacingTextFormatter.java:
	Added license.  (process) All but @BOLD_OPEN@ and @BOLD_CLOSE@ support removed
	* tests/netx/unit/net/sourceforge/jnlp/util/docprovider/formatters/formatters/ReplacingTextFormatterTest.java
	Added test for process method

2014-10-17  Jiri Vanek  <jvanek@redhat.com>

	Jacoco boot class loading moved from custom built to upstreamed form
	* Makefile.am: (JACOCO_AGENT_JAVAWS_SWITCH) and (JACOCO_AGENT_PLUGIN_SWITCH)
	moved from xboot=true to inclbootstrapclasses=true which is now supported
	by upstream.

2014-10-17  Jiri Vanek  <jvanek@redhat.com>

	Plain and main text formatters have more human readable urls
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/Formatter.java: only added formatting line
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/ManFormatter.java:
	removed overriding getUrl
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/PlainTextFormatter.java:
	same
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/ReplacingTextFormatter.java
	Implemented general getUrl for plaintexts in format readable (url), except
	cases where  readable do not exists or is same as url.

2014-10-17  Jiri Vanek  <jvanek@redhat.com>

	Fixed jdk8 javadoc generation error
	* netx/net/sourceforge/jnlp/controlpanel/CommandLine.java: invalid link
	#allCommands replaced by plain optionsDefinitions.getItwsettingsCommands

2014-10-13  Fridrich Strba  <fridrich.strba@suse.com>

	Removed all references to deprecated sun.misc.Ref
	* configure.ac: removed check for a sun.misc.Ref
	* netx/net/sourceforge/jnlp/util/ui/NonEditableTableModel.java: all occurrences
	of Vector<?> replaced by Vector. JDK9 compliant style.
	* plugin/icedteanp/java/sun/applet/PluginAppletViewer.java: (getCachedImageRef)
	type of return value changed from Ref to AppletImageRef. Adapted imports.

2014-10-09  Jiri Vanek  <jvanek@redhat.com>

	Empty "" codebase now behaves as "." codebase
	* file netx/net/sourceforge/jnlp/Parser.java: introduced CODEBASE constant
	to avoid duplicated String getAttribute  split to getCleanAttribute, which
	get the pure attribute, and remaining getAttribute keep adding null in case
	of empty
	* file netx/net/sourceforge/jnlp/security/SecurityDialogs.java: added
	workaround about possible null codebase
	* file tests/netx/unit/net/sourceforge/jnlp/ParserTest.java: added test for
	empty codebase

2014-10-08  Lukasz Dracz  <ldracz@redhat.com>

	Standardize all options to use hyphens
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java:
	itweb-settings options changed to have hyphens in front,
	added new enum to NumberOfArguments
	(getItwsettingsCommands): added headless, changed nodashhelp to help
	* netx/net/sourceforge/jnlp/controlpanel/CommandLine.java
	* netx/net/sourceforge/jnlp/resources/Messages.properties:
	(BOHelp, IBOCheck): modified (NOAevennumberorequalschar): added

2014-10-08  Jiri Vanek  <jvanek@redhat.com>

	itw-plugin and itweb-settings documentation made localizable
	* Makefile.am: documentation root (DOCS_DIR) is now icedtea-web-docs/$(FULL_VERSION)
	(install-data-local) now can copy all man pages more simply  and from new DOCS_DIR
	(stamps/generate-docs.stamp) is adapted to new DOCS_DIR
	* netx/net/sourceforge/jnlp/controlpanel/NetworkSettingsPanel.java: minor fixes
	like removal of redeclared deployment properties and switch on strings
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added missing brackets
	behind @@ hints, all icedtea-web replaced by IcedTea-Web, (CBCheckOkSignedOk)
	removed double space, added families of ITWS and ITWP
	* netx/net/sourceforge/jnlp/util/docprovider/ItwebPluginTextProvider.java: and
	* netx/net/sourceforge/jnlp/util/docprovider/ItwebSettingsTextsProvider.java:
	all texts moved to properties

2014-10-07  Jie Kang  <jkang@redhat.com>

	Modified unit tests for CacheEntry and CacheLRUWrapper to prevent blocking.
	* netx/net/sourceforge/jnlp/cache/CacheEntry.java: comments for unlocking
	* netx/net/sourceforge/jnlp/util/PropertiesFile.java: same
	* netx/net/sourceforge/jnlp/util/lockingfile/LockedFile.java: same
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheEntryTest.java: fixed
	multi-threaded tests to prevent blocking, and added timeout to threaded
	tests to prevent tests from blocking test runs
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheLRUWrapperTest.java: same
	* tests/netx/unit/net/sourceforge/jnlp/cache/CacheTestUtils.java: utilities
	for cache tests

2014-10-07  Jie Kang  <jkang@redhat.com>

	Changed ResourceTracker to use cached thread pool as opposed to manual
	thread management
	* netx/net/sourceforge/jnlp/cache/ResourceTracker.java:

2014-10-07  Jiri Vanek  <jvanek@redhat.com>

	Files, arguments types and icedtea-web man page made localizable
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java: (NumberOfArguments)
	sentences moved to properties
	* netx/net/sourceforge/jnlp/config/PathsAndFiles.java: same
	* netx/net/sourceforge/jnlp/util/docprovider/IcedTeaWebTextsProvider.java: same
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added families of
	ITW, NOA and FILE
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/Formatter.java:
	added getNewLine override with argument, number of new lines to be generated
	* netx/net/sourceforge/jnlp/util/docprovider/formatters/formatters/ReplacingTextFormatter.java
	getNewLine(int i)  implemented
	* tests/netx/unit/net/sourceforge/jnlp/util/docprovider/formatters/formatters/FormatterTest.java
	getNewLine(int i) tested for all formatters

2014-10-07  Jiri Vanek  <jvanek@redhat.com>

	Option parser now accept 0-n hyphens
	* launcher/launchers.in: regex matching for headless changed to * instead of 0-1
	* netx/net/sourceforge/jnlp/util/optionparser/OptionParser.java: added new
	method to removeLeadingHyphens. (stringEqualsOption) now sanitize both inputs
	by it.
	* tests/netx/unit/net/sourceforge/jnlp/util/optionparser/OptionParserTest.java:
	Added tests to verify none or more leading hyphens are correctly recognized.
	Added tests to verify hyphens elsewhere will not confuse parser.

2014-10-03  Lukasz Dracz  <ldracz@redhat.com>

    IcedTea-Web Splashscreen allows zero or one hyphens preceding headless option
    * launcher/launchers.in: regex matching for headless

2014-09-22  Jiri Vanek  <jvanek@redhat.com>

	Preventing rare class cast exception in erroneous detached applets
	* netx/net/sourceforge/jnlp/runtime/AppletEnvironment.java: getSplashControler
	renamed to getSplashController. (getSplashController) added check for
	SplashController instance. Returning null if not so.
	* netx/net/sourceforge/jnlp/splashscreen/SplashUtils.java: adapted to renaming
	* tests/netx/unit/net/sourceforge/jnlp/splashscreen/SplashUtilsTest.java:
	added (assertNulsAreOkInShow) test to check null values for showError methods

2014-09-19  Jie Kang  <jkang@redhat.com>

    Modified Makefile.am to use whitelist when processing reproducers.
    * Makefile.am: Now filters reproducers using netx-dist-tests-whitelist

2014-09-19  Jie Kang  <jkang@redhat.com>

    Added three keys to DeploymentConfiguration. Max cache size, cache enable,
    and cache compression enable.
    * netx/net/sourceforge/jnlp/CacheUtil.java: now uses keys
    * netx/net/sourceforge/jnlp/controlpanel/TemporaryInternetFilesPanel.java:
    now uses keys
    * netx/net/sourceforge/jnlp/config/DeploymentConfiguration.java:

2014-09-19  Jiri Vanek  <jvanek@redhat.com>

	Translator made immutable
	* netx/net/sourceforge/jnlp/runtime/Translator.java: changed form enum to class,
	initialization handled by holder pattern, resources made final, removed
	loadResourceBundle, getMessage made protected.
	* tests/netx/unit/net/sourceforge/jnlp/runtime/TranslatorTest.java: (setup)
	(and all tests) now uses special instance based on fake resources. Added
	two tests to test singleton instance itself.

2014-09-18  Lukasz Dracz  <ldracz@redhat.com>

	Added New Option Parser and used in boot of javaws
	* netx/net/sourceforge/jnlp/Launcher.java:
	(addProperties, addArguments, addParameters) refactored to take in
	a List<String> instead of String[]
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java:
	added JNLP to enum OPTIONS
	* netx/net/sourceforge/jnlp/ParserSettings.java
	(setGlobalParserSettingsFromOptionParser): refactored to take in
	an OptionParser instead of args
	* netx/net/sourceforge/jnlp/runtime/Boot.java:
	Uses OptionParser to parse arguments for options and check whether
	an option is present. (getJNLPFile): changed to use OptionParser,
	and look for one main argument or one value from the JNLP option, if
	not present then throws an InvalidArgumentException
	* netx/net/sourceforge/jnlp/util/optionparser/InvalidArgumentException.java:
	added
	* netx/net/sourceforge/jnlp/util/optionparser/OptionParser.java:
	new file, a common parser for options and their values
	(parseContents): called in OptionParser constructor, parses and populates
	values in a map based on their option
	(findMainArg): Takes arguments and parses them backwards to find the
	first value that is eligible to be a main arg (not an option or a value
	for an option with one value)
	(addMainArg): adds the specified arg to main and removes it from its
	current placement in the map
	(stringEqualsOption): used to determine whether a string fits an option
	keyword irrespective if it has a leading dash or is followed by a equals char
	* tests/netx/unit/net/sourceforge/jnlp/ParserSettingsTest.java:
	(testSetGlobalParserSettingsFromOptionParser,
	testSetGlobalParserSettingsFromOptionParserHasSameOptionsAsOptionParser):
	added
	* tests/netx/unit/net/sourceforge/jnlp/util/optionparser/OptionParserTest.java:
	new file to test parser works as intended

2014-09-17  Jiri Vanek  <jvanek@redhat.com>

	Javaws and PolicyEditor made localizable
	* Makefile.am: usage of $TP_TAIL fixed to be correctly $$TP_TAIL
	* netx/net/sourceforge/jnlp/resources/Messages.properties: added PE and JWS
	families
	* netx/net/sourceforge/jnlp/util/docprovider/JavaWsTextsProvider.java: and
	* netx/net/sourceforge/jnlp/util/docprovider/PolicyEditorTextsProvider.java:
	all strings moved to properties. Minor reformatting.

2014-09-15  Lukasz Dracz  <ldracz@redhat.com>

	Fix itweb-settings Cache Panel Tooltip
	* netx/net/sourceforge/jnlp/controlpanel/TemporaryInternetFilesPanel.java:
	Tooltip appears when spinner is enabled and hovered over
	* netx/net/sourceforge/jnlp/resources/Messages.properties:
	Removed not needed html tags

2014-09-15  Jie Kang  <jkang@redhat.com>

    Moved translator responsibility from JNLPRuntime to Translator
    * netx/net/sourceforge/jnlp/runtime/Translator.java:
    * netx/net/sourceforge/jnlp/runtime/JNLPRuntime.java:
    (getMessage): moved from JNLPRuntime to Translator
    * netx/net/sourceforge/jnlp/runtime/TranslatorTest.java:
    added tests for translating using a ResourceBundle


2014-09-15  Jie Kang  <jkang@redhat.com>

    * netx/net/sourceforge/jnlp/cache/CacheLRUWrapper.java
    (getLRUSortedEntries): now creates a deeper copy of cacheOrder list

2014-09-13  Andrew Azores  <aazores@redhat.com>

	* netx/net/sourceforge/jnlp/resources/Messages.properties
	(CertWarnHTTPSAcceptTip, CertWarnHTTPSRejectTip): new messages more
	applicable for HTTPS cert warning dialogs
	* netx/net/sourceforge/jnlp/security/dialogs/CertWarningPane.java:
	distinguish between HTTPS cert warnings and signed applet cert warnings.
	Display appropriate text labels and buttons corresponding to either case.
	* netx/net/sourceforge/jnlp/security/dialogs/TemporaryPermissionsButton.java:
	remove assertions for non-null file, securityDelegate, and linkedButton.
	Instead, if any are null, simply disable this component and do not add
	component listeners dependent upon these fields.

2014-09-10  Lukasz Dracz  <ldracz@redhat.com>

	Refactor of the cache panel GUI in itweb-settings
	* netx/net/sourceforge/jnlp/controlpanel/TemporaryInternetFilesPanel.java:
	Changed slider into a spinner for cache size, changed order of elements
	in the panel, added a checkbox to limit the cache size,
	added disabling of components based on whether they are needed
	* netx/net/sourceforge/jnlp/resources/Messages.properties

2014-09-10  Jie Kang  <jkang@redhat.com>

    Changed CacheLRUWrapper to use PropertiesFile's provided locking system
    Added unit tests for CacheLRUWrapper
    * netx/net/sourceforge/jnlp/cache/CacheLRUWrapper.java
    * tests/netx/unit/net/sourceforge/jnlp/cache/CacheLRUWrapperTest.java

2014-09-10  Jie Kang  <jkang@redhat.com>

	Added unit tests to PropertiesFile.java and refactored existing unit tests
	to not use external code.
	* tests/netx/unit/net/sourceforge/jnlp/util/PopertiesFileTest.java

2014-09-09  Jiri Vanek  <jvanek@redhat.com>

	Outdated documentation replaced by documentation generation
	* Makefile.am: added (DOCS_DIR) pointing to target directory for generated docs
	(clean-local) and (.PHONY) now cleaning also clean-generated-docs
	(install-data-local) removed usage of old man pages, copied all generated
	man pages
	(uninstall-local) added removal of javaws_splash.png, all known man pages cleaned
	(stamps/generate-docs.stamp) new target, generates all known language mutations
	of all known man pages to correct directories.
	(stamps/netx-dist.stamp) depends on stamps/generate-docs.stamp
	(clean-generated-docs) new target, removes DOCS_DIR and stamp
	* netx/itweb-settings.1: removed
	* netx/javaws.1: removed
	* netx/policyeditor.1: removed
	* netx/net/sourceforge/jnlp/OptionsDefinitions.java: new class, contains
	definitions of all command-line arguments
	* netx/net/sourceforge/jnlp/about/AboutDialog.java:improved to contains
	window with generated localized help. Default welcome screen points to
	localized mutation (if available). Loading of pages made lazy, and only
	once per app. run. Added possibility to chose start page.
	* netx/net/sourceforge/jnlp/about/HTMLPanel.java: get rid of useless id
